(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     33430,        867]
NotebookOptionsPosition[     32248,        823]
NotebookOutlinePosition[     32881,        847]
CellTagsIndexPosition[     32838,        844]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "Cross Product of Vectors in the ",
 StyleBox["y",
  FontSlant->"Italic"],
 "-",
 StyleBox["z",
  FontSlant->"Italic"],
 " Plane"
}], "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"vv", ",", "ww", ",", "angles", ",", "proj", ",", "cros"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"vv", "=", 
       RowBox[{"Normalize", "[", "v", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"ww", "=", 
       RowBox[{"Normalize", "[", "w", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"cros", "=", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"v", "[", 
           RowBox[{"[", "1", "]"}], "]"}], 
          RowBox[{"w", "[", 
           RowBox[{"[", "2", "]"}], "]"}]}], "-", 
         RowBox[{
          RowBox[{"v", "[", 
           RowBox[{"[", "2", "]"}], "]"}], 
          RowBox[{"w", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}]}], ")"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"angles", "=", 
       RowBox[{"Sort", "[", 
        RowBox[{"N", "@", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"ArcTan", "@@", "vv"}], ",", 
           RowBox[{"ArcTan", "@@", "ww"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{"\"\<-x\>\"", ",", "Italic"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"2.5", ",", "2.5"}], "}"}], ",", 
            RowBox[{"-", 
             RowBox[{"{", 
              RowBox[{"1", ",", "1"}], "}"}]}]}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{"\"\<-4\>\"", ",", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "1."}], ",", 
                RowBox[{"-", "1."}]}], "}"}]}], "2"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}]}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{"\"\<4\>\"", ",", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "1."}], ",", 
               RowBox[{"-", "1."}]}], "}"}], "2"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}]}], "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1."}], ",", 
              RowBox[{"-", "1."}]}], "}"}], "2"}], "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "1."}], ",", 
               RowBox[{"-", "1."}]}], "}"}]}], "2"}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{"\"\<-3\>\"", ",", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "1."}], ",", 
                RowBox[{"-", "1."}]}], "}"}]}], 
             RowBox[{"3", "/", "2"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}]}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{"\"\<3\>\"", ",", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "1."}], ",", 
               RowBox[{"-", "1."}]}], "}"}], 
             RowBox[{"3", "/", "2"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}]}], "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1."}], ",", 
              RowBox[{"-", "1."}]}], "}"}], 
            RowBox[{"3", "/", "2"}]}], "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "1."}], ",", 
               RowBox[{"-", "1."}]}], "}"}]}], 
            RowBox[{"3", "/", "2"}]}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{"\"\<-2\>\"", ",", 
            RowBox[{"-", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "1."}], ",", 
               RowBox[{"-", "1."}]}], "}"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}]}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{"\"\<2\>\"", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1."}], ",", 
              RowBox[{"-", "1."}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}]}], "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "1."}], ",", 
             RowBox[{"-", "1."}]}], "}"}], "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"-", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1."}], ",", 
              RowBox[{"-", "1."}]}], "}"}]}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{"\"\<-1\>\"", ",", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"-", "1."}], ",", 
                RowBox[{"-", "1."}]}], "}"}]}], "/", "2"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}]}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{"\"\<1\>\"", ",", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "1."}], ",", 
               RowBox[{"-", "1."}]}], "}"}], "/", "2"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}]}], "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1."}], ",", 
              RowBox[{"-", "1."}]}], "}"}], "/", "2"}], "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "1."}], ",", 
               RowBox[{"-", "1."}]}], "}"}]}], "/", "2"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"GrayLevel", "[", "0.9", "]"}], ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"-", "2"}], ",", 
                 RowBox[{"-", "2"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"2", ",", "2"}], "}"}]}], "}"}], "]"}]}], "}"}], ",", 
          
          RowBox[{"{", 
           RowBox[{"If", "[", 
            RowBox[{"showPar", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"cros", ">", "0"}], ",", 
                 RowBox[{"RGBColor", "[", 
                  RowBox[{"1", ",", "0.6", ",", "0.7"}], "]"}], ",", 
                 RowBox[{"RGBColor", "[", 
                  RowBox[{"0.6", ",", "0.7", ",", "1"}], "]"}]}], "]"}], ",", 
               
               RowBox[{"Polygon", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0", ",", "0"}], "}"}], ",", "v", ",", 
                  RowBox[{"v", "+", "w"}], ",", "w"}], "}"}], "]"}]}], "}"}], 
             ",", 
             RowBox[{"{", "}"}]}], "]"}], "}"}], ",", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"cros", "<", "0"}], ",", 
              RowBox[{"Hue", "[", ".7", "]"}], ",", 
              RowBox[{"RGBColor", "[", 
               RowBox[{"1", ",", ".47", ",", "0"}], "]"}]}], "]"}], ",", 
            RowBox[{"Circle", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}], ",", ".3", ",", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", 
                  RowBox[{"Subtract", "@@", "angles"}]}], "<", "\[Pi]"}], ",",
                 "angles", ",", 
                RowBox[{
                 RowBox[{"Reverse", "[", "angles", "]"}], "+", 
                 RowBox[{"{", 
                  RowBox[{"0", ",", 
                   RowBox[{"2", "\[Pi]"}]}], "}"}]}]}], "]"}]}], "]"}]}], 
           "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"GrayLevel", "[", "0", "]"}], ",", 
            RowBox[{"Arrow", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0"}], "}"}], ",", "v"}], "}"}], "]"}]}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"GrayLevel", "[", "0", "]"}], ",", 
            RowBox[{"Arrow", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0"}], "}"}], ",", "w"}], "}"}], "]"}]}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"cros", ">", "0"}], ",", 
              RowBox[{"RGBColor", "[", 
               RowBox[{"1", ",", ".47", ",", "0"}], "]"}], ",", 
              RowBox[{"ColorData", "[", 
               RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], "]"}]}], 
             "]"}], ",", 
            RowBox[{"Arrow", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0"}], "}"}], ",", 
               RowBox[{"cros", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"-", "1"}], "/", "2"}], ",", 
                  RowBox[{
                   RowBox[{"-", "1"}], "/", "2"}]}], "}"}]}]}], "}"}], 
             "]"}]}], "}"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{
           "\"\<\!\(\*OverscriptBox[\(v\), \(\[RightVector]\)]\)\>\"", ",", 
            RowBox[{"v", " ", 
             RowBox[{"3", "/", "4"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", "1"}], "}"}]}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{
           "\"\<\!\(\*OverscriptBox[\(w\), \(\[RightVector]\)]\)\>\"", ",", 
            RowBox[{"3", 
             RowBox[{"w", "/", "4"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", "1"}], "}"}]}], "]"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{
           "\"\<\!\(\*OverscriptBox[\(v\), \(\[RightVector]\)]\)\[ThinSpace]\
\[Cross]\[ThinSpace]\!\(\*OverscriptBox[\(w\), \(\[RightVector]\)]\)\>\"", 
            ",", 
            RowBox[{"cros", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "1"}], "/", "2"}], ",", 
               RowBox[{
                RowBox[{"-", "1"}], "/", "2"}]}], "}"}]}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", "1"}], "}"}]}], "]"}]}], "\[IndentingNewLine]",
          "}"}], ",", 
        RowBox[{"Axes", "\[Rule]", "True"}], ",", 
        RowBox[{"Ticks", "\[Rule]", "True"}], ",", 
        RowBox[{"PlotRange", "\[Rule]", "3"}], ",", 
        RowBox[{"AxesLabel", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Style", "[", 
            RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<z\>\"", ",", "Italic"}], "]"}]}], "}"}]}], ",", 
        RowBox[{"PlotLabel", "\[Rule]", 
         RowBox[{"Grid", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"cros", ">", "0"}], ",", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<acute or obtuse angle\>\"", ",", 
                  RowBox[{"RGBColor", "[", 
                   RowBox[{"1", ",", ".47", ",", "0"}], "]"}]}], "]"}], ",", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<reflex angle\>\"", ",", 
                  RowBox[{"ColorData", "[", 
                   RowBox[{"\"\<HTML\>\"", ",", "\"\<SlateBlue\>\""}], 
                   "]"}]}], "]"}]}], "]"}], ",", 
              RowBox[{"Row", "[", 
               RowBox[{"{", 
                RowBox[{
                "\"\<|\!\(\*OverscriptBox[\(v\), \(\[RightVector]\)]\)\
\[ThinSpace]\[Cross]\[ThinSpace]\!\(\*OverscriptBox[\(w\), \
\(\[RightVector]\)]\)| = \>\"", ",", 
                 RowBox[{"NumberForm", "[", 
                  RowBox[{
                   RowBox[{"Abs", "[", "cros", "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"4", ",", "3"}], "}"}], ",", 
                   RowBox[{"ExponentFunction", "\[Rule]", 
                    RowBox[{"(", 
                    RowBox[{"Null", "&"}], ")"}]}]}], "]"}]}], "}"}], "]"}]}],
              "}"}], "}"}], ",", 
           RowBox[{"ItemSize", "\[Rule]", "10"}]}], "]"}]}], ",", 
        RowBox[{"ImageSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"400", ",", "400"}], "}"}]}]}], "]"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showPar", ",", "True", ",", "\"\<show parallelogram\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"v", ",", 
       RowBox[{"{", 
        RowBox[{"1.", ",", "0.5"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "3"}], ",", 
       RowBox[{"-", "3"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "3"}], "}"}], ",", "Locator", ",", 
     RowBox[{"Appearance", "\[Rule]", "None"}], ",", 
     RowBox[{"Exclusions", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
   
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"w", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "2."}], ",", "1."}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "3"}], ",", 
       RowBox[{"-", "3"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "3"}], "}"}], ",", "Locator", ",", 
     RowBox[{"Appearance", "\[Rule]", "None"}], ",", 
     RowBox[{"Exclusions", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}]}]}], "}"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.4016591107396708`*^9, 3.4016595095313797`*^9, {
   3.401661170234079*^9, 3.401661190443899*^9}, {3.401661235254653*^9, 
   3.4016612867426357`*^9}, 3.4016613429606037`*^9, 3.401661764791361*^9, {
   3.4017127450847692`*^9, 3.401712756240876*^9}, {3.4017160557822065`*^9, 
   3.4017160667978315`*^9}, {3.4018213193642044`*^9, 
   3.4018213255361977`*^9}, {3.4029178619846597`*^9, 
   3.4029178621721597`*^9}, {3.407296165296875*^9, 3.407296216796875*^9}, {
   3.40729628525*^9, 3.40729632196875*^9}, {3.40729636703125*^9, 
   3.407296485640625*^9}, {3.4072965304375*^9, 3.40729655690625*^9}, {
   3.4072969008125*^9, 3.407296907265625*^9}, 3.40729701415625*^9, {
   3.407297093015625*^9, 3.407297155140625*^9}, {3.407297208296875*^9, 
   3.407297312109375*^9}, {3.40729753109375*^9, 3.407297531671875*^9}, {
   3.40729756215625*^9, 3.407297563515625*^9}, {3.407297652921875*^9, 
   3.407297658984375*^9}, {3.407297704703125*^9, 3.407297718453125*^9}, {
   3.407297898171875*^9, 3.407297907046875*^9}, {3.407298042625*^9, 
   3.407298093109375*^9}, 3.407298260359375*^9, {3.40729830975*^9, 
   3.407298339421875*^9}, {3.4072984046875*^9, 3.407298444234375*^9}, 
   3.407298498*^9, {3.407298570703125*^9, 3.407298572625*^9}, {
   3.407298613796875*^9, 3.40729864509375*^9}, 3.4072987195625*^9, {
   3.40729880996875*^9, 3.40729883940625*^9}, {3.407298883984375*^9, 
   3.407298886546875*^9}, {3.407298917359375*^9, 3.40729891984375*^9}, {
   3.40729898671875*^9, 3.407298987484375*^9}, {3.40729903396875*^9, 
   3.407299034984375*^9}, {3.407299117953125*^9, 3.407299153265625*^9}, {
   3.40729925053125*^9, 3.407299265859375*^9}, {3.407299726421875*^9, 
   3.407299744640625*^9}, {3.40730092671875*^9, 3.407300957921875*^9}, 
   3.40730099221875*^9, {3.40730120971875*^9, 3.407301280796875*^9}, {
   3.4073013195*^9, 3.407301334765625*^9}, {3.40730137275*^9, 
   3.407301375140625*^9}, {3.407301451984375*^9, 3.407301484984375*^9}, {
   3.407301531453125*^9, 3.407301630375*^9}, {3.407303847734375*^9, 
   3.407303902375*^9}, 3.40730395615625*^9, {3.40730398621875*^9, 
   3.40730401265625*^9}, {3.407304114515625*^9, 3.4073041189375*^9}, {
   3.4073041944375*^9, 3.4073042190625*^9}, {3.407304256703125*^9, 
   3.4073042596875*^9}, {3.407304638125*^9, 3.407304641921875*^9}, {
   3.40730471959375*^9, 3.40730472421875*^9}, {3.407304906515625*^9, 
   3.40730498796875*^9}, {3.407305060953125*^9, 3.407305103015625*^9}, {
   3.407305147140625*^9, 3.407305280234375*^9}, {3.407305313421875*^9, 
   3.40730531646875*^9}, {3.407305443578125*^9, 3.407305494765625*^9}, {
   3.40730553115625*^9, 3.407305580921875*^9}, 3.40730562859375*^9, {
   3.407305804109375*^9, 3.407305805375*^9}, {3.407305860796875*^9, 
   3.407305864453125*^9}, {3.40730591903125*^9, 3.407305952046875*^9}, {
   3.4073060010625*^9, 3.407306012984375*^9}, {3.407306076734375*^9, 
   3.40730608025*^9}, {3.40730613075*^9, 3.407306142421875*^9}, {
   3.407306182671875*^9, 3.40730623475*^9}, {3.4073063748125*^9, 
   3.407306377859375*^9}, {3.407306595421875*^9, 3.40730663646875*^9}, {
   3.407306753640625*^9, 3.40730683765625*^9}, {3.40730688165625*^9, 
   3.407306893625*^9}, {3.407306925875*^9, 3.407306940359375*^9}, {
   3.407307013078125*^9, 3.4073070139375*^9}, 3.407307165328125*^9, {
   3.407307333875*^9, 3.40730738203125*^9}, {3.407307413359375*^9, 
   3.407307434109375*^9}, {3.40730746890625*^9, 3.407307498765625*^9}, {
   3.40730754246875*^9, 3.407307556015625*^9}, {3.407307644015625*^9, 
   3.407307655265625*^9}, {3.407307686515625*^9, 3.40730769140625*^9}, {
   3.407307798125*^9, 3.40730780984375*^9}, {3.412053396984375*^9, 
   3.41205340034375*^9}, {3.41205354975*^9, 3.41205358178125*^9}, {
   3.4120536540625*^9, 3.41205366440625*^9}, {3.412053733015625*^9, 
   3.41205376034375*^9}, {3.4120537931875*^9, 3.412053798453125*^9}, {
   3.412053848046875*^9, 3.412053848703125*^9}, 3.412053920640625*^9, {
   3.41205397215625*^9, 3.412053972859375*^9}, 3.412054051609375*^9, 
   3.41205421609375*^9, {3.412054535125*^9, 3.412054652734375*^9}, {
   3.412054701734375*^9, 3.412054708375*^9}, 3.41205496284375*^9, {
   3.4120550115625*^9, 3.41205506165625*^9}, 3.412055131890625*^9, {
   3.412055186578125*^9, 3.412055234234375*^9}, {3.412055307796875*^9, 
   3.412055308171875*^9}, {3.412055364921875*^9, 3.412055376953125*^9}, {
   3.41205551028125*^9, 3.412055546328125*^9}, {3.412055668890625*^9, 
   3.41205567390625*^9}, {3.4120557074375*^9, 3.412055723828125*^9}, {
   3.412055773421875*^9, 3.412055777109375*^9}, {3.412081765690058*^9, 
   3.4120818256885223`*^9}, 3.412081862062591*^9, {3.4124326251169157`*^9, 
   3.4124326676012907`*^9}, {3.412447918933935*^9, 3.4124479370909986`*^9}, {
   3.4125376914772263`*^9, 3.4125377031334763`*^9}, {3.4125377774616013`*^9, 
   3.4125378019459763`*^9}},
 CellID->146922310]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`showPar$$ = True, $CellContext`v$$ = {1., 
    0.5}, $CellContext`w$$ = {-2., 1.}, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`showPar$$], True, "show parallelogram"}, {
      True, False}}, {{
       Hold[$CellContext`v$$], {1., 0.5}}, {-3, -3}, {3, 3}}, {{
       Hold[$CellContext`w$$], {-2., 1.}}, {-3, -3}, {3, 3}}}, 
    Typeset`size$$ = {400., {198., 202.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`showPar$28798$$ = False, $CellContext`v$28799$$ = {0, 
    0}, $CellContext`w$28800$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`showPar$$ = 
        True, $CellContext`v$$ = {1., 0.5}, $CellContext`w$$ = {-2., 1.}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`showPar$$, $CellContext`showPar$28798$$, False], 
        Hold[$CellContext`v$$, $CellContext`v$28799$$, {0, 0}], 
        Hold[$CellContext`w$$, $CellContext`w$28800$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`vv$, $CellContext`ww$, $CellContext`angles$, \
$CellContext`proj$, $CellContext`cros$}, $CellContext`vv$ = 
         Normalize[$CellContext`v$$]; $CellContext`ww$ = 
         Normalize[$CellContext`w$$]; $CellContext`cros$ = 
         Part[$CellContext`v$$, 1] Part[$CellContext`w$$, 2] - 
          Part[$CellContext`v$$, 2] 
          Part[$CellContext`w$$, 1]; $CellContext`angles$ = Sort[
           N[{
             Apply[ArcTan, $CellContext`vv$], 
             Apply[ArcTan, $CellContext`ww$]}]]; Graphics[{
           Text[
            Style["-x", Italic], {2.5, 2.5}, -{1, 1}], 
           Text["-4", (-{-1., -1.}) 2, {0, 1}], 
           Text["4", {-1., -1.} 2, {0, 1}], 
           Point[{-1., -1.} 2], 
           Point[(-{-1., -1.}) 2], 
           Text["-3", (-{-1., -1.}) (3/2), {0, 1}], 
           Text["3", {-1., -1.} (3/2), {0, 1}], 
           Point[{-1., -1.} (3/2)], 
           Point[(-{-1., -1.}) (3/2)], 
           Text["-2", -{-1., -1.}, {0, 1}], 
           Text["2", {-1., -1.}, {0, 1}], 
           Point[{-1., -1.}], 
           Point[-{-1., -1.}], 
           Text["-1", (-{-1., -1.})/2, {0, 1}], 
           Text["1", {-1., -1.}/2, {0, 1}], 
           Point[{-1., -1.}/2], 
           Point[(-{-1., -1.})/2], {
            GrayLevel[0.9], 
            Line[{{-2, -2}, {2, 2}}]}, {
            If[$CellContext`showPar$$, {
              If[$CellContext`cros$ > 0, 
               RGBColor[1, 0.6, 0.7], 
               RGBColor[0.6, 0.7, 1]], 
              
              Polygon[{{0, 
                0}, $CellContext`v$$, $CellContext`v$$ + $CellContext`w$$, \
$CellContext`w$$}]}, {}]}, {
            If[$CellContext`cros$ < 0, 
             Hue[0.7], 
             RGBColor[1, 0.47, 0]], 
            Circle[{0, 0}, 0.3, 
             
             If[-Apply[Subtract, $CellContext`angles$] < 
              Pi, $CellContext`angles$, 
              Reverse[$CellContext`angles$] + {0, 2 Pi}]]}, {
            GrayLevel[0], 
            Arrow[{{0, 0}, $CellContext`v$$}]}, {
            GrayLevel[0], 
            Arrow[{{0, 0}, $CellContext`w$$}]}, {
            If[$CellContext`cros$ > 0, 
             RGBColor[1, 0.47, 0], 
             ColorData["HTML", "SlateBlue"]], 
            Arrow[{{0, 0}, $CellContext`cros$ {(-1)/2, (-1)/2}}]}, 
           Text[
           "\!\(\*OverscriptBox[\(v\), \(\[RightVector]\)]\)", \
$CellContext`v$$ (3/4), {1, 1}], 
           Text[
           "\!\(\*OverscriptBox[\(w\), \(\[RightVector]\)]\)", 
            3 ($CellContext`w$$/4), {1, 1}], 
           Text[
           "\!\(\*OverscriptBox[\(v\), \(\[RightVector]\)]\)\[ThinSpace]\
\[Cross]\[ThinSpace]\!\(\*OverscriptBox[\(w\), \(\[RightVector]\)]\)", \
$CellContext`cros$ {(-1)/2, (-1)/2}, {1, 1}]}, Axes -> True, Ticks -> True, 
          PlotRange -> 3, AxesLabel -> {
            Style["y", Italic], 
            Style["z", Italic]}, PlotLabel -> Grid[{{
              If[$CellContext`cros$ > 0, 
               Style["acute or obtuse angle", 
                RGBColor[1, 0.47, 0]], 
               Style["reflex angle", 
                ColorData["HTML", "SlateBlue"]]], 
              
              Row[{"|\!\(\*OverscriptBox[\(v\), \(\[RightVector]\)]\)\
\[ThinSpace]\[Cross]\[ThinSpace]\!\(\*OverscriptBox[\(w\), \
\(\[RightVector]\)]\)| = ", 
                NumberForm[
                 Abs[$CellContext`cros$], {4, 3}, 
                 ExponentFunction -> (Null& )]}]}}, ItemSize -> 10], 
          ImageSize -> {400, 400}]], 
      "Specifications" :> {{{$CellContext`showPar$$, True, 
          "show parallelogram"}, {
         True, False}}, {{$CellContext`v$$, {1., 0.5}}, {-3, -3}, {3, 3}, 
         ControlType -> Locator, Appearance -> None, 
         Exclusions -> {0, 0}}, {{$CellContext`w$$, {-2., 1.}}, {-3, -3}, {3, 
         3}, ControlType -> Locator, Appearance -> None, 
         Exclusions -> {0, 0}}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{444., {237., 242.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->858560070],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Cross Product of Vectors in the ",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/CrossProductOfVectorsInTheYZPlane/\
"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/CrossProductOfVectorsInTheYZPlane/"],
 StyleBox[ButtonBox["y",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/CrossProductOfVectorsInTheYZPlane/\
"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/CrossProductOfVectorsInTheYZPlane/"],
  FontSlant->"Italic"],
 ButtonBox["-",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/CrossProductOfVectorsInTheYZPlane/\
"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/CrossProductOfVectorsInTheYZPlane/"],
 StyleBox[ButtonBox["z",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/CrossProductOfVectorsInTheYZPlane/\
"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/CrossProductOfVectorsInTheYZPlane/"],
  FontSlant->"Italic"],
 ButtonBox[" Plane",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/CrossProductOfVectorsInTheYZPlane/\
"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/CrossProductOfVectorsInTheYZPlane/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
CrossProductOfVectorsInTheYZPlane/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/CrossProductOfVectorsInTheYZPlane/\
"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/CrossProductOfVectorsInTheYZPlane/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[CellGroupData[{

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Izidor Hafner",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Izidor+Hafner"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[TextData[{
 "Based on a program by: ",
 ButtonBox["Bruce Torrence",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Bruce+Torrence"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Bruce+Torrence"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->258052206]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
CrossProductOfVectorsInTheYZPlane"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Cross Product of Vectors in the y-z Plane - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 334, 12, 70, "Section"],
Cell[927, 37, 19643, 468, 70, "Input",
 CellID->146922310]
}, Open  ]],
Cell[20585, 508, 5874, 127, 70, "Output",
 CellID->858560070],
Cell[CellGroupData[{
Cell[26484, 639, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[26860, 650, 2015, 59, 70, "Text"],
Cell[28878, 711, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[CellGroupData[{
Cell[29240, 724, 436, 14, 70, "Text"],
Cell[29679, 740, 463, 15, 70, "Text",
 CellID->258052206]
}, Open  ]],
Cell[CellGroupData[{
Cell[30179, 760, 829, 24, 70, "Text"],
Cell[31011, 786, 1209, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature bRzzi8Qdi6jGkD01ALRPt928 *)
