(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     13565,        395]
NotebookOptionsPosition[     12472,        354]
NotebookOutlinePosition[     13081,        378]
CellTagsIndexPosition[     13038,        375]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Logistic Equation", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"x", "[", 
   RowBox[{"t_", ",", "x0_", ",", "r_"}], "]"}], ":=", 
  RowBox[{"1", "/", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"1", "/", "x0"}], "-", "1"}], ")"}], " ", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "r"}], " ", "t"}], "]"}]}]}], ")"}]}]}]], "Input",
 CellID->47468422],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"If", "[", 
    RowBox[{"fam", ",", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"Evaluate", "@", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"x", "[", 
           RowBox[{"t", ",", "x0", ",", "r"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"x0", ",", ".01", ",", "1", ",", ".1"}], "}"}]}], "]"}]}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "10"}], "}"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"450", ",", "300"}], "}"}]}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Thickness", "[", ".007", "]"}], ",", 
            RowBox[{
             RowBox[{"ColorData", "[", "\"\<SunsetColors\>\"", "]"}], "[", 
             "i", "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", ".01", ",", "1", ",", ".1"}], "}"}]}], "]"}]}], 
       ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<t\>\"", ",", "Italic", ",", "12"}], "]"}], ",", 
          RowBox[{"Style", "[", 
           RowBox[{"\"\<x(t)\>\"", ",", "Italic", ",", "12"}], "]"}]}], 
         "}"}]}]}], "]"}], ",", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"x", "[", 
        RowBox[{"t", ",", "x0", ",", "r"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", "10"}], "}"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"450", ",", "300"}], "}"}]}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"Thickness", "[", ".01", "]"}], "}"}]}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<t\>\"", ",", "Italic", ",", "12"}], "]"}], ",", 
          RowBox[{"Style", "[", 
           RowBox[{"\"\<x(t)\>\"", ",", "Italic", ",", "12"}], "]"}]}], 
         "}"}]}]}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x0", ",", ".25"}], "}"}], ",", "0.01", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"Enabled", "\[Rule]", 
      RowBox[{"!", "fam"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", "1"}], "}"}], ",", 
     RowBox[{"-", "2"}], ",", "2", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"fam", ",", "False", ",", "\"\<show family of curves\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}]}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.3903226090056925`*^9, 3.3903226185369425`*^9}, {
   3.3903226727088175`*^9, 3.3903227050994425`*^9}, {3.3903228402400675`*^9, 
   3.3903229284588175`*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`fam$$ = False, $CellContext`r$$ = 
    0.43999999999999995`, $CellContext`x0$$ = 0.431, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`x0$$], 0.25}, 0.01, 1}, {{
       Hold[$CellContext`r$$], 1}, -2, 2}, {{
       Hold[$CellContext`fam$$], False, "show family of curves"}, {
      True, False}}}, Typeset`size$$ = {450., {148., 152.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`x0$25889$$ = 0, $CellContext`r$25890$$ = 
    0, $CellContext`fam$25891$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`fam$$ = False, $CellContext`r$$ = 
        1, $CellContext`x0$$ = 0.25}, "ControllerVariables" :> {
        Hold[$CellContext`x0$$, $CellContext`x0$25889$$, 0], 
        Hold[$CellContext`r$$, $CellContext`r$25890$$, 0], 
        Hold[$CellContext`fam$$, $CellContext`fam$25891$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> If[$CellContext`fam$$, 
        Plot[
         Evaluate[
          Table[
           $CellContext`x[$CellContext`t, $CellContext`x0$$, \
$CellContext`r$$], {$CellContext`x0$$, 0.01, 1, 0.1}]], {$CellContext`t, 0, 
          10}, ImageSize -> {450, 300}, PlotRange -> {0, 1}, PlotStyle -> 
         Table[{
            Thickness[0.007], 
            ColorData["SunsetColors"][$CellContext`i]}, {$CellContext`i, 0.01,
             1, 0.1}], AxesLabel -> {
           Style["t", Italic, 12], 
           Style["x(t)", Italic, 12]}], 
        Plot[
         $CellContext`x[$CellContext`t, $CellContext`x0$$, $CellContext`r$$],
          {$CellContext`t, 0, 10}, ImageSize -> {450, 300}, 
         PlotRange -> {0, 1}, PlotStyle -> {
           Thickness[0.01]}, AxesLabel -> {
           Style["t", Italic, 12], 
           Style["x(t)", Italic, 12]}]], 
      "Specifications" :> {{{$CellContext`x0$$, 0.25}, 0.01, 1, Appearance -> 
         "Labeled", Enabled -> Dynamic[
           Not[$CellContext`fam$$]]}, {{$CellContext`r$$, 1}, -2, 2, 
         Appearance -> 
         "Labeled"}, {{$CellContext`fam$$, False, "show family of curves"}, {
         True, False}}}, "Options" :> {}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{494., {214., 219.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`x[
          Pattern[$CellContext`t, 
           Blank[]], 
          Pattern[$CellContext`x0, 
           Blank[]], 
          Pattern[$CellContext`r, 
           Blank[]]] := 
        1/(1 + (1/$CellContext`x0 - 1) 
          Exp[(-$CellContext`r) $CellContext`t])}; Typeset`initDone$$ = True); 
     ReleaseHold[
       HoldComplete[{$CellContext`x[
           Pattern[$CellContext`t, 
            Blank[]], 
           Pattern[$CellContext`x0, 
            Blank[]], 
           Pattern[$CellContext`r, 
            Blank[]]] := 
         1/(1 + (1/$CellContext`x0 - 1) 
           Exp[(-$CellContext`r) $CellContext`t])}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->289286146],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Logistic Equation",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/LogisticEquation/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/LogisticEquation/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/LogisticEquation/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/LogisticEquation/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/LogisticEquation/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Jeff Bryant",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Jeff+Bryant"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Jeff+Bryant"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
LogisticEquation"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Logistic Equation - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 209, 4, 70, "Section"],
Cell[802, 29, 404, 14, 70, "Input",
 CellID->47468422],
Cell[1209, 45, 3360, 90, 70, "Input"]
}, Open  ]],
Cell[4584, 138, 3763, 83, 70, "Output",
 CellID->289286146],
Cell[CellGroupData[{
Cell[8372, 225, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[8748, 236, 874, 24, 70, "Text"],
Cell[9625, 262, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[9965, 273, 430, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[10420, 291, 829, 24, 70, "Text"],
Cell[11252, 317, 1192, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature QSzDRS4iYV6NsBDX8Iu8OT#8 *)
