(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     53168,       1249]
NotebookOptionsPosition[     52113,       1210]
NotebookOutlinePosition[     52726,       1234]
CellTagsIndexPosition[     52683,       1231]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Partial Derivatives in 3D", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"xmin", ",", "xmax"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"ymin", ",", "ymax"}], "}"}]}], "}"}], "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "3"}], ",", "3"}], "}"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"zmin", ",", "zmax"}], "}"}], "=", 
     RowBox[{"Evaluate", "@", 
      RowBox[{"Switch", "[", 
       RowBox[{"f", ",", "\[IndentingNewLine]", 
        RowBox[{"Function", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x1", ",", "y1"}], "}"}], ",", 
          RowBox[{
           RowBox[{"Sin", "[", 
            RowBox[{"x1", "-", "y1"}], "]"}], "+", 
           RowBox[{"Cos", "[", "x1", "]"}]}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Function", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x1", ",", "y1"}], "}"}], ",", 
          RowBox[{"x1", "*", 
           RowBox[{"Cos", "[", "y1", "]"}]}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Function", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x1", ",", "y1"}], "}"}], ",", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"x1", "^", "2"}], "-", 
             RowBox[{"y1", "^", "2"}]}], ")"}], "/", "2"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Function", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x1", ",", "y1"}], "}"}], ",", 
          RowBox[{"4", "-", 
           RowBox[{"x1", "^", "2"}], "-", 
           RowBox[{"y1", "^", "2"}]}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "14"}], ",", "4"}], "}"}]}], "\[IndentingNewLine]", 
       "]"}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"plotrange", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"xmin", ",", "xmax"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"ymin", ",", "ymax"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"zmin", ",", "zmax"}], "}"}]}], "}"}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{"{", 
      RowBox[{"Item", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Grid", "[", 
         RowBox[{
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Text", "@", 
               RowBox[{"Style", "[", 
                RowBox[{
                 RowBox[{"Row", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<(\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<, \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<) = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], "]"}]}], "}"}], "]"}], 
                 ",", "16"}], "]"}]}], ",", "SpanFromLeft"}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Show", "[", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{"showsurf", ",", 
                  RowBox[{"Plot3D", "[", 
                   RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", "xmin", ",", "xmax"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"y", ",", "ymin", ",", "ymax"}], "}"}], ",", 
                    RowBox[{"Mesh", "\[Rule]", "False"}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Gray", ",", 
                    RowBox[{"Opacity", "[", "surfopac", "]"}]}], "}"}]}], ",",
                     
                    RowBox[{"BoundaryStyle", "\[Rule]", "None"}]}], "]"}], 
                  ",", 
                  RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{"fixy", ",", 
                  RowBox[{"ParametricPlot3D", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"x", ",", "y0", ",", 
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y0"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", "xmin", ",", "xmax"}], "}"}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Thick", ",", 
                    RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.5"}], "]"}]}], "}"}]}]}], "]"}], 
                  ",", 
                  RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{"fixx", ",", 
                  RowBox[{"ParametricPlot3D", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"x0", ",", "y", ",", 
                    RowBox[{"f", "[", 
                    RowBox[{"x0", ",", "y"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"y", ",", "ymin", ",", "ymax"}], "}"}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Thick", ",", "Purple"}], "}"}]}]}], "]"}], ",", 
                  RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{"showxpart", ",", 
                  RowBox[{"ParametricPlot3D", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"1", "t"}], "+", "x0"}], ",", 
                    RowBox[{
                    RowBox[{"0", "t"}], "+", "y0"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "x"}], "]"}], "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "\[Rule]", "x0"}], ",", 
                    RowBox[{"y", "\[Rule]", "y0"}]}], "}"}]}], ")"}], "t"}], 
                    "+", 
                    RowBox[{"f", "[", 
                    RowBox[{"x0", ",", "y0"}], "]"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"t", ",", 
                    RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Green", ",", "Thick"}], "}"}]}]}], "]"}], ",", 
                  RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{"showypart", ",", 
                  RowBox[{"ParametricPlot3D", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"0", "t"}], "+", "x0"}], ",", 
                    RowBox[{
                    RowBox[{"1", "t"}], "+", "y0"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "y"}], "]"}], "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "\[Rule]", "x0"}], ",", 
                    RowBox[{"y", "\[Rule]", "y0"}]}], "}"}]}], ")"}], "t"}], 
                    "+", 
                    RowBox[{"f", "[", 
                    RowBox[{"x0", ",", "y0"}], "]"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"t", ",", 
                    RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Red", ",", "Thick"}], "}"}]}]}], "]"}], ",", 
                  RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{"Graphics3D", "[", 
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"Black", ",", 
                    RowBox[{"PointSize", "[", "0.03", "]"}], ",", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"x0", ",", "y0", ",", 
                    RowBox[{"f", "[", 
                    RowBox[{"x0", ",", "y0"}], "]"}]}], "}"}], "}"}], "]"}]}],
                     "}"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"If", "[", 
                    RowBox[{"fixx", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Purple", ",", "0.5"}], "]"}], ",", 
                    RowBox[{"Opacity", "[", "0.3", "]"}], ",", 
                    RowBox[{"Cuboid", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"x0", ",", 
                    RowBox[{"ymin", "*", "1.1"}], ",", 
                    RowBox[{"zmin", "*", "1.1"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x0", ",", 
                    RowBox[{"ymax", "*", "1.1"}], ",", 
                    RowBox[{"zmax", "*", "1.1"}]}], "}"}]}], "]"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"If", "[", 
                    RowBox[{"fixy", ",", 
                    RowBox[{"{", 
                    RowBox[{"Green", ",", 
                    RowBox[{"Opacity", "[", "0.3", "]"}], ",", 
                    RowBox[{"Cuboid", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xmin", "*", "1.1"}], ",", "y0", ",", 
                    RowBox[{"zmin", "*", "1.1"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"xmax", "*", "1.1"}], ",", "y0", ",", 
                    RowBox[{"zmax", "*", "1.1"}]}], "}"}]}], "]"}]}], "}"}], 
                    ",", 
                    RowBox[{"{", "}"}]}], "]"}]}], "\[IndentingNewLine]", 
                  "}"}], "]"}], ",", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
                RowBox[{"Axes", "\[Rule]", "True"}], ",", 
                RowBox[{"AxesEdge", "\[Rule]", 
                 RowBox[{"Table", "[", 
                  RowBox[{
                   RowBox[{"-", "1"}], ",", 
                   RowBox[{"{", "3", "}"}], ",", 
                   RowBox[{"{", "2", "}"}]}], "]"}]}], ",", 
                RowBox[{"BoxRatios", "\[Rule]", "Automatic"}], ",", 
                RowBox[{"ImageSize", "\[Rule]", 
                 RowBox[{"{", 
                  RowBox[{"275", ",", "275"}], "}"}]}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"AxesLabel", "\[Rule]", 
                 RowBox[{"Map", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"#", ",", "14"}], "]"}], "&"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"\"\<x\>\"", ",", "\"\<y\>\"", ",", "\"\<z\>\""}],
                     "}"}]}], "]"}]}], ",", 
                RowBox[{"PlotRange", "\[Rule]", "plotrange"}]}], 
               "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              RowBox[{"Item", "[", 
               RowBox[{
                RowBox[{"Style", "[", 
                 RowBox[{
                  RowBox[{"Column", "[", 
                   RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{"\"\<\>\"", ",", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"showvalues", "&&", "showxpart"}], ",", 
                    RowBox[{"Text", "@", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Column", "[", 
                    RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Subscript", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}]}], "]"}], 
                    ",", "\"\<(\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<, \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<) = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "x"}], "]"}], 
                    "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
                    "\"\<\>\"", ",", "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Subscript", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}]}], "]"}], 
                    ",", "\"\<(\>\"", ",", "x0", ",", "\"\<, \>\"", ",", "y0",
                     ",", "\"\<) = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "x"}], "]"}], "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "\[Rule]", "x0"}], ",", 
                    RowBox[{"y", "\[Rule]", "y0"}]}], "}"}]}], "]"}]}], "}"}],
                     "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Subscript", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<xx\>\"", ",", "Italic"}], "]"}]}], "]"}], 
                    ",", "\"\<(\>\"", ",", "x0", ",", "\"\<, \>\"", ",", "y0",
                     ",", "\"\<) = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "x"}], "]"}], ",", 
                    "x"}], "]"}], "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "\[Rule]", "x0"}], ",", 
                    RowBox[{"y", "\[Rule]", "y0"}]}], "}"}]}], "]"}]}], "}"}],
                     "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Subscript", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<xy\>\"", ",", "Italic"}], "]"}]}], "]"}], 
                    ",", "\"\<(\>\"", ",", "x0", ",", "\"\<, \>\"", ",", "y0",
                     ",", "\"\<) = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "x"}], "]"}], ",", 
                    "y"}], "]"}], "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "\[Rule]", "x0"}], ",", 
                    RowBox[{"y", "\[Rule]", "y0"}]}], "}"}]}], "]"}]}], "}"}],
                     "]"}], ",", "Brown"}], "]"}]}], "\[IndentingNewLine]", 
                    "}"}], "]"}], ",", 
                    RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.5"}], "]"}]}], "]"}]}], ",", 
                    "\"\<\>\""}], "]"}], ",", "\[IndentingNewLine]", 
                    "\"\<\>\"", ",", "\"\<\>\"", ",", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"showvalues", "&&", "showypart"}], ",", 
                    RowBox[{"Text", "@", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Column", "[", 
                    RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Subscript", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}]}], "]"}], 
                    ",", "\"\<(\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<x\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<, \>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}], ",", 
                    "\"\<) = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "y"}], "]"}], 
                    "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
                    "\"\<\>\"", ",", "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Subscript", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<y\>\"", ",", "Italic"}], "]"}]}], "]"}], 
                    ",", "\"\<(\>\"", ",", "x0", ",", "\"\<, \>\"", ",", "y0",
                     ",", "\"\<) = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "y"}], "]"}], "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "\[Rule]", "x0"}], ",", 
                    RowBox[{"y", "\[Rule]", "y0"}]}], "}"}]}], "]"}]}], "}"}],
                     "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Subscript", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<yy\>\"", ",", "Italic"}], "]"}]}], "]"}], 
                    ",", "\"\<(\>\"", ",", "x0", ",", "\"\<, \>\"", ",", "y0",
                     ",", "\"\<) = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "y"}], "]"}], ",", 
                    "y"}], "]"}], "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "\[Rule]", "x0"}], ",", 
                    RowBox[{"y", "\[Rule]", "y0"}]}], "}"}]}], "]"}]}], "}"}],
                     "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Subscript", "[", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}], ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<yx\>\"", ",", "Italic"}], "]"}]}], "]"}], 
                    ",", "\"\<(\>\"", ",", "x0", ",", "\"\<, \>\"", ",", "y0",
                     ",", "\"\<) = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", 
                    RowBox[{
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"D", "[", 
                    RowBox[{
                    RowBox[{"f", "[", 
                    RowBox[{"x", ",", "y"}], "]"}], ",", "y"}], "]"}], ",", 
                    "x"}], "]"}], "/.", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"x", "\[Rule]", "x0"}], ",", 
                    RowBox[{"y", "\[Rule]", "y0"}]}], "}"}]}], "]"}]}], "}"}],
                     "]"}], ",", "Brown"}], "]"}]}], "\[IndentingNewLine]", 
                    "}"}], "]"}], ",", "Red"}], "]"}]}], ",", "\"\<\>\""}], 
                    "]"}]}], "\[IndentingNewLine]", "}"}], "]"}], ",", "12"}],
                  "]"}], ",", 
                RowBox[{"ItemSize", "\[Rule]", "16"}], ",", 
                RowBox[{"Alignment", "\[Rule]", "Left"}]}], "]"}]}], 
             "\[IndentingNewLine]", "}"}]}], "}"}], ",", 
          RowBox[{"Alignment", "\[Rule]", "Top"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"ItemSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"Automatic", ",", "32"}], "}"}]}], ",", 
        RowBox[{"Alignment", "\[Rule]", "Top"}]}], "\[IndentingNewLine]", 
       "]"}], "}"}], "]"}]}], ",", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"f", ",", 
       RowBox[{"Function", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x1", ",", "y1"}], "}"}], ",", 
         RowBox[{
          RowBox[{"Sin", "[", 
           RowBox[{"x1", "-", "y1"}], "]"}], "+", 
          RowBox[{"Cos", "[", "x1", "]"}]}]}], "]"}], ",", 
       "\"\<f(x, y) =\>\""}], "}"}], ",", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Function", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x1", ",", "y1"}], "}"}], ",", 
          RowBox[{
           RowBox[{"Sin", "[", 
            RowBox[{"x1", "-", "y1"}], "]"}], "+", 
           RowBox[{"Cos", "[", "x1", "]"}]}]}], "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"Sin", "[", 
           RowBox[{"x", "-", "y"}], "]"}], "+", 
          RowBox[{"Cos", "[", "x", "]"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Function", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x1", ",", "y1"}], "}"}], ",", 
          RowBox[{"x1", "*", 
           RowBox[{"Cos", "[", "y1", "]"}]}]}], "]"}], "\[Rule]", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"x", "*", 
          RowBox[{"Cos", "[", "y", "]"}]}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Function", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x1", ",", "y1"}], "}"}], ",", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"x1", "^", "2"}], "-", 
             RowBox[{"y1", "^", "2"}]}], ")"}], "/", "2"}]}], "]"}], "->", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"x", "^", "2"}], "-", 
            RowBox[{"y", "^", "2"}]}], ")"}], "/", "2"}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Function", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x1", ",", "y1"}], "}"}], ",", 
          RowBox[{"4", "-", 
           RowBox[{"x1", "^", "2"}], "-", 
           RowBox[{"y1", "^", "2"}]}]}], "]"}], "->", 
        RowBox[{"TraditionalForm", "[", 
         RowBox[{"4", "-", 
          RowBox[{"x", "^", "2"}], "-", 
          RowBox[{"y", "^", "2"}]}], "]"}]}]}], "\[IndentingNewLine]", "}"}], 
     ",", "\[IndentingNewLine]", "PopupMenu"}], "}"}], "\[IndentingNewLine]", 
   ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x0", ",", "0", ",", 
       RowBox[{"Subscript", "[", 
        RowBox[{"\"\<x\>\"", ",", "0"}], "]"}]}], "}"}], ",", 
     RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"y0", ",", "0", ",", 
       RowBox[{"Subscript", "[", 
        RowBox[{"\"\<y\>\"", ",", "0"}], "]"}]}], "}"}], ",", 
     RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"fixy", ",", "False", ",", "\"\<fixed y plane\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showxpart", ",", "False", ",", "\"\<show x-partial\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"fixx", ",", "False", ",", "\"\<fixed x plane\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showypart", ",", "False", ",", "\"\<show y-partial\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showsurf", ",", "True", ",", "\"\<show surface\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"showvalues", ",", "False", ",", "\"\<show values\>\""}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{"True", ",", "False"}], "}"}], ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
     RowBox[{"Enabled", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{"showxpart", "||", "showypart"}], ")"}]}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"surfopac", ",", "0.5", ",", "\"\<surface opacity\>\""}], "}"}],
      ",", "0", ",", "1", ",", 
     RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"TrackedSymbols", "\[Rule]", "Manipulate"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "6", ",", "10"}], 
     "}"}]}]}], "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.432773897557491*^9, {3.4327748623778906`*^9, 
   3.432774868914291*^9}, {3.4329006340124674`*^9, 3.432900681579223*^9}, {
   3.4329007207031355`*^9, 3.4329008213642006`*^9}, {3.432900857122776*^9, 
   3.4329008883819017`*^9}, {3.432927496224095*^9, 3.432927496551695*^9}, {
   3.4329275267376947`*^9, 3.4329276128496947`*^9}, {3.4329279584072948`*^9, 
   3.4329279589376945`*^9}, {3.4329821264295034`*^9, 
   3.4329821545783176`*^9}, {3.4329822457704363`*^9, 3.432982259159775*^9}, {
   3.4330213684375*^9, 3.4330214244375*^9}, {3.4330215224375*^9, 
   3.43302155796875*^9}, {3.433021591546875*^9, 3.43302159221875*^9}, {
   3.433103253265625*^9, 3.4331032648125*^9}, {3.433103297171875*^9, 
   3.433103321640625*^9}, {3.43310619340625*^9, 3.433106231828125*^9}}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`f$$ = 
    Function[{$CellContext`x1, $CellContext`y1}, 
     Sin[$CellContext`x1 - $CellContext`y1] + 
     Cos[$CellContext`x1]], $CellContext`fixx$$ = False, $CellContext`fixy$$ =
     False, $CellContext`showsurf$$ = True, $CellContext`showvalues$$ = 
    False, $CellContext`showxpart$$ = False, $CellContext`showypart$$ = 
    False, $CellContext`surfopac$$ = 0.5, $CellContext`x0$$ = 
    0, $CellContext`y0$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`f$$], 
       Function[{$CellContext`x1, $CellContext`y1}, 
        Sin[$CellContext`x1 - $CellContext`y1] + Cos[$CellContext`x1]], 
       "f(x, y) ="}, {
      Function[{$CellContext`x1, $CellContext`y1}, 
         Sin[$CellContext`x1 - $CellContext`y1] + Cos[$CellContext`x1]] -> 
       TraditionalForm[
        Cos[$CellContext`x] + Sin[$CellContext`x - $CellContext`y]], 
       Function[{$CellContext`x1, $CellContext`y1}, $CellContext`x1 
         Cos[$CellContext`y1]] -> 
       TraditionalForm[$CellContext`x Cos[$CellContext`y]], 
       Function[{$CellContext`x1, $CellContext`y1}, ($CellContext`x1^2 - \
$CellContext`y1^2)/2] -> 
       TraditionalForm[Rational[1, 2] ($CellContext`x^2 - $CellContext`y^2)], 
       Function[{$CellContext`x1, $CellContext`y1}, 
         4 - $CellContext`x1^2 - $CellContext`y1^2] -> 
       TraditionalForm[4 - $CellContext`x^2 - $CellContext`y^2]}}, {{
       Hold[$CellContext`x0$$], 0, 
       Subscript["x", 0]}, -3, 3}, {{
       Hold[$CellContext`y0$$], 0, 
       Subscript["y", 0]}, -3, 3}, {{
       Hold[$CellContext`fixy$$], False, "fixed y plane"}, {True, False}}, {{
       Hold[$CellContext`showxpart$$], False, "show x-partial"}, {
      True, False}}, {{
       Hold[$CellContext`fixx$$], False, "fixed x plane"}, {True, False}}, {{
       Hold[$CellContext`showypart$$], False, "show y-partial"}, {
      True, False}}, {{
       Hold[$CellContext`showsurf$$], True, "show surface"}, {
      True, False}}, {{
       Hold[$CellContext`showvalues$$], False, "show values"}, {
      True, False}}, {{
       Hold[$CellContext`surfopac$$], 0.5, "surface opacity"}, 0, 1}}, 
    Typeset`size$$ = {484., {157.5, 162.5}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = True, $CellContext`f$716$$ = 
    False, $CellContext`x0$717$$ = 0, $CellContext`y0$718$$ = 
    0, $CellContext`fixy$719$$ = "Button 2", $CellContext`showxpart$720$$ = 
    "Button 3", $CellContext`fixx$721$$ = 
    "Button 4", $CellContext`showypart$722$$ = 
    "Button 5", $CellContext`showsurf$723$$ = 
    "Button 6", $CellContext`showvalues$724$$ = 
    "Button 7", $CellContext`surfopac$725$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`f$$ = 
        Function[{$CellContext`x1, $CellContext`y1}, 
          Sin[$CellContext`x1 - $CellContext`y1] + 
          Cos[$CellContext`x1]], $CellContext`fixx$$ = 
        False, $CellContext`fixy$$ = False, $CellContext`showsurf$$ = 
        True, $CellContext`showvalues$$ = False, $CellContext`showxpart$$ = 
        False, $CellContext`showypart$$ = False, $CellContext`surfopac$$ = 
        0.5, $CellContext`x0$$ = 0, $CellContext`y0$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`f$$, $CellContext`f$716$$, False], 
        Hold[$CellContext`x0$$, $CellContext`x0$717$$, 0], 
        Hold[$CellContext`y0$$, $CellContext`y0$718$$, 0], 
        Hold[$CellContext`fixy$$, $CellContext`fixy$719$$, False], 
        Hold[$CellContext`showxpart$$, $CellContext`showxpart$720$$, False], 
        Hold[$CellContext`fixx$$, $CellContext`fixx$721$$, False], 
        Hold[$CellContext`showypart$$, $CellContext`showypart$722$$, False], 
        Hold[$CellContext`showsurf$$, $CellContext`showsurf$723$$, False], 
        Hold[$CellContext`showvalues$$, $CellContext`showvalues$724$$, False],
         
        Hold[$CellContext`surfopac$$, $CellContext`surfopac$725$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ({{$CellContext`xmin, $CellContext`xmax}, {$CellContext`ymin, \
$CellContext`ymax}} = {{-3, 3}, {-3, 
         3}}; {$CellContext`zmin, $CellContext`zmax} = Evaluate[
          Switch[$CellContext`f$$, 
           
           Function[{$CellContext`x1, $CellContext`y1}, 
            Sin[$CellContext`x1 - $CellContext`y1] + 
            Cos[$CellContext`x1]], {-2, 2}, 
           
           Function[{$CellContext`x1, $CellContext`y1}, $CellContext`x1 
            Cos[$CellContext`y1]], {-3, 3}, 
           
           Function[{$CellContext`x1, $CellContext`y1}, ($CellContext`x1^2 - \
$CellContext`y1^2)/2], {-5, 5}, 
           
           Function[{$CellContext`x1, $CellContext`y1}, 
            4 - $CellContext`x1^2 - $CellContext`y1^2], {-14, 
           4}]]; $CellContext`plotrange = {{$CellContext`xmin, \
$CellContext`xmax}, {$CellContext`ymin, $CellContext`ymax}, \
{$CellContext`zmin, $CellContext`zmax}}; Column[{
          Item[
           Grid[{{
              Text[
               Style[
                Row[{
                  Style["f", Italic], "(", 
                  Style["x", Italic], ", ", 
                  Style["y", Italic], ") = ", 
                  TraditionalForm[
                   $CellContext`f$$[$CellContext`x, $CellContext`y]]}], 16]], 
              SpanFromLeft}, {
              Show[
               If[$CellContext`showsurf$$, 
                Plot3D[
                 $CellContext`f$$[$CellContext`x, $CellContext`y], \
{$CellContext`x, $CellContext`xmin, $CellContext`xmax}, {$CellContext`y, \
$CellContext`ymin, $CellContext`ymax}, Mesh -> False, PlotStyle -> {Gray, 
                   Opacity[$CellContext`surfopac$$]}, BoundaryStyle -> 
                 None], {}], 
               If[$CellContext`fixy$$, 
                ParametricPlot3D[{$CellContext`x, $CellContext`y0$$, 
                  $CellContext`f$$[$CellContext`x, $CellContext`y0$$]}, \
{$CellContext`x, $CellContext`xmin, $CellContext`xmax}, PlotStyle -> {Thick, 
                   Darker[Green, 0.5]}], {}], 
               If[$CellContext`fixx$$, 
                ParametricPlot3D[{$CellContext`x0$$, $CellContext`y, 
                  $CellContext`f$$[$CellContext`x0$$, $CellContext`y]}, \
{$CellContext`y, $CellContext`ymin, $CellContext`ymax}, 
                 PlotStyle -> {Thick, Purple}], {}], 
               If[$CellContext`showxpart$$, 
                
                ParametricPlot3D[{
                 1 $CellContext`t + $CellContext`x0$$, 
                  0 $CellContext`t + $CellContext`y0$$, ReplaceAll[
                    D[
                    $CellContext`f$$[$CellContext`x, $CellContext`y], \
$CellContext`x], {$CellContext`x -> $CellContext`x0$$, $CellContext`y -> \
$CellContext`y0$$}] $CellContext`t + $CellContext`f$$[$CellContext`x0$$, \
$CellContext`y0$$]}, {$CellContext`t, -1, 1}, 
                 PlotStyle -> {Green, Thick}], {}], 
               If[$CellContext`showypart$$, 
                
                ParametricPlot3D[{
                 0 $CellContext`t + $CellContext`x0$$, 
                  1 $CellContext`t + $CellContext`y0$$, ReplaceAll[
                    D[
                    $CellContext`f$$[$CellContext`x, $CellContext`y], \
$CellContext`y], {$CellContext`x -> $CellContext`x0$$, $CellContext`y -> \
$CellContext`y0$$}] $CellContext`t + $CellContext`f$$[$CellContext`x0$$, \
$CellContext`y0$$]}, {$CellContext`t, -1, 1}, PlotStyle -> {Red, Thick}], {}],
                
               Graphics3D[{{Black, 
                  PointSize[0.03], 
                  Point[{{$CellContext`x0$$, $CellContext`y0$$, 
                    $CellContext`f$$[$CellContext`x0$$, \
$CellContext`y0$$]}}]}, 
                 If[$CellContext`fixx$$, {
                   Lighter[Purple, 0.5], 
                   Opacity[0.3], 
                   
                   Cuboid[{$CellContext`x0$$, $CellContext`ymin 
                    1.1, $CellContext`zmin 
                    1.1}, {$CellContext`x0$$, $CellContext`ymax 
                    1.1, $CellContext`zmax 1.1}]}, {}], 
                 If[$CellContext`fixy$$, {Green, 
                   Opacity[0.3], 
                   
                   Cuboid[{$CellContext`xmin 
                    1.1, $CellContext`y0$$, $CellContext`zmin 
                    1.1}, {$CellContext`xmax 
                    1.1, $CellContext`y0$$, $CellContext`zmax 1.1}]}, {}]}], 
               Boxed -> False, Axes -> True, AxesEdge -> Table[-1, {3}, {2}], 
               BoxRatios -> Automatic, ImageSize -> {275, 275}, AxesLabel -> 
               Map[Style[#, 14]& , {"x", "y", "z"}], 
               PlotRange -> $CellContext`plotrange], 
              Item[
               Style[
                Column[{"", 
                  If[
                   And[$CellContext`showvalues$$, $CellContext`showxpart$$], 
                   Text[
                    Style[
                    Column[{
                    Row[{
                    Subscript[
                    Style["f", Italic], 
                    Style["x", Italic]], "(", 
                    Style["x", Italic], ", ", 
                    Style["y", Italic], ") = ", 
                    TraditionalForm[
                    D[
                    $CellContext`f$$[$CellContext`x, $CellContext`y], \
$CellContext`x]]}], "", 
                    Row[{
                    Subscript[
                    Style["f", Italic], 
                    Style["x", Italic]], "(", $CellContext`x0$$, 
                    ", ", $CellContext`y0$$, ") = ", 
                    TraditionalForm[
                    ReplaceAll[
                    D[
                    $CellContext`f$$[$CellContext`x, $CellContext`y], \
$CellContext`x], {$CellContext`x -> $CellContext`x0$$, $CellContext`y -> \
$CellContext`y0$$}]]}], 
                    Row[{
                    Subscript[
                    Style["f", Italic], 
                    Style["xx", Italic]], "(", $CellContext`x0$$, 
                    ", ", $CellContext`y0$$, ") = ", 
                    TraditionalForm[
                    ReplaceAll[
                    D[
                    D[
                    $CellContext`f$$[$CellContext`x, $CellContext`y], \
$CellContext`x], $CellContext`x], {$CellContext`x -> $CellContext`x0$$, \
$CellContext`y -> $CellContext`y0$$}]]}], 
                    Style[
                    Row[{
                    Subscript[
                    Style["f", Italic], 
                    Style["xy", Italic]], "(", $CellContext`x0$$, 
                    ", ", $CellContext`y0$$, ") = ", 
                    TraditionalForm[
                    ReplaceAll[
                    D[
                    D[
                    $CellContext`f$$[$CellContext`x, $CellContext`y], \
$CellContext`x], $CellContext`y], {$CellContext`x -> $CellContext`x0$$, \
$CellContext`y -> $CellContext`y0$$}]]}], Brown]}], 
                    Darker[Green, 0.5]]], ""], "", "", 
                  If[
                   And[$CellContext`showvalues$$, $CellContext`showypart$$], 
                   Text[
                    Style[
                    Column[{
                    Row[{
                    Subscript[
                    Style["f", Italic], 
                    Style["y", Italic]], "(", 
                    Style["x", Italic], ", ", 
                    Style["y", Italic], ") = ", 
                    TraditionalForm[
                    D[
                    $CellContext`f$$[$CellContext`x, $CellContext`y], \
$CellContext`y]]}], "", 
                    Row[{
                    Subscript[
                    Style["f", Italic], 
                    Style["y", Italic]], "(", $CellContext`x0$$, 
                    ", ", $CellContext`y0$$, ") = ", 
                    TraditionalForm[
                    ReplaceAll[
                    D[
                    $CellContext`f$$[$CellContext`x, $CellContext`y], \
$CellContext`y], {$CellContext`x -> $CellContext`x0$$, $CellContext`y -> \
$CellContext`y0$$}]]}], 
                    Row[{
                    Subscript[
                    Style["f", Italic], 
                    Style["yy", Italic]], "(", $CellContext`x0$$, 
                    ", ", $CellContext`y0$$, ") = ", 
                    TraditionalForm[
                    ReplaceAll[
                    D[
                    D[
                    $CellContext`f$$[$CellContext`x, $CellContext`y], \
$CellContext`y], $CellContext`y], {$CellContext`x -> $CellContext`x0$$, \
$CellContext`y -> $CellContext`y0$$}]]}], 
                    Style[
                    Row[{
                    Subscript[
                    Style["f", Italic], 
                    Style["yx", Italic]], "(", $CellContext`x0$$, 
                    ", ", $CellContext`y0$$, ") = ", 
                    TraditionalForm[
                    ReplaceAll[
                    D[
                    D[
                    $CellContext`f$$[$CellContext`x, $CellContext`y], \
$CellContext`y], $CellContext`x], {$CellContext`x -> $CellContext`x0$$, \
$CellContext`y -> $CellContext`y0$$}]]}], Brown]}], Red]], ""]}], 12], 
               ItemSize -> 16, Alignment -> Left]}}, Alignment -> Top], 
           ItemSize -> {Automatic, 32}, Alignment -> Top]}]), 
      "Specifications" :> {{{$CellContext`f$$, 
          
          Function[{$CellContext`x1, $CellContext`y1}, 
           Sin[$CellContext`x1 - $CellContext`y1] + Cos[$CellContext`x1]], 
          "f(x, y) ="}, {
         Function[{$CellContext`x1, $CellContext`y1}, 
            Sin[$CellContext`x1 - $CellContext`y1] + Cos[$CellContext`x1]] -> 
          TraditionalForm[
           Cos[$CellContext`x] + Sin[$CellContext`x - $CellContext`y]], 
          Function[{$CellContext`x1, $CellContext`y1}, $CellContext`x1 
            Cos[$CellContext`y1]] -> 
          TraditionalForm[$CellContext`x Cos[$CellContext`y]], 
          Function[{$CellContext`x1, $CellContext`y1}, ($CellContext`x1^2 - \
$CellContext`y1^2)/2] -> 
          TraditionalForm[
           Rational[1, 2] ($CellContext`x^2 - $CellContext`y^2)], 
          Function[{$CellContext`x1, $CellContext`y1}, 
            4 - $CellContext`x1^2 - $CellContext`y1^2] -> 
          TraditionalForm[4 - $CellContext`x^2 - $CellContext`y^2]}, 
         ControlType -> PopupMenu}, {{$CellContext`x0$$, 0, 
          Subscript["x", 0]}, -3, 3}, {{$CellContext`y0$$, 0, 
          Subscript["y", 0]}, -3, 
         3}, {{$CellContext`fixy$$, False, "fixed y plane"}, {True, False}, 
         ControlPlacement -> 
         Left}, {{$CellContext`showxpart$$, False, "show x-partial"}, {
         True, False}, ControlPlacement -> Left}, 
        Delimiter, {{$CellContext`fixx$$, False, "fixed x plane"}, {
         True, False}, ControlPlacement -> 
         Left}, {{$CellContext`showypart$$, False, "show y-partial"}, {
         True, False}, ControlPlacement -> Left}, 
        Delimiter, {{$CellContext`showsurf$$, True, "show surface"}, {
         True, False}, ControlPlacement -> 
         Left}, {{$CellContext`showvalues$$, False, "show values"}, {
         True, False}, ControlPlacement -> Left, Enabled -> Dynamic[
           
           Or[$CellContext`showxpart$$, $CellContext`showypart$$]]}, \
{{$CellContext`surfopac$$, 0.5, "surface opacity"}, 0, 1, ControlPlacement -> 
         Top}}, "Options" :> {
       TrackedSymbols -> Manipulate, 
        AutorunSequencing -> {1, 2, 3, 4, 6, 10}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{617., {244., 249.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->372258149],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Partial Derivatives in 3D",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PartialDerivativesIn3D/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/PartialDerivativesIn3D/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/PartialDerivativesIn3D/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/PartialDerivativesIn3D/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/PartialDerivativesIn3D/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Abby Brown",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Abby+Brown"], 
    None}]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
PartialDerivativesIn3D"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Partial Derivatives in 3D - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (May 21, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 217, 4, 70, "Section"],
Cell[810, 29, 30915, 711, 70, "Input"]
}, Open  ]],
Cell[31740, 743, 16292, 336, 70, "Output",
 CellID->372258149],
Cell[CellGroupData[{
Cell[48057, 1083, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[48433, 1094, 912, 24, 70, "Text"],
Cell[49348, 1120, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[49688, 1131, 342, 12, 70, "Text"],
Cell[CellGroupData[{
Cell[50055, 1147, 829, 24, 70, "Text"],
Cell[50887, 1173, 1198, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature fT4qzcymEj#JSDpiLB7EzaTY *)
