(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     33248,        794]
NotebookOptionsPosition[     32112,        751]
NotebookOutlinePosition[     32758,        776]
CellTagsIndexPosition[     32715,        773]
WindowTitle->Visualizing the Gradient Vector - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Visualizing the Gradient Vector", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"DynamicModule", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "grad", ",", "unitgrad", ",", "function", ",", "buttonText", ",", 
       "functionButtons", ",", "ptrul"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"function", "[", 
        RowBox[{"{", 
         RowBox[{"x_", ",", "y_"}], "}"}], "]"}], ":=", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"5", "-", 
          RowBox[{
           SuperscriptBox["x", "2"], "/", "2"}], "-", 
          SuperscriptBox["y", "2"]}], ",", 
         RowBox[{
          RowBox[{
           SuperscriptBox["x", "2"], "/", "2"}], "+", 
          SuperscriptBox["y", "2"]}], ",", 
         RowBox[{"1", "-", 
          RowBox[{"2", "x"}], "+", "y"}], ",", 
         RowBox[{
          RowBox[{
           SuperscriptBox["x", "2"], "/", "2"}], "-", 
          SuperscriptBox["y", "2"]}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["x", "2"]}], "/", "2"}], "+", 
          SuperscriptBox["y", "2"]}], ",", 
         RowBox[{"Sin", "[", 
          RowBox[{
           RowBox[{"Sin", "[", "y", "]"}], "+", 
           RowBox[{"Sin", "[", "x", "]"}]}], "]"}], ",", 
         RowBox[{"x", " ", "y", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "0.4"}], 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["x", "2"], "+", 
              SuperscriptBox["y", "2"]}], ")"}]}]]}]}], "}"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"ptrul", ":=", 
       RowBox[{"Thread", "[", 
        RowBox[{"Rule", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", "y"}], "}"}], ",", "pt"}], "]"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"grad", "=", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"function", "[", 
           RowBox[{"{", 
            RowBox[{"x", ",", "y"}], "}"}], "]"}], "[", 
          RowBox[{"[", "fff", "]"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"{", 
           RowBox[{"x", ",", "y"}], "}"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"unitgrad", "=", 
       RowBox[{"grad", "/", 
        SqrtBox[
         RowBox[{"grad", ".", "grad"}]]}]}], ";", " ", "\[IndentingNewLine]", 
      RowBox[{"Deploy", "[", "\[IndentingNewLine]", 
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"ContourPlot", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"function", "[", 
               RowBox[{"{", 
                RowBox[{"x", ",", "y"}], "}"}], "]"}], "[", 
              RowBox[{"[", "fff", "]"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", 
               RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"y", ",", 
               RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
             RowBox[{"Contours", "\[Rule]", "10"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"ContourPlot", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"function", "[", 
                RowBox[{"{", 
                 RowBox[{"x", ",", "y"}], "}"}], "]"}], "[", 
               RowBox[{"[", "fff", "]"}], "]"}], "==", 
              RowBox[{
               RowBox[{"function", "[", "pt", "]"}], "[", 
               RowBox[{"[", "fff", "]"}], "]"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", 
               RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"y", ",", 
               RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
             RowBox[{"Contours", "\[Rule]", "10"}], ",", 
             RowBox[{"ContourStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"Blue", ",", " ", 
                RowBox[{"Thickness", "[", "0.007", "]"}]}], "}"}]}]}], "]"}], 
           ",", "\[IndentingNewLine]", 
           RowBox[{"Graphics", "[", 
            RowBox[{"{", "\[IndentingNewLine]", 
             RowBox[{"Red", ",", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"MemberQ", "[", 
                 RowBox[{"options", ",", "gradient"}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"MemberQ", "[", 
                    RowBox[{"options", ",", "normalize"}], "]"}], "&&", 
                   RowBox[{
                    RowBox[{"Dynamic", "[", 
                    RowBox[{"grad", "/.", "ptrul"}], "]"}], "=!=", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}]}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"Dynamic", "[", 
                   RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{"pt", ",", 
                    RowBox[{"pt", "+", 
                    RowBox[{"(", 
                    RowBox[{"unitgrad", "/.", "ptrul"}], ")"}]}]}], "}"}], 
                    "]"}], "]"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"Dynamic", "[", 
                   RowBox[{"Tooltip", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{"pt", ",", 
                    RowBox[{"pt", "+", 
                    RowBox[{"(", 
                    RowBox[{"grad", "/.", "ptrul"}], ")"}]}]}], "}"}], "]"}], 
                    ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"grad", "/.", "ptrul"}], ",", "Red"}], "]"}]}], 
                    "]"}], "]"}]}], "\[IndentingNewLine]", "]"}], ",", 
                "Red"}], "]"}], ",", "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"MemberQ", "[", 
                 RowBox[{"options", ",", "normalize"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"Black", ",", 
                  RowBox[{"Dynamic", "[", 
                   RowBox[{"Circle", "[", 
                    RowBox[{"pt", ",", "1"}], "]"}], "]"}]}], "}"}], ",", 
                "Blue"}], "]"}], ",", "\[IndentingNewLine]", "Blue", ",", 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"MemberQ", "[", 
                 RowBox[{"options", ",", "neggradient"}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"MemberQ", "[", 
                    RowBox[{"options", ",", "normalize"}], "]"}], "&&", 
                   RowBox[{
                    RowBox[{"Dynamic", "[", 
                    RowBox[{"grad", "/.", "ptrul"}], "]"}], "=!=", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}]}], ",", 
                  RowBox[{"Dynamic", "[", 
                   RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{"pt", ",", 
                    RowBox[{"pt", "-", 
                    RowBox[{"(", 
                    RowBox[{"unitgrad", "/.", "ptrul"}], ")"}]}]}], "}"}], 
                    "]"}], "]"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"Dynamic", "[", 
                   RowBox[{"Tooltip", "[", 
                    RowBox[{
                    RowBox[{"Arrow", "[", 
                    RowBox[{"{", 
                    RowBox[{"pt", ",", 
                    RowBox[{"pt", "-", 
                    RowBox[{"(", 
                    RowBox[{"grad", "/.", "ptrul"}], ")"}]}]}], "}"}], "]"}], 
                    ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"-", "grad"}], "/.", "ptrul"}], ",", "Blue"}], 
                    "]"}]}], "]"}], "]"}]}], "\[IndentingNewLine]", "]"}], 
                ",", "\[IndentingNewLine]", "Blue"}], "]"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"Tooltip", "[", 
               RowBox[{
                RowBox[{"Locator", "[", 
                 RowBox[{"Dynamic", "[", "pt", "]"}], "]"}], ",", 
                RowBox[{"Dynamic", "[", "pt", "]"}]}], "]"}]}], "}"}], 
            "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"ImageSize", "\[Rule]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"MemberQ", "[", 
             RowBox[{"options", ",", "format"}], "]"}], ",", "500", ",", 
            "380"}], "]"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"PlotLabel", "\[Rule]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"MemberQ", "[", 
             RowBox[{"options", ",", "label"}], "]"}], ",", 
            RowBox[{
             RowBox[{"ToString", "[", 
              RowBox[{
               RowBox[{"f", "[", 
                RowBox[{"x", ",", "y"}], "]"}], ",", "TraditionalForm"}], 
              "]"}], "<>", "\"\< = \>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"function", "[", 
                 RowBox[{"x", ",", "y"}], "]"}], "[", 
                RowBox[{"[", "fff", "]"}], "]"}], ",", "TraditionalForm"}], 
              "]"}]}], ",", 
            RowBox[{"Column", "[", 
             RowBox[{
              RowBox[{"{", "\"\< \>\"", "}"}], ",", 
              RowBox[{"ItemSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"Automatic", ",", "2.75"}], "}"}]}]}], "]"}]}], 
           "]"}]}]}], "]"}], "]"}]}]}], "\[IndentingNewLine]", "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"options", ",", 
       RowBox[{"{", "gradient", "}"}], ",", "\"\<\>\""}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"gradient", "\[Rule]", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\< \[Del]f\>\"", ",", "Red"}], "]"}]}], ",", 
       RowBox[{"neggradient", "\[Rule]", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\< -\[Del]f\>\"", ",", "Blue"}], "]"}]}], ",", 
       RowBox[{"normalize", "\[Rule]", "\"\< normalize          \>\""}], ",", 
       RowBox[{"format", "\[Rule]", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\< large format\>\"", ",", "10"}], "]"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"label", "\[Rule]", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\< show function\>\"", ",", "10"}], "]"}]}]}], "}"}]}], 
    "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"fff", ",", "1", ",", "\"\<function\>\""}], "}"}], ",", 
     "functionButtons", ",", 
     RowBox[{"ControlType", "\[Rule]", "Setter"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pt", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}], ",", "\"\<location\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "3"}], ",", 
       RowBox[{"-", "3"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "3"}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"MemberQ", "[", 
         RowBox[{"options", ",", "format"}], "]"}], ",", "Medium", ",", 
        "Tiny"}], "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"ControlType", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"CheckboxBar", ",", "Setter", ",", "Slider2D"}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Top", ",", "Top", ",", "Left"}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Clear", "[", 
       RowBox[{"x", ",", "y"}], "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"buttonText", "=", 
       RowBox[{"{", 
        RowBox[{
        "\"\< maximum\>\"", ",", "\"\< minimum\>\"", ",", "\"\< linear\>\"", 
         ",", "\"\< saddle 1\>\"", ",", "\"\< saddle 2\>\"", ",", 
         "\"\< example 1\>\"", ",", "\"\< example 2\>\""}], "}"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"functionButtons", " ", "=", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"#", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "\[Rule]", " ", 
           RowBox[{"#", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], "&"}], ",", 
         RowBox[{"Transpose", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Range", "[", 
             RowBox[{"Length", "[", "buttonText", "]"}], "]"}], ",", 
            "buttonText"}], "}"}], "]"}]}], "]"}]}], ";"}], "}"}]}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.371171533666184*^9, 3.371171570837138*^9}, 
   3.3711716129272118`*^9, {3.3711716485945587`*^9, 3.371171648960477*^9}, {
   3.3711717215806*^9, 3.3711717452758493`*^9}, {3.371171844593371*^9, 
   3.37117189236803*^9}, {3.371172136978838*^9, 3.371172280257739*^9}, {
   3.371172411350209*^9, 3.3711724659228086`*^9}, 3.3711730439299603`*^9, {
   3.371173076000992*^9, 3.371173111420249*^9}, {3.371173160840743*^9, 
   3.371173164147739*^9}, {3.37117320807719*^9, 3.371173236404695*^9}, {
   3.3711733554323597`*^9, 3.3711733674020147`*^9}, {3.371173475314846*^9, 
   3.371173528385459*^9}, {3.3711735681147623`*^9, 3.37117362950801*^9}, {
   3.371173696537797*^9, 3.3711737030484743`*^9}, {3.371173791515418*^9, 
   3.3711737997441387`*^9}, {3.3711738773330812`*^9, 3.371173877810397*^9}, {
   3.371263163114805*^9, 3.371263225714823*^9}, {3.371263268777318*^9, 
   3.371263278616776*^9}, {3.3712633279121103`*^9, 3.371263424521469*^9}, {
   3.371263502232563*^9, 3.371263518749103*^9}, {3.371263689075447*^9, 
   3.371263702308278*^9}, {3.371263824729508*^9, 3.37126383658322*^9}, {
   3.371263915428347*^9, 3.3712639277142153`*^9}, {3.371263983263294*^9, 
   3.3712639876167107`*^9}, {3.371291867908181*^9, 3.371291973833761*^9}, {
   3.3712920230129232`*^9, 3.371292089015059*^9}, {3.371292144770146*^9, 
   3.3712921495359707`*^9}, {3.371292209155867*^9, 3.371292296355377*^9}, {
   3.3712924349898577`*^9, 3.371292543202907*^9}, 3.371292573654497*^9, {
   3.371292621344489*^9, 3.371292631450286*^9}, 3.3712926775716343`*^9, {
   3.371292763842915*^9, 3.371292780285042*^9}, {3.3712928313994007`*^9, 
   3.371292851088224*^9}, {3.371293040484482*^9, 3.3712930507668953`*^9}, {
   3.3712936003020372`*^9, 3.371293655769404*^9}, {3.3712936955123253`*^9, 
   3.371293702152074*^9}, {3.37129376947684*^9, 3.3712938089143476`*^9}, {
   3.371293850877701*^9, 3.371293853637631*^9}, {3.371293884381495*^9, 
   3.3712939143488417`*^9}, {3.371293948737012*^9, 3.371293956836042*^9}, {
   3.371294016079277*^9, 3.371294052657872*^9}, {3.371294098212508*^9, 
   3.371294157273465*^9}, {3.371294222323605*^9, 3.371294337517171*^9}, {
   3.371294426401455*^9, 3.371294435185329*^9}, {3.371294475013075*^9, 
   3.371294475546707*^9}, {3.371294534673736*^9, 3.3712945476925983`*^9}, {
   3.371294788832246*^9, 3.371294914036381*^9}, {3.3712949598052187`*^9, 
   3.371295035556408*^9}, {3.3712953062562103`*^9, 3.371295306667818*^9}, {
   3.371322324050355*^9, 3.3713223289304132`*^9}, {3.37132598890709*^9, 
   3.371325989915903*^9}, {3.371336657369375*^9, 3.371336705088125*^9}, {
   3.371336833588125*^9, 3.371336850806875*^9}, {3.3713369171975*^9, 
   3.371336918463125*^9}, {3.371337058931875*^9, 3.371337075619375*^9}, {
   3.371337132150625*^9, 3.3713372028225*^9}, {3.37133723729125*^9, 
   3.3713372595725*^9}, {3.371337308775625*^9, 3.3713373365725*^9}, {
   3.371337541306875*^9, 3.37133758760375*^9}, {3.371389511616643*^9, 
   3.371389525163518*^9}, {3.371389572226018*^9, 3.371389629116643*^9}, {
   3.371389669304143*^9, 3.371389807429143*^9}, {3.371390040257268*^9, 
   3.371390062335393*^9}, {3.371468271859939*^9, 3.3714682973679256`*^9}, {
   3.371553937382102*^9, 3.371554010613689*^9}, {3.371554057745343*^9, 
   3.371554188472417*^9}, {3.3715542528592*^9, 3.371554322123877*^9}, {
   3.371554428610627*^9, 3.371554496838615*^9}, {3.371554538326625*^9, 
   3.371554601090835*^9}, {3.3715546477482*^9, 3.371554672050208*^9}, {
   3.3715547281897573`*^9, 3.37155487038096*^9}, {3.371554910216696*^9, 
   3.3715549613593807`*^9}, {3.371555032472056*^9, 3.371555058553404*^9}, {
   3.371555121278899*^9, 3.371555125566906*^9}, {3.371555211619561*^9, 
   3.371555472498567*^9}, {3.371555522556445*^9, 3.371555614938367*^9}, 
   3.371555670139071*^9, {3.37155591422396*^9, 3.371556126728444*^9}, {
   3.371556165337179*^9, 3.37155617618077*^9}, {3.371556206939888*^9, 
   3.371556215260192*^9}, {3.371556300885247*^9, 3.3715563940406446`*^9}, {
   3.3715564261268053`*^9, 3.3715564501268578`*^9}, {3.371556487466144*^9, 
   3.371556531286787*^9}, {3.371556665640614*^9, 3.371556699785108*^9}, {
   3.3715567669668703`*^9, 3.3715568129784203`*^9}, {3.37156037397239*^9, 
   3.371560500644616*^9}, {3.3715606117155857`*^9, 3.371560674402589*^9}, {
   3.3715841323205547`*^9, 3.371584180400899*^9}, {3.371590551884112*^9, 
   3.371590560634112*^9}, {3.3715967315625*^9, 3.371596762625*^9}, {
   3.3715968776875*^9, 3.3715969101875*^9}, {3.37159695725*^9, 
   3.371597018234375*^9}, {3.3715970503125*^9, 3.371597062203125*^9}, {
   3.371597093921875*^9, 3.371597112796875*^9}, {3.37159717578125*^9, 
   3.37159718003125*^9}, {3.371597233953125*^9, 3.37159735690625*^9}, {
   3.3799536629474*^9, 3.3799536643224*^9}, {3.379955173670801*^9, 
   3.379955266706036*^9}, {3.3807299565*^9, 3.380729957515625*^9}, {
   3.380729988515625*^9, 3.380730024796875*^9}, {3.454582134140625*^9, 
   3.45458226778125*^9}, {3.45458232890625*^9, 3.454582384484375*^9}, {
   3.45458283978125*^9, 3.454582927609375*^9}, 3.45458296890625*^9, {
   3.45458300209375*^9, 3.45458307709375*^9}, 3.45458313790625*^9, {
   3.4545831825*^9, 3.454583265703125*^9}},
 CellID->1342719472],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`fff$$ = 
    4, $CellContext`options$$ = {$CellContext`gradient, \
$CellContext`normalize}, $CellContext`pt$$ = {0.07254740313273267, 
    0.24045067326187297`}, Typeset`show$$ = True, Typeset`bookmarkList$$ = {},
     Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`options$$], {$CellContext`gradient}, 
       ""}, {$CellContext`gradient -> Style[" \[Del]f", 
         RGBColor[1, 0, 0]], $CellContext`neggradient -> Style[" -\[Del]f", 
         RGBColor[0, 0, 1]], $CellContext`normalize -> 
       " normalize          ", $CellContext`format -> 
       Style[" large format", 10], $CellContext`label -> 
       Style[" show function", 10]}}, {{
       Hold[$CellContext`fff$$], 1, "function"}, {
      1 -> " maximum", 2 -> " minimum", 3 -> " linear", 4 -> " saddle 1", 5 -> 
       " saddle 2", 6 -> " example 1", 7 -> " example 2"}}, {{
       Hold[$CellContext`pt$$], {1, 0}, "location"}, {-3, -3}, {3, 3}}}, 
    Typeset`size$$ = {380., {205., 210.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`options$3642$$ = False, $CellContext`fff$3643$$ = 
    False, $CellContext`pt$3644$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`fff$$ = 
        1, $CellContext`options$$ = {$CellContext`gradient}, \
$CellContext`pt$$ = {1, 0}}, "ControllerVariables" :> {
        Hold[$CellContext`options$$, $CellContext`options$3642$$, False], 
        Hold[$CellContext`fff$$, $CellContext`fff$3643$$, False], 
        Hold[$CellContext`pt$$, $CellContext`pt$3644$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      DynamicModule[{$CellContext`grad, $CellContext`unitgrad, \
$CellContext`function, $CellContext`buttonText, $CellContext`functionButtons, \
$CellContext`ptrul}, $CellContext`function[{
            Pattern[$CellContext`x, 
             Blank[]], 
            Pattern[$CellContext`y, 
             Blank[]]}] := {
          5 - $CellContext`x^2/
           2 - $CellContext`y^2, $CellContext`x^2/2 + $CellContext`y^2, 1 - 
           2 $CellContext`x + $CellContext`y, $CellContext`x^2/
            2 - $CellContext`y^2, (-$CellContext`x^2)/2 + $CellContext`y^2, 
           Sin[
           Sin[$CellContext`y] + 
            Sin[$CellContext`x]], ($CellContext`x $CellContext`y) 
           E^((-0.4) ($CellContext`x^2 + $CellContext`y^2))}; \
$CellContext`ptrul := 
         Thread[{$CellContext`x, $CellContext`y} -> $CellContext`pt$$]; \
$CellContext`grad = D[
           Part[
            $CellContext`function[{$CellContext`x, $CellContext`y}], \
$CellContext`fff$$], {{$CellContext`x, $CellContext`y}}]; \
$CellContext`unitgrad = $CellContext`grad/
          Dot[$CellContext`grad, $CellContext`grad]^Rational[1, 2]; Deploy[
          Show[{
            ContourPlot[
             Part[
              $CellContext`function[{$CellContext`x, $CellContext`y}], \
$CellContext`fff$$], {$CellContext`x, -3, 3}, {$CellContext`y, -3, 3}, 
             Contours -> 10], 
            ContourPlot[Part[
               $CellContext`function[{$CellContext`x, $CellContext`y}], \
$CellContext`fff$$] == Part[
               $CellContext`function[$CellContext`pt$$], $CellContext`fff$$], \
{$CellContext`x, -3, 3}, {$CellContext`y, -3, 3}, Contours -> 10, 
             ContourStyle -> {Blue, 
               Thickness[0.007]}], 
            Graphics[{Red, 
              If[
               MemberQ[$CellContext`options$$, $CellContext`gradient], 
               If[
                And[
                 MemberQ[$CellContext`options$$, $CellContext`normalize], 
                 Dynamic[
                   ReplaceAll[$CellContext`grad, $CellContext`ptrul]] =!= {0, 
                  0}], 
                Dynamic[
                 
                 Arrow[{$CellContext`pt$$, $CellContext`pt$$ + 
                   ReplaceAll[$CellContext`unitgrad, $CellContext`ptrul]}]], 
                Dynamic[
                 Tooltip[
                  
                  Arrow[{$CellContext`pt$$, $CellContext`pt$$ + 
                    ReplaceAll[$CellContext`grad, $CellContext`ptrul]}], 
                  Style[
                   ReplaceAll[$CellContext`grad, $CellContext`ptrul], Red]]]],
                Red], 
              If[
               MemberQ[$CellContext`options$$, $CellContext`normalize], {
               Black, 
                Dynamic[
                 Circle[$CellContext`pt$$, 1]]}, Blue], Blue, 
              If[
               MemberQ[$CellContext`options$$, $CellContext`neggradient], 
               If[
                And[
                 MemberQ[$CellContext`options$$, $CellContext`normalize], 
                 Dynamic[
                   ReplaceAll[$CellContext`grad, $CellContext`ptrul]] =!= {0, 
                  0}], 
                Dynamic[
                 
                 Arrow[{$CellContext`pt$$, $CellContext`pt$$ - 
                   ReplaceAll[$CellContext`unitgrad, $CellContext`ptrul]}]], 
                Dynamic[
                 Tooltip[
                  
                  Arrow[{$CellContext`pt$$, $CellContext`pt$$ - 
                    ReplaceAll[$CellContext`grad, $CellContext`ptrul]}], 
                  Style[
                   ReplaceAll[-$CellContext`grad, $CellContext`ptrul], 
                   Blue]]]], Blue], 
              Tooltip[
               Locator[
                Dynamic[$CellContext`pt$$]], 
               Dynamic[$CellContext`pt$$]]}]}, ImageSize -> If[
             MemberQ[$CellContext`options$$, $CellContext`format], 500, 380], 
           PlotLabel -> If[
             MemberQ[$CellContext`options$$, $CellContext`label], 
             StringJoin[
              ToString[
               $CellContext`f[$CellContext`x, $CellContext`y], 
               TraditionalForm], " = ", 
              ToString[
               Part[
                $CellContext`function[$CellContext`x, $CellContext`y], \
$CellContext`fff$$], TraditionalForm]], 
             Column[{" "}, ItemSize -> {Automatic, 2.75}]]]]], 
      "Specifications" :> {{{$CellContext`options$$, {$CellContext`gradient}, 
          ""}, {$CellContext`gradient -> Style[" \[Del]f", 
            RGBColor[1, 0, 0]], $CellContext`neggradient -> Style[" -\[Del]f", 
            RGBColor[0, 0, 1]], $CellContext`normalize -> 
          " normalize          ", $CellContext`format -> 
          Style[" large format", 10], $CellContext`label -> 
          Style[" show function", 10]}}, {{$CellContext`fff$$, 1, 
          "function"}, {
         1 -> " maximum", 2 -> " minimum", 3 -> " linear", 4 -> " saddle 1", 
          5 -> " saddle 2", 6 -> " example 1", 7 -> " example 2"}, 
         ControlType -> 
         Setter}, {{$CellContext`pt$$, {1, 0}, "location"}, {-3, -3}, {3, 3}, 
         ImageSize -> Dynamic[
           If[
            MemberQ[$CellContext`options$$, $CellContext`format], Medium, 
            Tiny]]}}, 
      "Options" :> {
       ControlType -> {CheckboxBar, Setter, Slider2D}, 
        ControlPlacement -> {Top, Top, Left}, AutorunSequencing -> {1, 2, 3}},
       "DefaultOptions" :> {}],
     ImageSizeCache->{512., {258., 263.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({
      Clear[$CellContext`x, $CellContext`y]; $CellContext`buttonText = {
         " maximum", " minimum", " linear", " saddle 1", " saddle 2", 
          " example 1", " example 2"}; $CellContext`functionButtons = 
        Map[Part[#, 1] -> Part[#, 2]& , 
          Transpose[{
            Range[
             Length[$CellContext`buttonText]], $CellContext`buttonText}]]; 
       Null}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.454583006484375*^9, 3.4545830863125*^9, 3.454583139203125*^9, 
   3.454583219546875*^9, {3.454583255171875*^9, 3.45458326625*^9}}]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Visualizing the Gradient Vector",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/VisualizingTheGradientVector/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/VisualizingTheGradientVector/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/VisualizingTheGradientVector/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/VisualizingTheGradientVector/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/VisualizingTheGradientVector/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]]
}, Open  ]],

Cell[CellGroupData[{

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Eric Schulz",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Eric+Schulz"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Eric+Schulz"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->1127484526],

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
VisualizingTheGradientVector"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowToolbars->"EditBar",
WindowSize->{710, 650},
WindowMargins->{{159, Automatic}, {Automatic, -9}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Visualizing the Gradient Vector - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[621, 23, 223, 4, 71, "Section"],
Cell[CellGroupData[{
Cell[869, 31, 18499, 402, 1086, "Input",
 CellID->1342719472],
Cell[19371, 435, 8470, 176, 538, "Output"]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[27887, 617, 373, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[28263, 628, 966, 28, 34, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29266, 661, 337, 9, 50, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[29606, 672, 451, 15, 18, "Text",
 CellID->1127484526],
Cell[30060, 689, 829, 24, 98, "Text"],
Cell[30892, 715, 1204, 33, 88, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature fRzLT4qU#sFvMCD7BW93xR75 *)
