(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     19791,        560]
NotebookOptionsPosition[     18523,        514]
NotebookOutlinePosition[     19160,        538]
CellTagsIndexPosition[     19117,        535]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Linear Transformation with Given Eigenvectors", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"drawmat", "[", "A_", "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "f", ",", "points", ",", "targets", ",", "arrows", ",", "plot", ",", 
        "nn"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"nn", "=", "19"}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"f", "[", "x_", "]"}], "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Cos", "[", "x", "]"}], ",", 
          RowBox[{"Sin", "[", "x", "]"}]}], "}"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"points", "=", 
        RowBox[{
         RowBox[{
          RowBox[{"f", "[", "#", "]"}], "&"}], "/@", 
         RowBox[{"Table", "[", 
          RowBox[{"x", ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "0", ",", 
             RowBox[{"2", " ", "Pi"}], ",", 
             RowBox[{"2", " ", 
              RowBox[{"Pi", "/", "nn"}]}]}], "}"}]}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"targets", "=", 
        RowBox[{
         RowBox[{
          RowBox[{"A", ".", "#"}], "&"}], "/@", "points"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"arrows", "=", 
        RowBox[{"MapThread", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Arrow", "[", 
            RowBox[{"{", 
             RowBox[{"#1", ",", "#2"}], "}"}], "]"}], "&"}], ",", 
          RowBox[{"{", 
           RowBox[{"points", ",", "targets"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"plot", "=", 
        RowBox[{"ParametricPlot", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"f", "[", "x", "]"}], ",", 
            RowBox[{"A", ".", 
             RowBox[{"f", "[", "x", "]"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", "0", ",", 
            RowBox[{"2", "Pi"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"Graphics", "[", "arrows", "]"}], ",", "plot"}], "]"}]}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.3956597178348293`*^9, {3.3956597573035793`*^9, 
   3.3956597900379543`*^9}, {3.3956599244754543`*^9, 3.3956599256317043`*^9}},
 
 CellID->400223030],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"mat", "[", 
    RowBox[{"u_", ",", "v_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"eve", ",", "mm"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"eve", "=", 
       RowBox[{
        RowBox[{
         RowBox[{"Norm", "[", "#", "]"}], "&"}], "/@", 
        RowBox[{"{", 
         RowBox[{"u", ",", "v"}], "}"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"mm", "=", 
       RowBox[{"Transpose", "[", 
        RowBox[{"{", 
         RowBox[{"u", ",", "v"}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
      
      RowBox[{"mm", ".", 
       RowBox[{"DiagonalMatrix", "[", "eve", "]"}], ".", 
       RowBox[{"PseudoInverse", "[", "mm", "]"}]}]}]}], "\[IndentingNewLine]",
     "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.3956597178348293`*^9, {3.3956597573035793`*^9, 
   3.3956597847098293`*^9}, {3.3956851066785793`*^9, 3.3956851077879543`*^9}},
 
 CellID->755317927],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"lines", "[", 
    RowBox[{"u_", ",", "v_"}], "]"}], ":=", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], ",", "u"}], "}"}], "]"}], ",", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<u\>\"", ",", "20", ",", "Italic", ",", "Bold"}], "]"}], 
        ",", 
        RowBox[{"u", "*", "1.1"}]}], "]"}], ",", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}], ",", "v"}], "}"}], "]"}], ",", 
      RowBox[{"Text", "[", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"\"\<v\>\"", ",", "20", ",", "Italic", ",", "Bold"}], "]"}], 
        ",", 
        RowBox[{"v", "*", "1.1"}]}], "]"}]}], "}"}], "]"}]}], ";"}]], "Input",\

 CellChangeTimes->{
  3.35696210375764*^9, 3.3956597178348293`*^9, {3.3956597573035793`*^9, 
   3.3956597847098293`*^9}, {3.3956830866160793`*^9, 3.3956831218035793`*^9}},
 
 CellID->93430900],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"m", "=", 
     RowBox[{"mat", "[", 
      RowBox[{"u", ",", "v"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{"lines", "[", 
       RowBox[{"u", ",", "v"}], "]"}], ",", 
      RowBox[{"drawmat", "[", "m", "]"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"PlotLabel", "\[Rule]", 
       RowBox[{"NumberForm", "[", 
        RowBox[{
         RowBox[{"N", "@", "m"}], ",", 
         RowBox[{"{", 
          RowBox[{"4", ",", "1"}], "}"}], ",", 
         RowBox[{"ExponentFunction", "\[Rule]", 
          RowBox[{"(", 
           RowBox[{"Null", "&"}], ")"}]}]}], "]"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"400", ",", "400"}], "}"}]}]}], "]"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"u", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2"}], ",", 
       RowBox[{"-", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "2"}], "}"}], ",", "Locator"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"v", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2"}], ",", 
       RowBox[{"-", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "2"}], "}"}], ",", "Locator"}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", "Manipulate"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.3956598515067043`*^9, 3.3956599205692043`*^9}, {
   3.3956601308504543`*^9, 3.3956601463504543`*^9}, {3.3956849046004543`*^9, 
   3.3956849355067043`*^9}, {3.3956851149754543`*^9, 
   3.3956851152567043`*^9}, {3.3956881371942043`*^9, 3.3956882053504543`*^9}},
 
 CellID->767905650]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`u$$ = {1, 1}, $CellContext`v$$ = {0, 1}, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`u$$], {1, 1}}, {-2, -2}, {2, 2}}, {{
       Hold[$CellContext`v$$], {0, 1}}, {-2, -2}, {2, 2}}}, Typeset`size$$ = {
    400., {198., 202.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`u$105439$$ = {0, 
    0}, $CellContext`v$105440$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`u$$ = {1, 1}, $CellContext`v$$ = {0, 1}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`u$$, $CellContext`u$105439$$, {0, 0}], 
        Hold[$CellContext`v$$, $CellContext`v$105440$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`m = $CellContext`mat[$CellContext`u$$, \
$CellContext`v$$]; Show[
         $CellContext`lines[$CellContext`u$$, $CellContext`v$$], 
         $CellContext`drawmat[$CellContext`m], 
         PlotRange -> {{-2, 2}, {-2, 2}}, PlotLabel -> NumberForm[
           N[$CellContext`m], {4, 1}, ExponentFunction -> (Null& )], 
         ImageSize -> {400, 400}]), 
      "Specifications" :> {{{$CellContext`u$$, {1, 1}}, {-2, -2}, {2, 2}, 
         ControlType -> Locator}, {{$CellContext`v$$, {0, 1}}, {-2, -2}, {2, 
         2}, ControlType -> Locator}}, 
      "Options" :> {TrackedSymbols :> Manipulate}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{444., {225., 230.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`m = {{
           Sqrt[2], 0}, {-1 + Sqrt[2], 1}}, $CellContext`mat[
          Pattern[$CellContext`u, 
           Blank[]], 
          Pattern[$CellContext`v, 
           Blank[]]] := 
        Module[{$CellContext`eve, $CellContext`mm}, $CellContext`eve = 
           Map[Norm[#]& , {$CellContext`u, $CellContext`v}]; $CellContext`mm = 
           Transpose[{$CellContext`u, $CellContext`v}]; Dot[$CellContext`mm, 
            DiagonalMatrix[$CellContext`eve], 
            PseudoInverse[$CellContext`mm]]], $CellContext`lines[
          Pattern[$CellContext`u, 
           Blank[]], 
          Pattern[$CellContext`v, 
           Blank[]]] := Graphics[{
           Line[{{0, 0}, $CellContext`u}], 
           Text[
            Style["u", 20, Italic, Bold], $CellContext`u 1.1], 
           Line[{{0, 0}, $CellContext`v}], 
           Text[
            Style["v", 20, Italic, Bold], $CellContext`v 
            1.1]}], $CellContext`drawmat[
          Pattern[$CellContext`A, 
           Blank[]]] := 
        Module[{$CellContext`f, $CellContext`points, $CellContext`targets, \
$CellContext`arrows, $CellContext`plot, $CellContext`nn}, $CellContext`nn = 
           19; $CellContext`f[
             Pattern[$CellContext`x, 
              Blank[]]] = {
             Cos[$CellContext`x], 
             Sin[$CellContext`x]}; $CellContext`points = 
           Map[$CellContext`f[#]& , 
             
             Table[$CellContext`x, {$CellContext`x, 0, 2 Pi, 
               2 (Pi/$CellContext`nn)}]]; $CellContext`targets = 
           Map[Dot[$CellContext`A, #]& , $CellContext`points]; \
$CellContext`arrows = 
           MapThread[
            Arrow[{#, #2}]& , {$CellContext`points, $CellContext`targets}]; \
$CellContext`plot = ParametricPlot[{
              $CellContext`f[$CellContext`x], 
              Dot[$CellContext`A, 
               $CellContext`f[$CellContext`x]]}, {$CellContext`x, 0, 2 Pi}]; 
          Show[
            Graphics[$CellContext`arrows], $CellContext`plot]], 
        Attributes[PlotRange] = {ReadProtected}}; Typeset`initDone$$ = True); 
     ReleaseHold[
       HoldComplete[{$CellContext`drawmat[
            Pattern[A, 
             Blank[]]] := 
          Module[{$CellContext`f, $CellContext`points, $CellContext`targets, \
$CellContext`arrows, $CellContext`plot, $CellContext`nn}, $CellContext`nn = 
             19; $CellContext`f[
               Pattern[$CellContext`x, 
                Blank[]]] = {
               Cos[$CellContext`x], 
               Sin[$CellContext`x]}; $CellContext`points = 
             Map[$CellContext`f[#]& , 
               
               Table[$CellContext`x, {$CellContext`x, 0, 2 Pi, 
                 2 (Pi/$CellContext`nn)}]]; $CellContext`targets = 
             Map[Dot[A, #]& , $CellContext`points]; $CellContext`arrows = 
             MapThread[
              Arrow[{#, #2}]& , {$CellContext`points, $CellContext`targets}]; \
$CellContext`plot = ParametricPlot[{
                $CellContext`f[$CellContext`x], 
                Dot[A, 
                 $CellContext`f[$CellContext`x]]}, {$CellContext`x, 0, 2 Pi}]; 
            Show[
              Graphics[$CellContext`arrows], $CellContext`plot]]; 
         Null, $CellContext`mat[
            Pattern[$CellContext`u, 
             Blank[]], 
            Pattern[$CellContext`v, 
             Blank[]]] := 
          Module[{$CellContext`eve, $CellContext`mm}, $CellContext`eve = 
             Map[Norm[#]& , {$CellContext`u, $CellContext`v}]; \
$CellContext`mm = Transpose[{$CellContext`u, $CellContext`v}]; 
            Dot[$CellContext`mm, 
              DiagonalMatrix[$CellContext`eve], 
              PseudoInverse[$CellContext`mm]]]; Null, $CellContext`lines[
            Pattern[$CellContext`u, 
             Blank[]], 
            Pattern[$CellContext`v, 
             Blank[]]] := Graphics[{
             Line[{{0, 0}, $CellContext`u}], 
             Text[
              Style["u", 20, Italic, Bold], $CellContext`u 1.1], 
             Line[{{0, 0}, $CellContext`v}], 
             Text[
              Style["v", 20, Italic, Bold], $CellContext`v 1.1]}]; Null}]]; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->334643539],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Linear Transformation with Given Eigenvectors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
LinearTransformationWithGivenEigenvectors/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
LinearTransformationWithGivenEigenvectors/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
LinearTransformationWithGivenEigenvectors/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
LinearTransformationWithGivenEigenvectors/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/\
LinearTransformationWithGivenEigenvectors/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Yaroslav Bulatov",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Yaroslav+\
Bulatov"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Yaroslav+Bulatov"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
LinearTransformationWithGivenEigenvectors"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Linear Transformation with Given Eigenvectors - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 237, 4, 70, "Section"],
Cell[830, 29, 2387, 67, 70, "Input",
 CellID->400223030],
Cell[3220, 98, 1014, 29, 70, "Input",
 CellID->755317927],
Cell[4237, 129, 1152, 35, 70, "Input",
 CellID->93430900],
Cell[5392, 166, 2328, 68, 70, "Input",
 CellID->767905650]
}, Open  ]],
Cell[7735, 237, 6455, 137, 70, "Output",
 CellID->334643539],
Cell[CellGroupData[{
Cell[14215, 378, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[14591, 389, 1045, 31, 70, "Text"],
Cell[15639, 422, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[15979, 433, 442, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[16446, 451, 829, 24, 70, "Text"],
Cell[17278, 477, 1217, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature 6Q4oDRctApTgBB0@bFL6fr9J *)
