(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     28969,        763]
NotebookOptionsPosition[     27810,        720]
NotebookOutlinePosition[     28432,        744]
CellTagsIndexPosition[     28389,        741]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Two-Dimensional Linear Systems", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"dPathPic", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"h_", ",", "v_"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x0_", ",", "y0_"}], "}"}], ",", " ", "tMax_"}], "]"}], " ", ":=",
    " ", 
   RowBox[{"Block", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "p", ",", "x", ",", "y", ",", "t", ",", " ", "eqs", ",", " ", "sol"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"eqs", " ", "=", " ", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"x", "'"}], "[", "t", "]"}], " ", "\[Equal]", " ", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"2", "h"}], "+", "1"}], ")"}], 
            RowBox[{"x", "[", "t", "]"}]}], "-", 
           RowBox[{"y", "[", "t", "]"}]}]}], ",", " ", "\[IndentingNewLine]", 
         
         RowBox[{
          RowBox[{
           RowBox[{"y", "'"}], "[", "t", "]"}], " ", "\[Equal]", " ", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "+", 
              RowBox[{"2", "h"}], "+", 
              SuperscriptBox["h", "2"], "+", "v"}], ")"}], 
            RowBox[{"x", "[", "t", "]"}]}], "-", 
           RowBox[{"y", "[", "t", "]"}]}]}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"x", "[", "0", "]"}], " ", "\[Equal]", " ", "x0"}], ",", 
         " ", 
         RowBox[{
          RowBox[{"y", "[", "0", "]"}], " ", "\[Equal]", " ", "y0"}]}], 
        "}"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", "sol", "}"}], " ", "=", " ", 
       RowBox[{"NDSolve", "[", 
        RowBox[{"eqs", ",", " ", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"x", "[", "t", "]"}], ",", 
           RowBox[{"y", "[", "t", "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "0", ",", "tMax"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"p", "[", "t_", "]"}], " ", "=", " ", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"x", "[", "t", "]"}], ",", 
          RowBox[{"y", "[", "t", "]"}]}], "}"}], " ", "/.", "sol"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"ParametricPlot", "[", 
       RowBox[{
        RowBox[{"p", "[", "t", "]"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"t", ",", "0", ",", "tMax"}], "}"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"PlotRange", " ", "\[Rule]", " ", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "}"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"PlotStyle", " ", "\[Rule]", " ", 
         RowBox[{"Thickness", "[", "0.01", "]"}]}]}], "]"}]}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"vecField", "[", 
    RowBox[{"{", 
     RowBox[{"h_", ",", "v_"}], "}"}], "]"}], " ", ":=", " ", 
   RowBox[{"Function", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1", "+", 
           RowBox[{"2", "h"}]}], ",", 
          RowBox[{"-", "1"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1", "+", 
           RowBox[{"2", "h"}], "+", 
           SuperscriptBox["h", "2"], "+", "v"}], ",", 
          RowBox[{"-", "1"}]}], "}"}]}], "}"}], ".", 
      RowBox[{"{", 
       RowBox[{"x", ",", "y"}], "}"}]}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"vecFieldPic", "[", 
    RowBox[{"{", 
     RowBox[{"h_", ",", "v_"}], "}"}], "]"}], " ", ":=", " ", 
   RowBox[{"Module", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"F", ",", " ", "vec", ",", " ", "points", ",", " ", "arrows"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"F", " ", "=", " ", 
       RowBox[{"vecField", "[", 
        RowBox[{"{", 
         RowBox[{"h", ",", "v"}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
      
      RowBox[{
       RowBox[{"vec", "[", 
        RowBox[{"{", 
         RowBox[{"x_", ",", "y_"}], "}"}], "]"}], " ", ":=", " ", 
       RowBox[{"Arrow", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x", ",", "y"}], "}"}], ",", " ", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"x", ",", "y"}], "}"}], "+", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"F", "[", 
             RowBox[{"x", ",", "y"}], "]"}], "/", "5"}]}]}], "}"}], "]"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"points", " ", "=", " ", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], ",", " ", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "2"}], ",", "2", ",", "0.4"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"-", "2"}], ",", "2", ",", "0.4"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"arrows", " ", "=", " ", 
       RowBox[{"Map", "[", 
        RowBox[{"vec", ",", " ", "points", ",", " ", 
         RowBox[{"{", "2", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Graphics", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Arrowheads", "[", "0.02", "]"}], ",", "arrows"}], "}"}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"PlotRange", " ", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "}"}]}]}], "]"}]}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}], "\n"}], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.382868838252933*^9, 3.382868858030807*^9}, {
   3.382871932148347*^9, 3.382871959302371*^9}, {3.3828724648072453`*^9, 
   3.3828724660081463`*^9}, {3.3828725110068483`*^9, 3.382872511773081*^9}},
 CellID->1126829795],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Grid", "[", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"LocatorPane", "[", 
         RowBox[{
          RowBox[{"Dynamic", "[", "q", "]"}], ",", 
          RowBox[{"Dynamic", "@", 
           RowBox[{"Show", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"vecFieldPic", "[", "p", "]"}], ",", 
               RowBox[{"dPathPic", "[", 
                RowBox[{"p", ",", "q", ",", "tMax"}], "]"}]}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"ImageSize", " ", "\[Rule]", " ", "250"}]}], "]"}]}]}], 
         "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"LocatorPane", "[", 
         RowBox[{
          RowBox[{"Dynamic", "[", "p", "]"}], ",", 
          RowBox[{"Dynamic", "@", 
           RowBox[{"Plot", "[", 
            RowBox[{
             RowBox[{
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"x", "-", 
                 RowBox[{"p", "[", 
                  RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "2"], "+", 
              RowBox[{"p", "[", 
               RowBox[{"[", "2", "]"}], "]"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", 
               RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"PlotRange", " ", "\[Rule]", " ", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "4"}], ",", "4"}], "}"}]}], "}"}]}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"AspectRatio", " ", "\[Rule]", " ", "1"}], ",", " ", 
             RowBox[{"ImageSize", " ", "\[Rule]", " ", "250"}]}], "]"}]}]}], 
         "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Pane", "[", 
         RowBox[{
          RowBox[{"Text", "@", 
           RowBox[{"Row", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<Eigenvalues: \>\"", ",", "\"\<Label\>\""}], "]"}],
               ",", 
              RowBox[{"Dynamic", "@", 
               RowBox[{"Column", "[", 
                RowBox[{"{", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"NumberForm", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"p", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "-", 
                    SqrtBox[
                    RowBox[{"-", 
                    RowBox[{"p", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}]]}], ",", "3"}], "]"}], 
                  ",", "\[IndentingNewLine]", 
                  RowBox[{"NumberForm", "[", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"p", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "+", 
                    SqrtBox[
                    RowBox[{"-", 
                    RowBox[{"p", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}]]}], ",", "3"}], "]"}]}], 
                 "}"}], "]"}]}]}], "}"}], "]"}]}], ",", "\[IndentingNewLine]",
           
          RowBox[{"{", 
           RowBox[{"250", ",", "30"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", "SpanFromLeft"}], "}"}]}], "}"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"tMax", ",", "20", ",", "\"\<time\>\""}], "}"}], ",", "0.1", 
     ",", "40"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "0.1"}], ",", "2"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "4"}], ",", 
       RowBox[{"-", "4"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "4"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"q", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1.6"}], "}"}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"SaveDefinitions", " ", "\[Rule]", " ", "True"}]}], "]"}]], "Input",\

 CellChangeTimes->{
  3.35696210375764*^9, {3.38151418844479*^9, 3.381514207564762*^9}, {
   3.3815169233359566`*^9, 3.3815169238515816`*^9}, {3.3815172614140816`*^9, 
   3.3815172616640816`*^9}, {3.3821073512443333`*^9, 3.3821073706037083`*^9}, 
   3.3828800895220995`*^9},
 CellID->1496021318]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`p$$ = {-0.1, 2}, $CellContext`q$$ = {
    1, 1.6}, $CellContext`tMax$$ = 20, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`tMax$$], 20, "time"}, 0.1, 40}, {{
       Hold[$CellContext`p$$], {-0.1, 2}}, {-4, -4}, {4, 4}}, {{
       Hold[$CellContext`q$$], {1, 1.6}}}}, Typeset`size$$ = {
    508., {142.5, 147.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`tMax$44604$$ = 
    0, $CellContext`p$44605$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`p$$ = {-0.1, 2}, $CellContext`q$$ = {
         1, 1.6}, $CellContext`tMax$$ = 20}, "ControllerVariables" :> {
        Hold[$CellContext`tMax$$, $CellContext`tMax$44604$$, 0], 
        Hold[$CellContext`p$$, $CellContext`p$44605$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Grid[{{
          LocatorPane[
           Dynamic[$CellContext`q$$], 
           Dynamic[
            Show[{
              $CellContext`vecFieldPic[$CellContext`p$$], 
              $CellContext`dPathPic[$CellContext`p$$, $CellContext`q$$, \
$CellContext`tMax$$]}, ImageSize -> 250]]], 
          LocatorPane[
           Dynamic[$CellContext`p$$], 
           Dynamic[
            
            Plot[($CellContext`x - Part[$CellContext`p$$, 1])^2 + 
             Part[$CellContext`p$$, 2], {$CellContext`x, -4, 4}, 
             PlotRange -> {{-4, 4}, {-4, 4}}, AspectRatio -> 1, ImageSize -> 
             250]]]}, {
          Pane[
           Text[
            Row[{
              Style["Eigenvalues: ", "Label"], 
              Dynamic[
               Column[{
                 NumberForm[
                 Part[$CellContext`p$$, 1] - (-Part[$CellContext`p$$, 2])^
                  Rational[1, 2], 3], 
                 NumberForm[
                 Part[$CellContext`p$$, 1] + (-Part[$CellContext`p$$, 2])^
                   Rational[1, 2], 3]}]]}]], {250, 30}], SpanFromLeft}}], 
      "Specifications" :> {{{$CellContext`tMax$$, 20, "time"}, 0.1, 
         40}, {{$CellContext`p$$, {-0.1, 2}}, {-4, -4}, {4, 4}, ControlType -> 
         None}, {{$CellContext`q$$, {1, 1.6}}, ControlType -> None}}, 
      "Options" :> {}, "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{552., {186., 191.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`vecFieldPic[{
           Pattern[$CellContext`h, 
            Blank[]], 
           Pattern[$CellContext`v, 
            Blank[]]}] := 
        Module[{$CellContext`F, $CellContext`vec, $CellContext`points, \
$CellContext`arrows}, $CellContext`F = $CellContext`vecField[{$CellContext`h, \
$CellContext`v}]; $CellContext`vec[{
              Pattern[$CellContext`x, 
               Blank[]], 
              Pattern[$CellContext`y, 
               Blank[]]}] := 
           Arrow[{{$CellContext`x, $CellContext`y}, {$CellContext`x, \
$CellContext`y} + $CellContext`F[$CellContext`x, $CellContext`y]/
               5}]; $CellContext`points = 
           Table[{$CellContext`x, $CellContext`y}, {$CellContext`x, -2, 2, 
              0.4}, {$CellContext`y, -2, 2, 0.4}]; $CellContext`arrows = 
           Map[$CellContext`vec, $CellContext`points, {2}]; Graphics[{
             Arrowheads[0.02], $CellContext`arrows}, 
            PlotRange -> {{-2, 2}, {-2, 2}}]], $CellContext`vecField[{
           Pattern[$CellContext`h, 
            Blank[]], 
           Pattern[$CellContext`v, 
            Blank[]]}] := Function[{$CellContext`x, $CellContext`y}, 
          
          Dot[{{1 + 2 $CellContext`h, -1}, {
            1 + 2 $CellContext`h + $CellContext`h^2 + $CellContext`v, -1}}, \
{$CellContext`x, $CellContext`y}]], 
        Attributes[PlotRange] = {ReadProtected}, $CellContext`dPathPic[{
           Pattern[$CellContext`h$, 
            Blank[]], 
           Pattern[$CellContext`v$, 
            Blank[]]}, {
           Pattern[$CellContext`x0$, 
            Blank[]], 
           Pattern[$CellContext`y0$, 
            Blank[]]}] := 
        Block[{FE`p$$449, $CellContext`x, $CellContext`y, $CellContext`t}, \
$CellContext`eqs = {
            Derivative[
              1][$CellContext`x][$CellContext`t] == (2 $CellContext`h$ + 
                1) $CellContext`x[$CellContext`t] - \
$CellContext`y[$CellContext`t], 
             Derivative[
              1][$CellContext`y][$CellContext`t] == (1 + 
                2 $CellContext`h$ + $CellContext`h$^2 + $CellContext`v$) \
$CellContext`x[$CellContext`t] - $CellContext`y[$CellContext`t], \
$CellContext`x[0] == $CellContext`x0$, $CellContext`y[0] == $CellContext`y0$}; 
          FE`p$$449[
             Pattern[$CellContext`t, 
              Blank[]]] = ReplaceAll[{
              $CellContext`x[$CellContext`t], 
              $CellContext`y[$CellContext`t]}, 
             Part[
              NDSolve[$CellContext`eqs, {
                $CellContext`x[$CellContext`t], 
                $CellContext`y[$CellContext`t]}, {$CellContext`t, 0, 12}], 
              1]]; ParametricPlot[
            FE`p$$449[$CellContext`t], {$CellContext`t, 0, 12}, 
            PlotRange -> {{-2, 2}, {-2, 2}}, PlotStyle -> 
            Thickness[0.01]]], $CellContext`dPathPic[{
           Pattern[$CellContext`h$, 
            Blank[]], 
           Pattern[$CellContext`v$, 
            Blank[]]}, {
           Pattern[$CellContext`x0$, 
            Blank[]], 
           Pattern[$CellContext`y0$, 
            Blank[]]}, 
          Pattern[$CellContext`tMax$, 
           Blank[]]] := 
        Block[{FE`p$$450, $CellContext`x, $CellContext`y, $CellContext`t, \
$CellContext`eqs, $CellContext`sol}, $CellContext`eqs = {
            Derivative[
              1][$CellContext`x][$CellContext`t] == (2 $CellContext`h$ + 
                
                1) $CellContext`x[$CellContext`t] - \
$CellContext`y[$CellContext`t], 
             Derivative[
              1][$CellContext`y][$CellContext`t] == (1 + 
                2 $CellContext`h$ + $CellContext`h$^2 + $CellContext`v$) \
$CellContext`x[$CellContext`t] - $CellContext`y[$CellContext`t], \
$CellContext`x[0] == $CellContext`x0$, $CellContext`y[
              0] == $CellContext`y0$}; {$CellContext`sol} = 
           NDSolve[$CellContext`eqs, {
              $CellContext`x[$CellContext`t], 
              $CellContext`y[$CellContext`t]}, {$CellContext`t, 
              0, $CellContext`tMax$}]; FE`p$$450[
             Pattern[$CellContext`t, 
              Blank[]]] = ReplaceAll[{
              $CellContext`x[$CellContext`t], 
              $CellContext`y[$CellContext`t]}, $CellContext`sol]; 
          ParametricPlot[
            
            FE`p$$450[$CellContext`t], {$CellContext`t, 
             0, $CellContext`tMax$}, PlotRange -> {{-2, 2}, {-2, 2}}, 
            PlotStyle -> Thickness[0.01]]], 
        FE`p$$449 = {-0.21999999999999975`, 
         1.9500000000000002`}, $CellContext`eqs = {
         Derivative[1][$CellContext`x][$CellContext`t] == 
          0.5600000000000005 $CellContext`x[$CellContext`t] - \
$CellContext`y[$CellContext`t], Derivative[1][$CellContext`y][$CellContext`t] == 
          2.5584000000000007` $CellContext`x[$CellContext`t] - \
$CellContext`y[$CellContext`t], $CellContext`x[0] == 
          1.032, $CellContext`y[0] == -1.025}, 
        Attributes[Derivative] = {NHoldAll, ReadProtected}, 
        Attributes[$CellContext`tMax$] = {Temporary}, FE`p$$450 = {-0.1, 2}}; 
      Typeset`initDone$$ = True); ReleaseHold[{{
         HoldComplete[$CellContext`dPathPic[{
              Pattern[$CellContext`h, 
               Blank[]], 
              Pattern[$CellContext`v, 
               Blank[]]}, {
              Pattern[$CellContext`x0, 
               Blank[]], 
              Pattern[$CellContext`y0, 
               Blank[]]}, 
             Pattern[$CellContext`tMax, 
              Blank[]]] := 
           Block[{$CellContext`p, $CellContext`x, $CellContext`y, \
$CellContext`t, $CellContext`eqs, $CellContext`sol}, $CellContext`eqs = {
               Derivative[
                 1][$CellContext`x][$CellContext`t] == (2 $CellContext`h + 
                   1) $CellContext`x[$CellContext`t] - \
$CellContext`y[$CellContext`t], 
                Derivative[
                 1][$CellContext`y][$CellContext`t] == (1 + 
                   2 $CellContext`h + $CellContext`h^2 + $CellContext`v) \
$CellContext`x[$CellContext`t] - $CellContext`y[$CellContext`t], \
$CellContext`x[0] == $CellContext`x0, $CellContext`y[
                 0] == $CellContext`y0}; {$CellContext`sol} = 
              NDSolve[$CellContext`eqs, {
                 $CellContext`x[$CellContext`t], 
                 $CellContext`y[$CellContext`t]}, {$CellContext`t, 
                 0, $CellContext`tMax}]; $CellContext`p[
                Pattern[$CellContext`t, 
                 Blank[]]] = ReplaceAll[{
                 $CellContext`x[$CellContext`t], 
                 $CellContext`y[$CellContext`t]}, $CellContext`sol]; 
             ParametricPlot[
               $CellContext`p[$CellContext`t], {$CellContext`t, 
                0, $CellContext`tMax}, PlotRange -> {{-2, 2}, {-2, 2}}, 
               PlotStyle -> Thickness[0.01]]]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`vecField[{
              Pattern[$CellContext`h, 
               Blank[]], 
              Pattern[$CellContext`v, 
               Blank[]]}] := Function[{$CellContext`x, $CellContext`y}, 
             
             Dot[{{1 + 2 $CellContext`h, -1}, {
               1 + 2 $CellContext`h + $CellContext`h^2 + $CellContext`v, \
-1}}, {$CellContext`x, $CellContext`y}]]; Null], 
         HoldComplete[Null], 
         HoldComplete[$CellContext`vecFieldPic[{
              Pattern[$CellContext`h, 
               Blank[]], 
              Pattern[$CellContext`v, 
               Blank[]]}] := 
           Module[{$CellContext`F, $CellContext`vec, $CellContext`points, \
$CellContext`arrows}, $CellContext`F = $CellContext`vecField[{$CellContext`h, \
$CellContext`v}]; $CellContext`vec[{
                 Pattern[$CellContext`x, 
                  Blank[]], 
                 Pattern[$CellContext`y, 
                  Blank[]]}] := 
              Arrow[{{$CellContext`x, $CellContext`y}, {$CellContext`x, \
$CellContext`y} + $CellContext`F[$CellContext`x, $CellContext`y]/
                  5}]; $CellContext`points = 
              Table[{$CellContext`x, $CellContext`y}, {$CellContext`x, -2, 2, 
                 0.4}, {$CellContext`y, -2, 2, 0.4}]; $CellContext`arrows = 
              Map[$CellContext`vec, $CellContext`points, {2}]; Graphics[{
                Arrowheads[0.02], $CellContext`arrows}, 
               PlotRange -> {{-2, 2}, {-2, 2}}]]; Null], 
         HoldComplete[Null]}}]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->201398188],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Two-Dimensional Linear Systems",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TwoDimensionalLinearSystems/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/TwoDimensionalLinearSystems/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/TwoDimensionalLinearSystems/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/TwoDimensionalLinearSystems/"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/TwoDimensionalLinearSystems/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Mark McClure",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Mark+McClure"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Mark+McClure"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->82770358],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
TwoDimensionalLinearSystems"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Two-Dimensional Linear Systems - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (February 7, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 222, 4, 70, "Section"],
Cell[815, 29, 6381, 179, 70, "Input",
 CellID->1126829795],
Cell[7199, 210, 4859, 128, 70, "Input",
 CellID->1496021318]
}, Open  ]],
Cell[12073, 341, 11493, 241, 70, "Output",
 CellID->201398188],
Cell[CellGroupData[{
Cell[23591, 586, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[23967, 597, 960, 28, 70, "Text"],
Cell[24930, 627, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[25270, 638, 452, 15, 70, "Text",
 CellID->82770358],
Cell[CellGroupData[{
Cell[25747, 657, 829, 24, 70, "Text"],
Cell[26579, 683, 1203, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature nT47le6qeDMLfC0xm9#4kzZ6 *)
