(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     33851,        757]
NotebookOptionsPosition[     32752,        716]
NotebookOutlinePosition[     33378,        740]
CellTagsIndexPosition[     33335,        737]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Virtual Flowers with Crispate Petals", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"fxy", ",", "fz", ",", "zp", ",", "u"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"fxy", ":=", 
       RowBox[{"R0", "+", 
        RowBox[{"R1", " ", 
         SuperscriptBox[
          RowBox[{"Abs", "[", 
           RowBox[{"Sin", "[", 
            FractionBox[
             RowBox[{"c", " ", "x"}], "2"], "]"}], "]"}], "d"]}]}]}], ";", 
      " ", "\[IndentingNewLine]", 
      RowBox[{"fz", ":=", 
       RowBox[{"A", " ", 
        SuperscriptBox["E", 
         RowBox[{
          RowBox[{"-", "b"}], " ", 
          SuperscriptBox[
           RowBox[{"Abs", "[", "u", "]"}], "1.5"]}]], " ", 
        SuperscriptBox[
         RowBox[{"Abs", "[", "u", "]"}], "a"]}]}], ";", "\[IndentingNewLine]",
       
      RowBox[{"zp", ":=", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{
          SuperscriptBox["r", "2"], " ", "A1", "  ", 
          RowBox[{
           RowBox[{"Sin", "[", 
            RowBox[{"p", " ", 
             RowBox[{"x", "/", "2"}]}], "]"}], "^", "2"}]}]}], ")"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Pane", "[", 
       RowBox[{
        RowBox[{"Column", "[", 
         RowBox[{
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Plot", "[", 
             RowBox[{"fz", ",", 
              RowBox[{"{", 
               RowBox[{"u", ",", "0", ",", "2"}], "}"}], ",", 
              RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
              RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
              RowBox[{"ImageSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"100", ",", "100"}], "}"}]}]}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Row", "[", 
             RowBox[{
              RowBox[{"{", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"Plot", "[", 
                 RowBox[{"fxy", ",", 
                  RowBox[{"{", 
                   RowBox[{"x", ",", "0", ",", 
                    RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", 
                  RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
                  RowBox[{"PlotRange", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{"0", ",", "3"}], "}"}]}], ",", 
                  RowBox[{"ImageSize", "\[Rule]", 
                   RowBox[{"{", 
                    RowBox[{"100", ",", "100"}], "}"}]}]}], "]"}], ",", 
                "\[IndentingNewLine]", 
                RowBox[{"ParametricPlot", "[", 
                 RowBox[{
                  RowBox[{"fxy", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Cos", "[", "x", "]"}], ",", 
                    RowBox[{"Sin", "[", "x", "]"}]}], "}"}]}], ",", 
                  RowBox[{"{", 
                   RowBox[{"x", ",", "0", ",", 
                    RowBox[{"2", "Pi"}]}], "}"}], ",", 
                  RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
                  RowBox[{"PlotRange", "\[Rule]", "2"}], ",", 
                  RowBox[{"ImageSize", "\[Rule]", "120"}]}], "]"}]}], 
               "\[IndentingNewLine]", "}"}], ",", 
              RowBox[{"Spacer", "[", "50", "]"}]}], "]"}], 
            "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
            RowBox[{"ParametricPlot3D", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"r", " ", "fxy", " ", 
                 RowBox[{"Cos", "[", "x", "]"}]}], ",", 
                RowBox[{"r", " ", "fxy", " ", 
                 RowBox[{"Sin", "[", "x", "]"}]}], ",", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"zp", "*", " ", "fz"}], "/.", 
                  RowBox[{"u", "\[Rule]", "r"}]}], ")"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"x", ",", "0", ",", 
                RowBox[{"2", "Pi"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"r", ",", "0", ",", "2"}], "}"}], ",", 
              RowBox[{"BoxRatios", "\[Rule]", "Automatic"}], ",", 
              RowBox[{"PlotRange", "\[Rule]", "Automatic"}], ",", 
              RowBox[{"PlotPoints", "\[Rule]", 
               RowBox[{"ControlActive", "[", 
                RowBox[{"5", ",", "plotpts"}], "]"}]}], ",", 
              RowBox[{"MeshFunctions", "\[Rule]", "mesh"}], ",", 
              RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
              RowBox[{"Axes", "\[Rule]", "None"}], ",", 
              RowBox[{"Mesh", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"4", "c"}], ",", "5"}], "}"}]}], ",", 
              RowBox[{"ColorFunction", "\[Rule]", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"ColorData", "[", "color", "]"}], "[", 
                  RowBox[{"0.8", " ", 
                   RowBox[{"(", 
                    RowBox[{"invcol", "+", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], "invcol"], "#5"}]}], ")"}]}], 
                  "]"}], "&"}], ")"}]}], ",", 
              RowBox[{"ImageSize", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"300", ",", "250"}], "}"}]}]}], "]"}]}], 
           "\[IndentingNewLine]", "}"}], ",", 
          RowBox[{"Alignment", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"Center", ",", "Center"}], "}"}]}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"375", ",", "475"}], "}"}], ",", 
        RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}]}]}], 
    "\[IndentingNewLine]", "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"plotpts", ",", "30", ",", "\"\<plot points\>\""}], "}"}], ",", 
     "10", ",", "100", ",", "1", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"mesh", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"0", "&"}], ",", 
       RowBox[{"#3", "&"}], ",", 
       RowBox[{"#4", "&"}], ",", 
       RowBox[{"#5", "&"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"#4", "&"}], ",", 
         RowBox[{"#5", "&"}]}], "}"}]}], "}"}], ",", "PopupMenu"}], "}"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"color", ",", "\"\<SunsetColors\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<SunsetColors\>\"", ",", "\"\<SolarColors\>\"", ",", 
       "\"\<Rainbow\>\"", ",", "\"\<AvocadoColors\>\"", ",", 
       "\"\<DeepSeaColors\>\""}], "}"}], ",", "PopupMenu"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"invcol", ",", "0", ",", "\"\<invert color\>\""}], "}"}], ",", 
     RowBox[{
      RowBox[{"Checkbox", "[", 
       RowBox[{"#", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1"}], "}"}]}], "]"}], "&"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", 
   RowBox[{"Row", "[", 
    RowBox[{"{", 
     RowBox[{
     "\"\<vertical shape: \>\"", ",", 
      "\"\<A \!\(\*SuperscriptBox[\(\[ExponentialE]\), \(\(-b\)\\\ \
\*SuperscriptBox[\((\(|\)\(r\)\(|\))\), \(1.5\)]\)]\) |r\!\(\*SuperscriptBox[\
\(|\), \(a\)]\)\>\""}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "0.5"}], "}"}], ",", "0.1", ",", "4", ",", ".01", ",",
      
     RowBox[{"ImageSize", "\[Rule]", "Small"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", "0.15"}], "}"}], ",", "0", ",", "1", ",", ".01", ",", 
     
     RowBox[{"ImageSize", "\[Rule]", "Small"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"A", ",", "2"}], "}"}], ",", "0.1", ",", "5", ",", ".01", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], 
   "\[IndentingNewLine]", ",", "Delimiter", ",", 
   RowBox[{"Row", "[", 
    RowBox[{"{", 
     RowBox[{
     "\"\<horizontal shape: \>\"", ",", 
      "\"\<\!\(\*SubscriptBox[\(R\), \(0\)]\) + \!\(\*SubscriptBox[\(R\), \(1\
\)]\) | sin(\!\(\*FractionBox[\(c\\\ t\), \
\(2\)]\))\!\(\*SuperscriptBox[\(|\), \(d\)]\)\>\""}], "}"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"c", ",", "5"}], "}"}], ",", "0", ",", "12", ",", "1", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"d", ",", "0.5", ",", "2", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "R0", ",", "0.5", ",", "\"\<\!\(\*SubscriptBox[\(R\), \(0\)]\)\>\""}], 
      "}"}], ",", "0", ",", "1", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "R1", ",", "0.5", ",", "\"\<\!\(\*SubscriptBox[\(R\), \(1\)]\)\>\""}], 
      "}"}], ",", "0", ",", "2", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", 
   RowBox[{"Row", "[", 
    RowBox[{"{", 
     RowBox[{
     "\"\<vertical perturbation: \>\"", ",", 
      "\"\<1 + \!\(\*SuperscriptBox[\(r\), \(2\)]\) \!\(\*SubscriptBox[\(A\), \
\(1\)]\) sin(p t)\>\""}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", ",", "15"}], "}"}], ",", "0", ",", "30", ",", "1", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "A1", ",", "0.05", ",", "\"\<\!\(\*SubscriptBox[\(A\), \(1\)]\)\>\""}], 
      "}"}], ",", "0", ",", "0.5", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}], ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"3", ",", "5", ",", "6", ",", "7"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.404309258295499*^9, 3.404309406098029*^9}, {
   3.404309436571848*^9, 3.4043094495705395`*^9}, {3.4043094958871393`*^9, 
   3.4043095402409167`*^9}, 3.4043095755316625`*^9, 3.4043096246022224`*^9, {
   3.4043096634881372`*^9, 3.4043096992495604`*^9}, {3.421169900784197*^9, 
   3.421169912050397*^9}, {3.421169991164157*^9, 3.42117005353384*^9}, 
   3.4211701047174387`*^9, {3.4211703576110816`*^9, 3.4211703773895216`*^9}, {
   3.4211704794262433`*^9, 3.4211704878483534`*^9}, {3.4211705663512354`*^9, 
   3.4211705731009407`*^9}, {3.4211709918731055`*^9, 3.42117106098248*^9}, {
   3.4211711459947214`*^9, 3.4211711637302237`*^9}, {3.421171212850856*^9, 
   3.4211712657569313`*^9}, {3.42117141640355*^9, 3.4211714447242737`*^9}, {
   3.421171660694824*^9, 3.421171736123285*^9}, {3.4211718318509345`*^9, 
   3.4211718548139534`*^9}, {3.4211719187358685`*^9, 
   3.4211720344422464`*^9}, {3.421172067099205*^9, 3.42117207844552*^9}, {
   3.4211721312915087`*^9, 3.421172140004037*^9}, {3.4211721878328114`*^9, 
   3.4211722423612194`*^9}, {3.4211722781226416`*^9, 3.42117231178104*^9}, {
   3.4211724156403823`*^9, 3.421172486101701*^9}, {3.4211725323582144`*^9, 
   3.4211725708435535`*^9}, 3.421172603760886*^9, {3.421172660262131*^9, 
   3.4211726826543293`*^9}, 3.4211727263371425`*^9, {3.42117282310629*^9, 
   3.4211728595987635`*^9}, 3.4211728980039873`*^9, 3.4211730455962143`*^9, {
   3.4211731046611457`*^9, 3.4211731807705855`*^9}, {3.421173264200552*^9, 
   3.4211732680160384`*^9}, {3.421173401197544*^9, 3.4211734035108705`*^9}, {
   3.42169385771029*^9, 3.4216938733527822`*^9}, 3.4216939040569324`*^9, 
   3.4216940640269585`*^9, {3.4216949801442704`*^9, 3.421694986873947*^9}, {
   3.4216950644054317`*^9, 3.4216951096304626`*^9}, {3.4216951471844625`*^9, 
   3.4216951547753773`*^9}, {3.421695473653902*^9, 3.4216954945439405`*^9}, {
   3.4216955543198943`*^9, 3.421695564214122*^9}, {3.4216956079970784`*^9, 
   3.42169560838764*^9}, {3.421695676014883*^9, 3.4216956784784255`*^9}, {
   3.4216966905937757`*^9, 3.4216967168415184`*^9}, 3.4216968189683695`*^9, {
   3.421697173838648*^9, 3.4216971925255184`*^9}, {3.4216974601403294`*^9, 
   3.421697460580963*^9}, {3.4217759982763634`*^9, 3.421776003974557*^9}, {
   3.421776110217326*^9, 3.42177612342632*^9}, {3.4217762133155746`*^9, 
   3.4217762272656336`*^9}, {3.421776306499566*^9, 3.4217763727247934`*^9}, {
   3.421778552128622*^9, 3.4217786490179424`*^9}, {3.421778854223013*^9, 
   3.421778881422123*^9}, {3.4217790843839684`*^9, 3.421779111943597*^9}, {
   3.4217791990087905`*^9, 3.421779230864597*^9}, {3.4217793944698496`*^9, 
   3.421779398515667*^9}, {3.421779486942819*^9, 3.4217794948642097`*^9}, 
   3.421779548250976*^9, {3.4217797885064464`*^9, 3.42177981807897*^9}, 
   3.421779937530733*^9, {3.4217800493114653`*^9, 3.4217800937453585`*^9}, {
   3.421780132501086*^9, 3.4217801345239954`*^9}, {3.421840222380309*^9, 
   3.4218403495631886`*^9}, {3.421840383572091*^9, 3.42184042990872*^9}, {
   3.421840554668115*^9, 3.421840563550888*^9}, {3.4218406038788767`*^9, 
   3.421840607313816*^9}, {3.4218406607706833`*^9, 3.421840663444528*^9}, {
   3.4218407082289248`*^9, 3.4218407430790367`*^9}, 3.4218409256615777`*^9, {
   3.421840956856434*^9, 3.4218410091015587`*^9}, 3.4218419237667823`*^9, {
   3.4218420032610893`*^9, 3.4218420056545315`*^9}, {3.421842061454768*^9, 
   3.4218420818040285`*^9}, {3.421842119418115*^9, 3.4218421197686195`*^9}, 
   3.421842228094384*^9, {3.421842367524875*^9, 3.421842369257366*^9}, {
   3.4218427305168324`*^9, 3.421842792075349*^9}, {3.421843171581051*^9, 
   3.421843202575619*^9}, {3.4218433929794064`*^9, 3.4218433968549795`*^9}, {
   3.4218434965683603`*^9, 3.42184350282736*^9}, 3.421843618343464*^9, {
   3.421856600971952*^9, 3.421856616724603*^9}, {3.421856663461808*^9, 
   3.4218567063634977`*^9}, {3.421856782232592*^9, 3.421856798135459*^9}, {
   3.421856886202093*^9, 3.4218568879145555`*^9}, {3.4218570041416817`*^9, 
   3.4218570209758883`*^9}, {3.421857079439955*^9, 3.4218570916875668`*^9}, {
   3.4218571236635456`*^9, 3.421857143812518*^9}, {3.421857184280709*^9, 
   3.4218572165571203`*^9}, {3.42185771101812*^9, 3.421857753479176*^9}, {
   3.42185779338656*^9, 3.421857901762397*^9}, {3.421857937864309*^9, 
   3.4218579422906733`*^9}, {3.4218579901294622`*^9, 
   3.4218581384126835`*^9}, {3.421858195284461*^9, 3.4218582331989794`*^9}, {
   3.4218586987183633`*^9, 3.4218587065095663`*^9}, {3.4218588115506077`*^9, 
   3.421858815906872*^9}, {3.4218588647971725`*^9, 3.421858865808627*^9}, {
   3.421858899086478*^9, 3.4218589221496415`*^9}, {3.4218589695878544`*^9, 
   3.4218589749255295`*^9}, {3.4218590253780766`*^9, 
   3.4218590639735746`*^9}, {3.421860472538992*^9, 3.421860541668395*^9}, {
   3.421860578261013*^9, 3.4218606852448483`*^9}, {3.421860720385378*^9, 
   3.4218607493970947`*^9}, {3.4218607902658606`*^9, 3.421860804786741*^9}, {
   3.4218608555297055`*^9, 3.421860919211275*^9}, 3.421861105749504*^9, {
   3.4218611375852814`*^9, 3.421861180527029*^9}, {3.4218612143356433`*^9, 
   3.421861339085024*^9}, {3.421861403127112*^9, 3.421861421032859*^9}, {
   3.4218615179121647`*^9, 3.421861521447248*^9}, 3.4218615887039585`*^9, {
   3.421861619087648*^9, 3.421861688016763*^9}, {3.421861784024816*^9, 
   3.421861807448498*^9}, {3.4218618733232207`*^9, 3.42186187375384*^9}, {
   3.421861911838603*^9, 3.4218619531980753`*^9}, 3.421862018852482*^9, {
   3.4218623448612595`*^9, 3.421862347765435*^9}, {3.421862732007949*^9, 
   3.421862735122427*^9}, {3.4221998011932707`*^9, 3.4221998025352*^9}, {
   3.4222038850827923`*^9, 3.422204060094447*^9}, {3.4222042644783363`*^9, 
   3.4222042803211174`*^9}, {3.4222044914446983`*^9, 
   3.4222044919253893`*^9}, {3.4222045960951777`*^9, 3.422204634660632*^9}, {
   3.4222046837111635`*^9, 3.4222046851532373`*^9}, {3.422204722146431*^9, 
   3.4222047308088865`*^9}, {3.4230439342527246`*^9, 3.42304393508392*^9}, {
   3.424010337061077*^9, 3.424010362026976*^9}, {3.424010750806013*^9, 
   3.424010768291155*^9}, {3.4240108642090783`*^9, 3.42401086601167*^9}, {
   3.42401089764716*^9, 3.4240110660693393`*^9}, {3.424011122250123*^9, 
   3.424011167985888*^9}, {3.4240112161952095`*^9, 3.4240112302353983`*^9}, {
   3.4240113166496563`*^9, 3.424011364077854*^9}, {3.4240114322058177`*^9, 
   3.424011464812704*^9}, {3.424012351257349*^9, 3.4240123520284576`*^9}, {
   3.424012403672718*^9, 3.4240124043436832`*^9}, {3.424012446574408*^9, 
   3.4240124484170575`*^9}, {3.424012894658722*^9, 3.4240128948690243`*^9}, 
   3.4240129757753615`*^9, {3.424013037624296*^9, 3.4240130389061394`*^9}, {
   3.42401309664917*^9, 3.4240130971999617`*^9}, {3.4240132768983555`*^9, 
   3.4240133929051647`*^9}, {3.4240134349756594`*^9, 
   3.4240134753537197`*^9}, {3.424013515581565*^9, 3.4240137166807313`*^9}, {
   3.4240139270832753`*^9, 3.4240139275639668`*^9}, {3.4240141576968985`*^9, 
   3.4240141608514347`*^9}, {3.424014191445427*^9, 3.4240141917158155`*^9}, {
   3.42401422468322*^9, 3.424014233145388*^9}, {3.4240169590350246`*^9, 
   3.424016991812156*^9}, {3.4240170251200504`*^9, 3.424017027483449*^9}, {
   3.424439668182428*^9, 3.424439738848494*^9}, {3.4244397816877775`*^9, 
   3.424439781772786*^9}, {3.4244398645850663`*^9, 3.424440113888994*^9}, {
   3.424440394652068*^9, 3.424440394823085*^9}, {3.4244542735081377`*^9, 
   3.4244543593686113`*^9}, {3.425052381458771*^9, 3.4250523836899943`*^9}, {
   3.425052426575282*^9, 3.4250524591405387`*^9}, {3.4250633428798084`*^9, 
   3.4250633627677975`*^9}, {3.4251255412543488`*^9, 3.425125541550378*^9}, {
   3.4251255757888017`*^9, 3.425125733027524*^9}, {3.425125766210842*^9, 
   3.425125786128834*^9}, {3.4251289753367224`*^9, 3.425129149022089*^9}},
 CellID->28416737]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 0.5, $CellContext`A$$ = 
    2, $CellContext`A1$$ = 0.05, $CellContext`b$$ = 0.15, $CellContext`c$$ = 
    5, $CellContext`color$$ = "SunsetColors", $CellContext`d$$ = 
    0.5, $CellContext`invcol$$ = 0, $CellContext`mesh$$ = 
    0& , $CellContext`p$$ = 15, $CellContext`plotpts$$ = 
    30, $CellContext`R0$$ = 0.5, $CellContext`R1$$ = 0.5, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`plotpts$$], 30, "plot points"}, 10, 100, 1}, {{
       Hold[$CellContext`mesh$$], 0& }, {
      0& , #3& , #4& , #5& , {#4& , #5& }}}, {{
       Hold[$CellContext`color$$], "SunsetColors"}, {
      "SunsetColors", "SolarColors", "Rainbow", "AvocadoColors", 
       "DeepSeaColors"}}, {{
       Hold[$CellContext`invcol$$], 0, "invert color"}, 
      Checkbox[#, {0, 1}]& }, {
      Hold[
       Row[{
        "vertical shape: ", 
         "A \!\(\*SuperscriptBox[\(\[ExponentialE]\), \(\(-b\) \
\*SuperscriptBox[\((\(|\)\(r\)\(|\))\), \(1.5\)]\)]\) |r\!\(\*SuperscriptBox[\
\(|\), \(a\)]\)"}]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`a$$], 0.5}, 0.1, 4, 0.01}, {{
       Hold[$CellContext`b$$], 0.15}, 0, 1, 0.01}, {{
       Hold[$CellContext`A$$], 2}, 0.1, 5, 0.01}, {
      Hold[
       Row[{
        "horizontal shape: ", 
         "\!\(\*SubscriptBox[\(R\), \(0\)]\) + \!\(\*SubscriptBox[\(R\), \
\(1\)]\) | sin(\!\(\*FractionBox[\(c t\), \
\(2\)]\))\!\(\*SuperscriptBox[\(|\), \(d\)]\)"}]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`c$$], 5}, 0, 12, 1}, {
      Hold[$CellContext`d$$], 0.5, 2}, {{
       Hold[$CellContext`R0$$], 0.5, "\!\(\*SubscriptBox[\(R\), \(0\)]\)"}, 0,
       1}, {{
       Hold[$CellContext`R1$$], 0.5, "\!\(\*SubscriptBox[\(R\), \(1\)]\)"}, 0,
       2}, {
      Hold[
       Row[{
        "vertical perturbation: ", 
         "1 + \!\(\*SuperscriptBox[\(r\), \(2\)]\) \!\(\*SubscriptBox[\(A\), \
\(1\)]\) sin(p t)"}]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`p$$], 15}, 0, 30, 1}, {{
       Hold[$CellContext`A1$$], 0.05, "\!\(\*SubscriptBox[\(A\), \(1\)]\)"}, 
      0, 0.5}}, Typeset`size$$ = {375., {235., 240.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`plotpts$23448$$ = 0, $CellContext`mesh$23449$$ = 
    0, $CellContext`color$23450$$ = 0, $CellContext`a$23451$$ = 
    0, $CellContext`b$23452$$ = 0, $CellContext`A$23453$$ = 
    0, $CellContext`c$23454$$ = 0, $CellContext`d$23455$$ = 
    0, $CellContext`R0$23456$$ = 0, $CellContext`R1$23457$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 0.5, $CellContext`A$$ = 
        2, $CellContext`A1$$ = 0.05, $CellContext`b$$ = 
        0.15, $CellContext`c$$ = 5, $CellContext`color$$ = 
        "SunsetColors", $CellContext`d$$ = 0.5, $CellContext`invcol$$ = 
        0, $CellContext`mesh$$ = 0& , $CellContext`p$$ = 
        15, $CellContext`plotpts$$ = 30, $CellContext`R0$$ = 
        0.5, $CellContext`R1$$ = 0.5}, "ControllerVariables" :> {
        Hold[$CellContext`plotpts$$, $CellContext`plotpts$23448$$, 0], 
        Hold[$CellContext`mesh$$, $CellContext`mesh$23449$$, 0], 
        Hold[$CellContext`color$$, $CellContext`color$23450$$, 0], 
        Hold[$CellContext`a$$, $CellContext`a$23451$$, 0], 
        Hold[$CellContext`b$$, $CellContext`b$23452$$, 0], 
        Hold[$CellContext`A$$, $CellContext`A$23453$$, 0], 
        Hold[$CellContext`c$$, $CellContext`c$23454$$, 0], 
        Hold[$CellContext`d$$, $CellContext`d$23455$$, 0], 
        Hold[$CellContext`R0$$, $CellContext`R0$23456$$, 0], 
        Hold[$CellContext`R1$$, $CellContext`R1$23457$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Module[{$CellContext`fxy$, $CellContext`fz$, $CellContext`zp$, \
$CellContext`u$}, $CellContext`fxy$ := $CellContext`R0$$ + $CellContext`R1$$ 
           Abs[
              
              Sin[$CellContext`c$$ $CellContext`x/
               2]]^$CellContext`d$$; $CellContext`fz$ := $CellContext`A$$ 
          E^((-$CellContext`b$$) Abs[$CellContext`u$]^1.5) 
          Abs[$CellContext`u$]^$CellContext`a$$; $CellContext`zp$ := 
         1 + $CellContext`r^2 $CellContext`A1$$ 
           Sin[$CellContext`p$$ ($CellContext`x/2)]^2; Pane[
          Column[{
            
            Plot[$CellContext`fz$, {$CellContext`u$, 0, 2}, AspectRatio -> 
             Automatic, PlotRange -> All, ImageSize -> {100, 100}], 
            Row[{
              
              Plot[$CellContext`fxy$, {$CellContext`x, 0, 2 Pi}, AspectRatio -> 
               Automatic, PlotRange -> {0, 3}, ImageSize -> {100, 100}], 
              ParametricPlot[$CellContext`fxy$ {
                 Cos[$CellContext`x], 
                 Sin[$CellContext`x]}, {$CellContext`x, 0, 2 Pi}, AspectRatio -> 
               Automatic, PlotRange -> 2, ImageSize -> 120]}, 
             Spacer[50]], 
            
            ParametricPlot3D[{$CellContext`r $CellContext`fxy$ 
              Cos[$CellContext`x], $CellContext`r $CellContext`fxy$ 
              Sin[$CellContext`x], 
              
              ReplaceAll[$CellContext`zp$ $CellContext`fz$, $CellContext`u$ -> \
$CellContext`r]}, {$CellContext`x, 0, 2 Pi}, {$CellContext`r, 0, 2}, 
             BoxRatios -> Automatic, PlotRange -> Automatic, PlotPoints -> 
             ControlActive[5, $CellContext`plotpts$$], 
             MeshFunctions -> $CellContext`mesh$$, Boxed -> False, Axes -> 
             None, Mesh -> {4 $CellContext`c$$, 5}, 
             ColorFunction -> (ColorData[$CellContext`color$$][
              0.8 ($CellContext`invcol$$ + (-1)^$CellContext`invcol$$ #5)]& ),
              ImageSize -> {300, 250}]}, Alignment -> {Center, Center}], {375,
           475}, Alignment -> Center]], 
      "Specifications" :> {{{$CellContext`plotpts$$, 30, "plot points"}, 10, 
         100, 1, ImageSize -> Small, Appearance -> 
         "Labeled"}, {{$CellContext`mesh$$, 0& }, {
         0& , #3& , #4& , #5& , {#4& , #5& }}, ControlType -> 
         PopupMenu}, {{$CellContext`color$$, "SunsetColors"}, {
         "SunsetColors", "SolarColors", "Rainbow", "AvocadoColors", 
          "DeepSeaColors"}, ControlType -> 
         PopupMenu}, {{$CellContext`invcol$$, 0, "invert color"}, 
         Checkbox[#, {0, 1}]& }, Delimiter, 
        Row[{
         "vertical shape: ", 
          "A \!\(\*SuperscriptBox[\(\[ExponentialE]\), \(\(-b\) \
\*SuperscriptBox[\((\(|\)\(r\)\(|\))\), \(1.5\)]\)]\) |r\!\(\*SuperscriptBox[\
\(|\), \(a\)]\)"}], {{$CellContext`a$$, 0.5}, 0.1, 4, 0.01, ImageSize -> 
         Small, Appearance -> "Labeled"}, {{$CellContext`b$$, 0.15}, 0, 1, 
         0.01, ImageSize -> Small, Appearance -> 
         "Labeled"}, {{$CellContext`A$$, 2}, 0.1, 5, 0.01, ImageSize -> Small,
          Appearance -> "Labeled"}, Delimiter, 
        Row[{
         "horizontal shape: ", 
          "\!\(\*SubscriptBox[\(R\), \(0\)]\) + \!\(\*SubscriptBox[\(R\), \(1\
\)]\) | sin(\!\(\*FractionBox[\(c t\), \(2\)]\))\!\(\*SuperscriptBox[\(|\), \
\(d\)]\)"}], {{$CellContext`c$$, 5}, 0, 12, 1, ImageSize -> Small, Appearance -> 
         "Labeled"}, {$CellContext`d$$, 0.5, 2, ImageSize -> Small, 
         Appearance -> 
         "Labeled"}, {{$CellContext`R0$$, 0.5, 
          "\!\(\*SubscriptBox[\(R\), \(0\)]\)"}, 0, 1, ImageSize -> Small, 
         Appearance -> 
         "Labeled"}, {{$CellContext`R1$$, 0.5, 
          "\!\(\*SubscriptBox[\(R\), \(1\)]\)"}, 0, 2, ImageSize -> Small, 
         Appearance -> "Labeled"}, Delimiter, 
        Row[{
         "vertical perturbation: ", 
          "1 + \!\(\*SuperscriptBox[\(r\), \(2\)]\) \!\(\*SubscriptBox[\(A\), \
\(1\)]\) sin(p t)"}], {{$CellContext`p$$, 15}, 0, 30, 1, ImageSize -> Small, 
         Appearance -> 
         "Labeled"}, {{$CellContext`A1$$, 0.05, 
          "\!\(\*SubscriptBox[\(A\), \(1\)]\)"}, 0, 0.5, ImageSize -> Small, 
         Appearance -> "Labeled"}}, 
      "Options" :> {
       ControlPlacement -> Left, AutorunSequencing -> {3, 5, 6, 7}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{628., {262., 267.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->339046909],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Virtual Flowers with Crispate Petals",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/VirtualFlowersWithCrispatePetals/"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/VirtualFlowersWithCrispatePetals/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
VirtualFlowersWithCrispatePetals/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/VirtualFlowersWithCrispatePetals/"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/VirtualFlowersWithCrispatePetals/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["J\[AAcute]nos Karsai",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=J%E1nos+Karsai"]\
, None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=J%E1nos+Karsai"],
 " (University of Szeged)"
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->14266263],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6 system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA 6 \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
VirtualFlowersWithCrispatePetals"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{780, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Virtual Flowers with Crispate Petals - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"6.0 for Microsoft Windows (32-bit) (March 13, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 228, 4, 70, "Section"],
Cell[821, 29, 18693, 374, 70, "Input",
 CellID->28416737]
}, Open  ]],
Cell[19529, 406, 8910, 170, 70, "Output",
 CellID->339046909],
Cell[CellGroupData[{
Cell[28464, 580, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[28840, 591, 987, 29, 70, "Text"],
Cell[29830, 622, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[30170, 633, 489, 16, 70, "Text",
 CellID->14266263],
Cell[CellGroupData[{
Cell[30684, 653, 829, 24, 70, "Text"],
Cell[31516, 679, 1208, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature aR4deQhfxjZsSB0Duh2SsEWh *)
