(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    223777,       5578]
NotebookOptionsPosition[    208438,       5094]
NotebookOutlinePosition[    210657,       5154]
CellTagsIndexPosition[    210577,       5149]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell["\<\
How to prepare interactive Mathematica demonstrations for classroom\
\>", "Title",
 CellChangeTimes->{{3.455772854265625*^9, 3.45577286246875*^9}}],

Cell[TextData[StyleBox["J\[AAcute]nos Karsai",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.455772865234375*^9, 3.4557728695*^9}, 
   3.455956957890625*^9},
 TextAlignment->Center,
 TextJustification->0.],

Cell[TextData[{
 StyleBox["University of Szeged\n\n",
  FontSlant->"Italic"],
 ButtonBox["http://silver.szote.u-szeged.hu/~karsai",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://silver.szote.u-szeged.hu/~karsai"], None},
  ButtonNote->"http://silver.szote.u-szeged.hu/~karsai"],
 StyleBox["\nkarsai@dmi.u-szeged.hu",
  FontSlant->"Italic"]
}], "Text",
 CellChangeTimes->{{3.455772871953125*^9, 3.455772879796875*^9}, {
  3.45608056440625*^9, 3.456080612375*^9}, {3.45608065615625*^9, 
  3.45608065615625*^9}},
 TextAlignment->Center,
 TextJustification->0.],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowPrevSlideText"]],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPageNext"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowNextSlideText"]]
}], "PreviousNext"]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell["Some examples from the Wolfram demonstration project", "Subtitle",
 CellChangeTimes->{{3.455959164296875*^9, 3.455959188921875*^9}}],

Cell[CellGroupData[{

Cell[" What I like", "Section",
 CellChangeTimes->{{3.45595919834375*^9, 3.45595920696875*^9}}],

Cell[BoxData[
 FormBox[GridBox[{
    {
     StyleBox[
      RowBox[{" ", 
       ButtonBox[
        RowBox[{"Logistic", " ", "Equation"}],
        BaseStyle->"Hyperlink",
        ButtonData->{
          
          FrontEnd`FileName[{"wolfram-demo", "Nice"}, "LogisticEquation.nbp", 
           CharacterEncoding -> "WindowsANSI"], None}]}],
      ButtonBoxOptions->{Appearance->None,
      BaseStyle->None},
      CheckboxBoxOptions->{Appearance->Automatic}], 
     StyleBox[
      ButtonBox[
       RowBox[{"(", "source", ")"}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "Nice"}, 
          "LogisticEquation-source.nb", CharacterEncoding -> "WindowsANSI"], 
         None}],
      ButtonBoxOptions->{Appearance->None}]},
    {
     StyleBox[
      ButtonBox[
       RowBox[{"Partial", " ", "Derivatives", " ", "in", " ", "3", "D"}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "Nice"}, 
          "PartialDerivativesIn3D.nbp", CharacterEncoding -> "WindowsANSI"], 
         None}],
      ButtonBoxOptions->{Appearance->None}], 
     StyleBox[
      ButtonBox[
       RowBox[{"(", "source", ")"}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "Nice"}, 
          "PartialDerivativesIn3D-source.nb", CharacterEncoding -> 
          "WindowsANSI"], None}],
      ButtonBoxOptions->{Appearance->None}]},
    {
     StyleBox[
      ButtonBox[
       RowBox[{"Directional", " ", "Derivatives", " ", "in", " ", "3", "D"}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "Nice"}, 
          "DirectionalDerivativesIn3D.nbp", CharacterEncoding -> 
          "WindowsANSI"], None}],
      ButtonBoxOptions->{Appearance->None}], 
     StyleBox[
      ButtonBox[
       RowBox[{"(", "source", ")"}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "Nice"}, 
          "DirectionalDerivativesIn3D-source.nb", CharacterEncoding -> 
          "WindowsANSI"], None}],
      ButtonBoxOptions->{Appearance->None}]},
    {
     StyleBox[
      ButtonBox[
       RowBox[{"Slope", " ", "Fields"}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "Nice"}, "SlopeFields.nbp", 
          CharacterEncoding -> "WindowsANSI"], None}],
      ButtonBoxOptions->{Appearance->None}], 
     StyleBox[
      ButtonBox[
       RowBox[{"(", "source", ")"}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "Nice"}, "SlopeFields-source.nb", 
          CharacterEncoding -> "WindowsANSI"], None}],
      ButtonBoxOptions->{Appearance->None}]},
    {
     StyleBox[
      ButtonBox[
       RowBox[{
       "Phase", " ", "Plane", " ", "Plot", " ", "of", " ", "the", " ", "Van", 
        " ", "der", " ", "Pol", " ", "Differential", " ", "Equation"}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "Nice"}, 
          "PhasePlanePlotOfTheVanDerPolDifferentialEquation.nbp", 
          CharacterEncoding -> "WindowsANSI"], None}],
      ButtonBoxOptions->{Appearance->None}], 
     StyleBox[
      ButtonBox[
       RowBox[{"(", "source", ")"}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "Nice"}, 
          "PhasePlanePlotOfTheVanDerPolDifferentialEquation-source.nb", 
          CharacterEncoding -> "WindowsANSI"], None}],
      ButtonBoxOptions->{Appearance->None}]},
    {
     StyleBox[
      ButtonBox[
       RowBox[{
       "Phase", " ", "Portrait", " ", "and", " ", "Field", " ", "Directions", 
        " ", "of", " ", "2", "D", " ", "Linear", " ", "Systems", " ", "of", 
        " ", "ODEs"}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "Nice"}, 
          "PhasePortraitAndFieldDirectionsOfTwoDimensionalLinearSystems.nbp", 
          CharacterEncoding -> "WindowsANSI"], None}],
      ButtonBoxOptions->{Appearance->None}], 
     StyleBox[
      ButtonBox[
       RowBox[{"(", "source", ")"}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "Nice"}, 
          "PhasePortraitAndFieldDirectionsOfTwoDimensionalLinearSystems-\
source.nb", CharacterEncoding -> "WindowsANSI"], None}],
      ButtonBoxOptions->{Appearance->None}]},
    {
     StyleBox[
      ButtonBox[
       RowBox[{"Visualizing", " ", "the", " ", "Gradient", " ", "Vector"}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "Nice"}, "gradient-visualize.nb", 
          CharacterEncoding -> "WindowsANSI"], None}],
      ButtonBoxOptions->{Appearance->None}], 
     RowBox[{"(", "source", ")"}]}
   }], TraditionalForm]], "Text",
 CellChangeTimes->{
  3.45596071053125*^9, {3.455961418359375*^9, 3.455961439109375*^9}, {
   3.455961472109375*^9, 3.455961481859375*^9}, {3.455961527484375*^9, 
   3.455961567515625*^9}, {3.455961680078125*^9, 3.45596170940625*^9}, {
   3.4559617859375*^9, 3.455961797125*^9}, {3.4559618609375*^9, 
   3.45596188925*^9}, {3.45596197553125*^9, 3.45596200546875*^9}, {
   3.455962131640625*^9, 3.45596216015625*^9}, 3.45596219628125*^9, {
   3.455962308515625*^9, 3.45596235746875*^9}, 3.455962462421875*^9, 
   3.4559666396875*^9, 3.45596667259375*^9, 3.4560371596875*^9}],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowPrevSlideText"]],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPageNext"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowNextSlideText"]]
}], "PreviousNext"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell[" They are OK, but...", "Section",
 CellChangeTimes->{{3.45595919834375*^9, 3.45595920696875*^9}, {
  3.455962483921875*^9, 3.455962496296875*^9}}],

Cell[BoxData[
 FormBox[GridBox[{
    {
     StyleBox[
      ButtonBox[
       RowBox[{"Two", "-", 
        RowBox[{"Dimensional", " ", "Linear", " ", "Systems"}]}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "Problem"}, 
          "TwoDimensionalLinearSystems.nbp", CharacterEncoding -> 
          "WindowsANSI"], None}],
      ButtonBoxOptions->{Appearance->None}], 
     RowBox[{"(", "source", ")"}]},
    {
     StyleBox[
      ButtonBox[
       RowBox[{
       "Linear", " ", "Transformation", " ", "with", " ", "Given", " ", 
        "Eigenvectors"}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "Problem"}, 
          "LinearTransformationWithGivenEigenvectors.nbp", CharacterEncoding -> 
          "WindowsANSI"], None}],
      ButtonBoxOptions->{Appearance->None}], 
     RowBox[{"(", "source", ")"}]},
    {
     StyleBox[
      ButtonBox[
       RowBox[{"Driven", " ", "Damped", " ", "Oscillator"}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "Problem"}, 
          "DrivenDampedOscillator.nbp", CharacterEncoding -> "WindowsANSI"], 
         None}],
      ButtonBoxOptions->{Appearance->None}], 
     RowBox[{"(", "source", ")"}]},
    {
     StyleBox[
      ButtonBox[
       RowBox[{"Double", " ", "Integral", " ", "for", " ", "Volume"}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "Problem"}, 
          "DoubleIntegralForVolume.nbp", CharacterEncoding -> "WindowsANSI"], 
         None}],
      ButtonBoxOptions->{Appearance->None}], 
     RowBox[{"(", "source", ")"}]},
    {
     StyleBox[
      ButtonBox[
       RowBox[{"Constrained", " ", "Optimization"}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "Problem"}, 
          "ConstrainedOptimization.nbp", CharacterEncoding -> "WindowsANSI"], 
         None}],
      ButtonBoxOptions->{Appearance->None}], 
     RowBox[{"(", "source", ")"}]},
    {
     StyleBox[
      ButtonBox[
       RowBox[{
        RowBox[{"Bifurcations", " ", "in", " ", "First"}], "-", 
        RowBox[{"Order", " ", "ODEs"}]}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "Problem"}, 
          "BifurcationsInFirstOrderODEs.nbp", CharacterEncoding -> 
          "WindowsANSI"], None}],
      ButtonBoxOptions->{Appearance->None}], 
     RowBox[{"(", "source", ")"}]},
    {
     StyleBox[
      ButtonBox[
       RowBox[{
        RowBox[{
        "Brownian", " ", "Motion", " ", "in", " ", "2", "D", " ", "and", " ", 
         "the", " ", "Fokker"}], "-", 
        RowBox[{"Planck", " ", "Equation"}]}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "Problem"}, 
          "BrownianMotionIn2DAndTheFokkerPlanckEquation.nbp", 
          CharacterEncoding -> "WindowsANSI"], None}],
      ButtonBoxOptions->{Appearance->None}], 
     RowBox[{"(", "source", ")"}]}
   }], TraditionalForm]], "Text",
 CellChangeTimes->{
  3.45596071053125*^9, {3.455961418359375*^9, 3.455961439109375*^9}, {
   3.455961472109375*^9, 3.455961481859375*^9}, {3.455961527484375*^9, 
   3.455961567515625*^9}, {3.455961680078125*^9, 3.45596170940625*^9}, {
   3.4559617859375*^9, 3.455961797125*^9}, {3.4559618609375*^9, 
   3.45596188925*^9}, {3.45596197553125*^9, 3.45596200546875*^9}, {
   3.455962131640625*^9, 3.45596216015625*^9}, 3.45596219628125*^9, {
   3.455962308515625*^9, 3.45596235746875*^9}, 3.455962462421875*^9, {
   3.455962501875*^9, 3.455962527078125*^9}, 3.45596265825*^9, {
   3.455962728*^9, 3.45596276475*^9}, {3.4559628333125*^9, 
   3.45596284546875*^9}, {3.4559629388125*^9, 3.455962953828125*^9}, {
   3.4559629968125*^9, 3.45596301396875*^9}, {3.455963054796875*^9, 
   3.455963068328125*^9}, {3.455963236953125*^9, 3.455963249625*^9}, {
   3.455963334515625*^9, 3.45596334896875*^9}, {3.45596352678125*^9, 
   3.455963552109375*^9}, 3.456024460578125*^9, 3.4560779834375*^9}],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowPrevSlideText"]],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPageNext"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowNextSlideText"]]
}], "PreviousNext"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell[" I do not like for some reason", "Section",
 CellChangeTimes->{{3.45595919834375*^9, 3.45595920696875*^9}, {
  3.455962483921875*^9, 3.455962496296875*^9}, {3.455962541171875*^9, 
  3.455962544796875*^9}, {3.45596261684375*^9, 3.455962623859375*^9}, {
  3.456038752078125*^9, 3.45603875840625*^9}}],

Cell[BoxData[
 FormBox[GridBox[{
    {
     StyleBox[
      ButtonBox[
       RowBox[{"3", "D", " ", "Vector", " ", "Fields"}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "Bad"}, "3DVectorFields.nbp", 
          CharacterEncoding -> "WindowsANSI"], None}],
      ButtonBoxOptions->{Appearance->None}], 
     StyleBox[
      RowBox[{"(", "source", ")"}],
      ButtonBoxOptions->{Appearance->None}]},
    {
     StyleBox[
      ButtonBox[
       RowBox[{"Cauchy", "-", 
        RowBox[{"Schwarz", " ", "Inequality", " ", "for", " ", "Integrals"}]}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "Bad"}, 
          "CauchySchwarzInequalityForIntegrals.nbp", CharacterEncoding -> 
          "WindowsANSI"], None}],
      ButtonBoxOptions->{Appearance->None}], 
     StyleBox[
      RowBox[{"(", "source", ")"}],
      ButtonBoxOptions->{Appearance->None}]},
    {
     StyleBox[
      ButtonBox[
       RowBox[{"From", " ", "Vector", " ", "to", " ", "Plane"}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "Bad"}, "FromVectorToPlane.nbp", 
          CharacterEncoding -> "WindowsANSI"], None}],
      ButtonBoxOptions->{Appearance->None}], 
     StyleBox[
      RowBox[{"(", "source", ")"}],
      ButtonBoxOptions->{Appearance->None}]},
    {
     StyleBox[
      ButtonBox[
       RowBox[{
       "Dynamic", " ", "Behavior", " ", "of", " ", "a", " ", "Simple", " ", 
        "Canonical", " ", "System"}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "Bad"}, 
          "DynamicBehaviorOfASimpleCanonicalSystem.nbp", CharacterEncoding -> 
          "WindowsANSI"], None}],
      ButtonBoxOptions->{Appearance->None}], 
     StyleBox[
      RowBox[{"(", "source", ")"}],
      ButtonBoxOptions->{Appearance->None}]},
    {
     StyleBox[
      ButtonBox[
       RowBox[{
       "Saddle", " ", "Points", " ", "and", " ", "Inflection", " ", "Points"}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "Bad"}, 
          "SaddlePointsAndInflectionPoints.nbp", CharacterEncoding -> 
          "WindowsANSI"], None}],
      ButtonBoxOptions->{Appearance->None}], 
     StyleBox[
      RowBox[{"(", "source", ")"}],
      ButtonBoxOptions->{Appearance->None}]}
   }], TraditionalForm]], "Text",
 CellChangeTimes->{
  3.45596071053125*^9, {3.455961418359375*^9, 3.455961439109375*^9}, {
   3.455961472109375*^9, 3.455961481859375*^9}, {3.455961527484375*^9, 
   3.455961567515625*^9}, {3.455961680078125*^9, 3.45596170940625*^9}, {
   3.4559617859375*^9, 3.455961797125*^9}, {3.4559618609375*^9, 
   3.45596188925*^9}, {3.45596197553125*^9, 3.45596200546875*^9}, {
   3.455962131640625*^9, 3.45596216015625*^9}, 3.45596219628125*^9, {
   3.455962308515625*^9, 3.45596235746875*^9}, 3.455962462421875*^9, {
   3.455962501875*^9, 3.455962527078125*^9}, 3.455962590734375*^9, {
   3.455963466921875*^9, 3.455963482078125*^9}, 3.45596355478125*^9, {
   3.45596361025*^9, 3.455963626328125*^9}, {3.455963721421875*^9, 
   3.45596374659375*^9}, {3.455963824296875*^9, 3.4559638475625*^9}, 
   3.45602446525*^9, 3.456078004109375*^9}],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowPrevSlideText"]],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPageNext"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowNextSlideText"]]
}], "PreviousNext"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Some own more complex developments", "Section",
 CellChangeTimes->{{3.45596459559375*^9, 3.45596463546875*^9}}],

Cell[BoxData[
 FormBox[GridBox[{
    {
     StyleBox[
      ButtonBox[
       RowBox[{"Interactive", " ", "Curve", " ", "Fitting"}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "karsai"}, 
          "InteractiveCurveFitting.nbp", CharacterEncoding -> "WindowsANSI"], 
         None}],
      ButtonBoxOptions->{Appearance->None}], 
     StyleBox[
      RowBox[{"(", "source", ")"}],
      ButtonBoxOptions->{Appearance->None}]},
    {
     StyleBox[
      ButtonBox[
       RowBox[{"Competition", " ", "for", "  ", 
        RowBox[{"Territory", ":", 
         RowBox[{
         "The", " ", "Levins", " ", "Model", " ", "for", " ", "Two", " ", 
          "Species"}]}]}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "karsai"}, 
          "CompetitionForTerritoryTheLevinsModelForTwoSpecies.nbp", 
          CharacterEncoding -> "WindowsANSI"], None}],
      ButtonBoxOptions->{Appearance->None}], 
     StyleBox[
      RowBox[{"(", "source", ")"}],
      ButtonBoxOptions->{Appearance->None}]},
    {
     StyleBox[
      ButtonBox[
       RowBox[{"Virtual", " ", "Flowers"}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "karsai"}, 
          "VirtualFlowersWithCrispatePetals.nbp", CharacterEncoding -> 
          "WindowsANSI"], None}],
      ButtonBoxOptions->{Appearance->None}], 
     StyleBox[
      RowBox[{"(", "source", ")"}],
      ButtonBoxOptions->{Appearance->None}]},
    {
     StyleBox[
      ButtonBox[
       RowBox[{"1", 
        StyleBox["D",
         FontSlant->"Plain"], "  ", "ODE", " ", "explorer"}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "karsai"}, "ODE-explorer.nb", 
          CharacterEncoding -> "WindowsEastEurope"], None}],
      ButtonBoxOptions->{Appearance->None}], 
     StyleBox[
      RowBox[{"(", "source", ")"}],
      ButtonBoxOptions->{Appearance->None}]},
    {
     StyleBox[
      ButtonBox[
       RowBox[{
        RowBox[{"Intravascular", " ", "Dosing"}], ",", " ", 
        RowBox[{"Version", " ", "1"}]}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "karsai"}, "dosing-1-basic.nb", 
          CharacterEncoding -> "WindowsEastEurope"], None}],
      ButtonBoxOptions->{Appearance->None}], 
     StyleBox[
      RowBox[{"(", "source", ")"}],
      ButtonBoxOptions->{Appearance->None}]},
    {
     StyleBox[
      ButtonBox[
       RowBox[{
        RowBox[{"Intravascular", " ", "Dosing"}], ",", " ", 
        RowBox[{"Realistic", " ", "Version"}]}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "karsai"}, "dosing-1.nb", 
          CharacterEncoding -> "WindowsEastEurope"], None}],
      ButtonBoxOptions->{Appearance->None}], 
     StyleBox[
      RowBox[{"(", "source", ")"}],
      ButtonBoxOptions->{Appearance->None}]},
    {
     StyleBox[
      ButtonBox[
       RowBox[{"Extravascular", " ", "Dosing"}],
       BaseStyle->"Hyperlink",
       ButtonData->{
         FrontEnd`FileName[{"wolfram-demo", "karsai"}, "dosing-2.nb", 
          CharacterEncoding -> "WindowsEastEurope"], None}],
      ButtonBoxOptions->{Appearance->None}], 
     StyleBox[
      RowBox[{"(", "source", ")"}],
      ButtonBoxOptions->{Appearance->None}]}
   }], TraditionalForm]], "Text",
 CellChangeTimes->{
  3.45596071053125*^9, {3.455961418359375*^9, 3.455961439109375*^9}, {
   3.455961472109375*^9, 3.455961481859375*^9}, {3.455961527484375*^9, 
   3.455961567515625*^9}, {3.455961680078125*^9, 3.45596170940625*^9}, {
   3.4559617859375*^9, 3.455961797125*^9}, {3.4559618609375*^9, 
   3.45596188925*^9}, {3.45596197553125*^9, 3.45596200546875*^9}, {
   3.455962131640625*^9, 3.45596216015625*^9}, 3.45596219628125*^9, {
   3.455962308515625*^9, 3.45596235746875*^9}, 3.455962462421875*^9, {
   3.455964770140625*^9, 3.455964817484375*^9}, {3.45596487840625*^9, 
   3.45596494065625*^9}, {3.4559649943125*^9, 3.45596500203125*^9}, {
   3.455991814515625*^9, 3.4559918630625*^9}, {3.455992090703125*^9, 
   3.45599219240625*^9}, {3.45602449396875*^9, 3.4560245018125*^9}}],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowPrevSlideText"]],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPageNext"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowNextSlideText"]]
}], "PreviousNext"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell["Start out of \"one-minute\" demonstrations", "Subtitle",
 CellChangeTimes->{{3.455774170515625*^9, 3.455774187625*^9}, {
  3.45581458278125*^9, 3.45581458703125*^9}}],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowPrevSlideText"]],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPageNext"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowNextSlideText"]]
}], "PreviousNext"]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Example: Plot power functions", "Section",
 CellChangeTimes->{{3.45578316678125*^9, 3.45578320628125*^9}, {
   3.45578339865625*^9, 3.455783453765625*^9}, {3.45578352771875*^9, 
   3.45578354965625*^9}, {3.455784208546875*^9, 3.45578422303125*^9}, 
   3.455786271625*^9}],

Cell["\<\
\tpositive integer exponents
 \tnegative powers
 \trational powers
 \tgeneral real powers
 \tIllustrate inverse, reciprocal...
 \t... or....
 \tstudy the local-global behavior
 \t... or...\
\>", "Text",
 CellChangeTimes->{{3.45578316678125*^9, 3.45578320628125*^9}, {
  3.45578339865625*^9, 3.455783453765625*^9}, {3.45578352771875*^9, 
  3.45578354965625*^9}, {3.455784208546875*^9, 3.455784216734375*^9}}],

Cell[CellGroupData[{

Cell["Simplest version", "Subsection",
 CellChangeTimes->{{3.455784190859375*^9, 3.45578419459375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     SuperscriptBox["x", "n"], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "2.1"}], ",", "2.1"}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "0", ",", "20", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4057515811483264`*^9, 3.40575165685719*^9}, {
  3.405751697375453*^9, 3.4057517049663677`*^9}, {3.4057517696293488`*^9, 
  3.405751771091451*^9}, {3.405751821604085*^9, 3.4057518524484367`*^9}, {
  3.4057530177740927`*^9, 3.4057530688174896`*^9}, {3.42932325659375*^9, 
  3.429323348703125*^9}, {3.429323473609375*^9, 3.42932349515625*^9}, {
  3.455783504046875*^9, 3.455783509*^9}, {3.455783564671875*^9, 
  3.45578356996875*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 0, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`n$$], 0, 20, 1}}, Typeset`size$$ = {
    406., {266., 274.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`n$1359$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$1359$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[$CellContext`x^$CellContext`n$$, {$CellContext`x, -1.5, 1.5}, 
        AspectRatio -> Automatic, PlotRange -> {-2.1, 2.1}], 
      "Specifications" :> {{$CellContext`n$$, 0, 20, 1}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{473., {331., 344.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.455783462265625*^9, 3.4557835708125*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["A stroboscopic plot of powers", "Subsection",
 CellChangeTimes->{{3.455784190859375*^9, 3.45578419459375*^9}, {
  3.455784251640625*^9, 3.455784292640625*^9}, {3.45578453428125*^9, 
  3.45578455709375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        SuperscriptBox["x", "#"], "&"}], ",", 
       RowBox[{"Range", "[", "n", "]"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "1.5"}], "}"}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1.5"}], "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "20", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4057515811483264`*^9, 3.40575165685719*^9}, {
   3.405751697375453*^9, 3.4057517049663677`*^9}, {3.4057517696293488`*^9, 
   3.405751771091451*^9}, {3.405751821604085*^9, 3.4057518524484367`*^9}, {
   3.4057530177740927`*^9, 3.4057530688174896`*^9}, {3.42932325659375*^9, 
   3.429323348703125*^9}, {3.429323473609375*^9, 3.42932349515625*^9}, {
   3.455783504046875*^9, 3.455783509*^9}, {3.455783564671875*^9, 
   3.45578356996875*^9}, {3.45578361259375*^9, 3.455783617203125*^9}, {
   3.45578388503125*^9, 3.4557838973125*^9}, {3.455783941265625*^9, 
   3.45578404309375*^9}, {3.455784296703125*^9, 3.4557843626875*^9}, {
   3.455784411*^9, 3.45578449846875*^9}, {3.455784562453125*^9, 
   3.4557846188125*^9}, 3.45578465125*^9, {3.45578468859375*^9, 
   3.45578471115625*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`n$$], 1, 20, 1}}, Typeset`size$$ = {
    450., {214., 220.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`n$41653$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$41653$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Plot[
        Map[$CellContext`x^#& , 
         Range[$CellContext`n$$]], {$CellContext`x, 0, 1.5}, AspectRatio -> 
        Automatic, PlotRange -> {0, 1.5}], 
      "Specifications" :> {{$CellContext`n$$, 1, 20, 1}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{505., {266., 271.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.45578361859375*^9, {3.455783892015625*^9, 3.455783897890625*^9}, {
   3.455783963953125*^9, 3.45578404434375*^9}, 3.455784311796875*^9, {
   3.455784345765625*^9, 3.45578436309375*^9}, {3.455784418125*^9, 
   3.45578446271875*^9}, 3.4557844994375*^9, {3.45578459696875*^9, 
   3.455784619578125*^9}, 3.455784651671875*^9, {3.45578468978125*^9, 
   3.4557847136875*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["A power and its inverse", "Subsection",
 CellChangeTimes->{{3.455784190859375*^9, 3.45578419459375*^9}, {
  3.455784251640625*^9, 3.455784292640625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SuperscriptBox["x", "n"], ",", 
       SuperscriptBox["x", 
        RowBox[{"1", "/", "n"}]]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "1.5"}], "}"}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1.5"}], "}"}]}], ",", 
     RowBox[{"PlotLabel", "->", 
      RowBox[{"TraditionalForm", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "^", "n"}], ",", 
         RowBox[{"x", "^", 
          RowBox[{"(", 
           RowBox[{"1", "/", "n"}], ")"}]}]}], "}"}], "]"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "10", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4057515811483264`*^9, 3.40575165685719*^9}, {
  3.405751697375453*^9, 3.4057517049663677`*^9}, {3.4057517696293488`*^9, 
  3.405751771091451*^9}, {3.405751821604085*^9, 3.4057518524484367`*^9}, {
  3.4057530177740927`*^9, 3.4057530688174896`*^9}, {3.42932325659375*^9, 
  3.429323348703125*^9}, {3.429323473609375*^9, 3.42932349515625*^9}, {
  3.455783504046875*^9, 3.455783509*^9}, {3.455783564671875*^9, 
  3.45578356996875*^9}, {3.45578361259375*^9, 3.455783617203125*^9}, {
  3.45578388503125*^9, 3.4557838973125*^9}, {3.455783941265625*^9, 
  3.45578404309375*^9}, {3.455784296703125*^9, 3.4557843626875*^9}, {
  3.455784411*^9, 3.45578449846875*^9}, {3.456128735234375*^9, 
  3.456128738203125*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`n$$], 1, 10, 1}}, Typeset`size$$ = {
    540., {269., 279.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`n$37776$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$37776$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[{$CellContext`x^$CellContext`n$$, $CellContext`x^(
          1/$CellContext`n$$)}, {$CellContext`x, 0, 1.5}, AspectRatio -> 
        Automatic, PlotRange -> {0, 1.5}, PlotLabel -> ToString[
          
          TraditionalForm[{$CellContext`x^$CellContext`n$$, $CellContext`x^(
             1/$CellContext`n$$)}]]], 
      "Specifications" :> {{$CellContext`n$$, 1, 10, 1}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{604., {332., 339.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.45578361859375*^9, {3.455783892015625*^9, 3.455783897890625*^9}, {
   3.455783963953125*^9, 3.45578404434375*^9}, 3.455784311796875*^9, {
   3.455784345765625*^9, 3.45578436309375*^9}, {3.455784418125*^9, 
   3.45578446271875*^9}, 3.4557844994375*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Use Setterbar ", "Subsection",
 CellChangeTimes->{{3.455784190859375*^9, 3.45578419459375*^9}, {
  3.455784251640625*^9, 3.45578426765625*^9}, {3.45578615565625*^9, 
  3.45578615628125*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     SuperscriptBox["x", "n"], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "2.1"}], ",", "2.1"}], "}"}]}], ",", 
     RowBox[{"PlotLabel", "->", 
      RowBox[{"TraditionalForm", "[", 
       RowBox[{"x", "^", "n"}], "]"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", 
     RowBox[{"Range", "[", "10", "]"}], ",", "SetterBar"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.4057515811483264`*^9, 3.40575165685719*^9}, {
  3.405751697375453*^9, 3.4057517049663677`*^9}, {3.4057517696293488`*^9, 
  3.405751771091451*^9}, {3.405751821604085*^9, 3.4057518524484367`*^9}, {
  3.4057530177740927`*^9, 3.4057530688174896`*^9}, {3.42932325659375*^9, 
  3.429323348703125*^9}, {3.429323473609375*^9, 3.42932349515625*^9}, {
  3.455783504046875*^9, 3.455783509*^9}, {3.455783564671875*^9, 
  3.45578356996875*^9}, {3.45578361259375*^9, 3.455783617203125*^9}, {
  3.45578388503125*^9, 3.4557838973125*^9}, {3.455783941265625*^9, 
  3.45578404309375*^9}, {3.456128720703125*^9, 3.45612872303125*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = 6, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`n$$], {1, 2, 3, 4, 5, 6, 7, 8, 9, 10}}}, 
    Typeset`size$$ = {398., {267., 273.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`n$21080$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$21080$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[$CellContext`x^$CellContext`n$$, {$CellContext`x, -1.5, 1.5}, 
        AspectRatio -> Automatic, PlotRange -> {-2.1, 2.1}, PlotLabel -> 
        TraditionalForm[$CellContext`x^$CellContext`n$$]], 
      "Specifications" :> {{$CellContext`n$$, {1, 2, 3, 4, 5, 6, 7, 8, 9, 10},
          ControlType -> SetterBar}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{453., {321., 326.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.45578361859375*^9, {3.455783892015625*^9, 3.455783897890625*^9}, {
   3.455783963953125*^9, 3.45578404434375*^9}, 3.45612872365625*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Use Togglerbar ", "Subsection",
 CellChangeTimes->{{3.455784190859375*^9, 3.45578419459375*^9}, {
   3.455784251640625*^9, 3.45578426765625*^9}, {3.45578615565625*^9, 
   3.45578615628125*^9}, {3.45595706040625*^9, 3.455957061453125*^9}, 
   3.455957116125*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        SuperscriptBox["x", "#"], "&"}], ",", "n"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "1.5"}], ",", "1.5"}], "}"}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "2.1"}], ",", "2.1"}], "}"}]}], ",", 
     RowBox[{"PlotLabel", "->", 
      RowBox[{"TraditionalForm", "[", 
       RowBox[{"x", "^", "n"}], "]"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"Range", "[", "10", "]"}], ",", "TogglerBar"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.4057515811483264`*^9, 3.40575165685719*^9}, {
  3.405751697375453*^9, 3.4057517049663677`*^9}, {3.4057517696293488`*^9, 
  3.405751771091451*^9}, {3.405751821604085*^9, 3.4057518524484367`*^9}, {
  3.4057530177740927`*^9, 3.4057530688174896`*^9}, {3.42932325659375*^9, 
  3.429323348703125*^9}, {3.429323473609375*^9, 3.42932349515625*^9}, {
  3.455783504046875*^9, 3.455783509*^9}, {3.455783564671875*^9, 
  3.45578356996875*^9}, {3.45578361259375*^9, 3.455783617203125*^9}, {
  3.45578388503125*^9, 3.4557838973125*^9}, {3.455783941265625*^9, 
  3.45578404309375*^9}, {3.455957067234375*^9, 3.455957068359375*^9}, {
  3.455957118171875*^9, 3.455957175296875*^9}, {3.456128745359375*^9, 
  3.45612874953125*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`n$$ = {}, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], {}}, {1, 2, 3, 4, 5, 6, 7, 8, 9, 10}}}, 
    Typeset`size$$ = {400., {267., 273.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`n$32207$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`n$$ = {}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$32207$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Plot[
        Map[$CellContext`x^#& , $CellContext`n$$], {$CellContext`x, -1.5, 
         1.5}, AspectRatio -> Automatic, PlotRange -> {-2.1, 2.1}, PlotLabel -> 
        ToString[
          TraditionalForm[$CellContext`x^$CellContext`n$$]]], 
      "Specifications" :> {{{$CellContext`n$$, {}}, {1, 2, 3, 4, 5, 6, 7, 8, 
         9, 10}, ControlType -> TogglerBar}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{455., {321., 326.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.45578361859375*^9, {3.455783892015625*^9, 3.455783897890625*^9}, {
   3.455783963953125*^9, 3.45578404434375*^9}, 3.455957176421875*^9, 
   3.456037314078125*^9}]
}, Closed]],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowPrevSlideText"]],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPageNext"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowNextSlideText"]]
}], "PreviousNext"]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Example: Simple transformations over functions", "Section",
 CellChangeTimes->{{3.45578628375*^9, 3.45578629884375*^9}, 
   3.456038174046875*^9}],

Cell[TextData[{
 "Apply simple transformations on functions:\nStretch, compress, mirror:",
 Cell[BoxData[
  FormBox[
   RowBox[{"  ", 
    RowBox[{"a", " ", 
     RowBox[{"f", "(", "x", ")"}]}]}], TraditionalForm]]],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"  ", 
    RowBox[{"f", "(", 
     RowBox[{"c", " ", "x"}], ")"}]}], TraditionalForm]]],
 "\nTranslate the graph by the vector ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{"p", ",", "q"}], "}"}], TraditionalForm]]],
 " : ",
 Cell[BoxData[
  FormBox[
   RowBox[{"  ", 
    RowBox[{
     RowBox[{"f", "(", 
      RowBox[{"x", "-", "p"}], ")"}], "+", "q"}]}], TraditionalForm]]],
 "\n...or find the formula for the transformed graph."
}], "Text",
 CellChangeTimes->{{3.45578635984375*^9, 3.45578642671875*^9}, {
  3.455786502609375*^9, 3.455786675796875*^9}, {3.4557868751875*^9, 
  3.455786928859375*^9}}],

Cell["Consider the translation", "Subsection",
 CellChangeTimes->{{3.45578693315625*^9, 3.45578693990625*^9}, {
  3.45578697375*^9, 3.45578697709375*^9}}],

Cell[CellGroupData[{

Cell["A simple version", "Subsection",
 CellChangeTimes->{{3.455784190859375*^9, 3.45578419459375*^9}, {
  3.4557874448125*^9, 3.455787452359375*^9}, {3.4557877158125*^9, 
  3.4557877196875*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x", "^", "2"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"x", "-", "p"}], ")"}], "^", "2"}], "+", "q"}]}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "r"}], ",", "r"}], "}"}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "r"}], ",", "r"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "r"}], ",", "r"}], "}"}]}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   "\"\<Translation of the graph of \!\(\*SuperscriptBox[\(x\), \(2\)]\) by \
the vector {p,q}\>\"", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", ",", "0"}], "}"}], ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"q", ",", "0"}], "}"}], ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", "\[IndentingNewLine]", 
   "Delimiter", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", "1", ",", "\"\<Range\>\""}], "}"}], ",", "1", ",", 
     "10"}], "}"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4058329138632064`*^9, 3.405833120450264*^9}, {
   3.405833151795336*^9, 3.405833190891554*^9}, {3.405833312195981*^9, 
   3.4058333223906403`*^9}, {3.405833358322307*^9, 3.4058333595640926`*^9}, {
   3.4058341377731023`*^9, 3.4058342530388465`*^9}, {3.405834289541334*^9, 
   3.4058343801716547`*^9}, {3.4058344427316113`*^9, 3.405834663599203*^9}, {
   3.40583469811884*^9, 3.405834740489766*^9}, {3.405834795959528*^9, 
   3.4058347972013135`*^9}, {3.40583484032332*^9, 3.405834877596917*^9}, {
   3.405834930472949*^9, 3.405834938935117*^9}, {3.4300153917237635`*^9, 
   3.4300153924848576`*^9}, {3.4300154728804607`*^9, 
   3.4300155557696495`*^9}, {3.430015591100453*^9, 3.430015654401475*^9}, {
   3.4300156954104433`*^9, 3.4300157599632654`*^9}, {3.430015797977928*^9, 
   3.430015800771946*^9}, {3.4300158419511585`*^9, 3.430015844895392*^9}, {
   3.4300158874365635`*^9, 3.4300158938257504`*^9}, {3.430015927313904*^9, 
   3.4300159345643296`*^9}, {3.4300159775160913`*^9, 
   3.4300160504509664`*^9}, {3.430016146428976*^9, 3.4300161675994177`*^9}, {
   3.430016222758733*^9, 3.4300162247716274`*^9}, {3.430016255315547*^9, 
   3.430016291257229*^9}, {3.4300163818775344`*^9, 3.4300164099979696`*^9}, {
   3.430016524522648*^9, 3.4300165482367473`*^9}, {3.430016645396456*^9, 
   3.430016668579792*^9}, {3.4300167076860237`*^9, 3.4300167272141037`*^9}, {
   3.4300167982061853`*^9, 3.4300168499606047`*^9}, {3.4300169051299343`*^9, 
   3.4300169223647165`*^9}, {3.4300172301272573`*^9, 3.4300172826027136`*^9}, 
   3.4300173304214735`*^9, {3.4300174115982*^9, 3.43001743763564*^9}, {
   3.430018775909984*^9, 3.430018779284837*^9}, {3.430019399406528*^9, 
   3.430019407347947*^9}, {3.4300645534610543`*^9, 3.430064580810381*^9}, {
   3.430064615960925*^9, 3.430064619125475*^9}, {3.4300648507585473`*^9, 
   3.430064855355157*^9}, {3.4300648854884863`*^9, 3.4300650590280237`*^9}, {
   3.45578743425*^9, 3.455787435296875*^9}, {3.45578748309375*^9, 
   3.455787516375*^9}, {3.45578773971875*^9, 3.45578781753125*^9}, {
   3.45578786440625*^9, 3.4557880419375*^9}, {3.455788216109375*^9, 
   3.455788240828125*^9}, {3.4557883609375*^9, 3.45578836246875*^9}, {
   3.456128664828125*^9, 3.456128675421875*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`p$$ = 
    0.19499999999999984`, $CellContext`q$$ = -0.835, $CellContext`r$$ = 2.91, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[
      "Translation of the graph of \!\(\*SuperscriptBox[\(x\), \(2\)]\) by \
the vector {p,q}"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`p$$], 0}, -2, 2}, {{
       Hold[$CellContext`q$$], 0}, -2, 2}, {{
       Hold[$CellContext`r$$], 1, "Range"}, 1, 10}}, Typeset`size$$ = {
    450., {222., 228.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`p$20466$$ = 
    0, $CellContext`q$20467$$ = 0, $CellContext`r$20468$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`p$$ = 0, $CellContext`q$$ = 
        0, $CellContext`r$$ = 1}, "ControllerVariables" :> {
        Hold[$CellContext`p$$, $CellContext`p$20466$$, 0], 
        Hold[$CellContext`q$$, $CellContext`q$20467$$, 0], 
        Hold[$CellContext`r$$, $CellContext`r$20468$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[{$CellContext`x^2, ($CellContext`x - $CellContext`p$$)^2 + \
$CellContext`q$$}, {$CellContext`x, -$CellContext`r$$, $CellContext`r$$}, 
        AspectRatio -> Automatic, 
        PlotRange -> {{-$CellContext`r$$, $CellContext`r$$}, \
{-$CellContext`r$$, $CellContext`r$$}}], 
      "Specifications" :> {
       "Translation of the graph of \!\(\*SuperscriptBox[\(x\), \(2\)]\) by \
the vector {p,q}", {{$CellContext`p$$, 0}, -2, 2}, {{$CellContext`q$$, 0}, -2,
          2}, Delimiter, {{$CellContext`r$$, 1, "Range"}, 1, 10}}, 
      "Options" :> {ControlPlacement -> Left}, "DefaultOptions" :> {}],
     ImageSizeCache->{836., {258., 263.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.455787517921875*^9, 3.455787742546875*^9, 3.455787874796875*^9, {
   3.4557879420625*^9, 3.45578795590625*^9}, 3.4557879896875*^9, 
   3.455788047875*^9, 3.455788248671875*^9, 3.455788363234375*^9, 
   3.45612867634375*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["A little bit better with the transformed axes", "Subsection",
 CellChangeTimes->{{3.455784190859375*^9, 3.45578419459375*^9}, {
  3.4557874448125*^9, 3.455787452359375*^9}, {3.4557877158125*^9, 
  3.4557877196875*^9}, {3.455788683859375*^9, 3.45578871090625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x", "^", "2"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"x", "-", "p"}], ")"}], "^", "2"}], "+", "q"}]}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "r"}], ",", "r"}], "}"}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "r"}], ",", "r"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "r"}], ",", "r"}], "}"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Prolog", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Opacity", "[", "0.5", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"p", ",", "q"}], "}"}]}], "}"}], "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "r"}], ",", "q"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"r", ",", "q"}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"p", ",", 
               RowBox[{"-", "r"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"p", ",", "r"}], "}"}]}], "}"}]}], "}"}], "]"}]}], 
       "}"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
   "\"\<Translation of the graph of \!\(\*SuperscriptBox[\(x\), \(2\)]\) by \
the vector {p,q}\>\"", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", ",", "0"}], "}"}], ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"q", ",", "0"}], "}"}], ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", "\[IndentingNewLine]", 
   "Delimiter", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", "1", ",", "\"\<Range\>\""}], "}"}], ",", "1", ",", 
     "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4058329138632064`*^9, 3.405833120450264*^9}, {
   3.405833151795336*^9, 3.405833190891554*^9}, {3.405833312195981*^9, 
   3.4058333223906403`*^9}, {3.405833358322307*^9, 3.4058333595640926`*^9}, {
   3.4058341377731023`*^9, 3.4058342530388465`*^9}, {3.405834289541334*^9, 
   3.4058343801716547`*^9}, {3.4058344427316113`*^9, 3.405834663599203*^9}, {
   3.40583469811884*^9, 3.405834740489766*^9}, {3.405834795959528*^9, 
   3.4058347972013135`*^9}, {3.40583484032332*^9, 3.405834877596917*^9}, {
   3.405834930472949*^9, 3.405834938935117*^9}, {3.4300153917237635`*^9, 
   3.4300153924848576`*^9}, {3.4300154728804607`*^9, 
   3.4300155557696495`*^9}, {3.430015591100453*^9, 3.430015654401475*^9}, {
   3.4300156954104433`*^9, 3.4300157599632654`*^9}, {3.430015797977928*^9, 
   3.430015800771946*^9}, {3.4300158419511585`*^9, 3.430015844895392*^9}, {
   3.4300158874365635`*^9, 3.4300158938257504`*^9}, {3.430015927313904*^9, 
   3.4300159345643296`*^9}, {3.4300159775160913`*^9, 
   3.4300160504509664`*^9}, {3.430016146428976*^9, 3.4300161675994177`*^9}, {
   3.430016222758733*^9, 3.4300162247716274`*^9}, {3.430016255315547*^9, 
   3.430016291257229*^9}, {3.4300163818775344`*^9, 3.4300164099979696`*^9}, {
   3.430016524522648*^9, 3.4300165482367473`*^9}, {3.430016645396456*^9, 
   3.430016668579792*^9}, {3.4300167076860237`*^9, 3.4300167272141037`*^9}, {
   3.4300167982061853`*^9, 3.4300168499606047`*^9}, {3.4300169051299343`*^9, 
   3.4300169223647165`*^9}, {3.4300172301272573`*^9, 3.4300172826027136`*^9}, 
   3.4300173304214735`*^9, {3.4300174115982*^9, 3.43001743763564*^9}, {
   3.430018775909984*^9, 3.430018779284837*^9}, {3.430019399406528*^9, 
   3.430019407347947*^9}, {3.4300645534610543`*^9, 3.430064580810381*^9}, {
   3.430064615960925*^9, 3.430064619125475*^9}, {3.4300648507585473`*^9, 
   3.430064855355157*^9}, {3.4300648854884863`*^9, 3.4300650590280237`*^9}, {
   3.45578743425*^9, 3.455787435296875*^9}, {3.45578748309375*^9, 
   3.455787516375*^9}, {3.45578773971875*^9, 3.45578781753125*^9}, {
   3.45578786440625*^9, 3.4557880419375*^9}, {3.455788216109375*^9, 
   3.455788240828125*^9}, {3.4557883609375*^9, 3.45578836246875*^9}, {
   3.4557887398125*^9, 3.455788740546875*^9}, {3.4557888735625*^9, 
   3.455788885875*^9}, {3.455789019078125*^9, 3.455789046828125*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`p$$ = 
    0.28500000000000014`, $CellContext`q$$ = 
    0.5350000000000001, $CellContext`r$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[
      "Translation of the graph of \!\(\*SuperscriptBox[\(x\), \(2\)]\) by \
the vector {p,q}"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`p$$], 0}, -2, 2}, {{
       Hold[$CellContext`q$$], 0}, -2, 2}, {{
       Hold[$CellContext`r$$], 1, "Range"}, 1, 10}}, Typeset`size$$ = {
    450., {217., 222.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`p$11438$$ = 
    0, $CellContext`q$11439$$ = 0, $CellContext`r$11440$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`p$$ = 0, $CellContext`q$$ = 
        0, $CellContext`r$$ = 1}, "ControllerVariables" :> {
        Hold[$CellContext`p$$, $CellContext`p$11438$$, 0], 
        Hold[$CellContext`q$$, $CellContext`q$11439$$, 0], 
        Hold[$CellContext`r$$, $CellContext`r$11440$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[{$CellContext`x^2, ($CellContext`x - $CellContext`p$$)^2 + \
$CellContext`q$$}, {$CellContext`x, -$CellContext`r$$, $CellContext`r$$}, 
        AspectRatio -> Automatic, 
        PlotRange -> {{-$CellContext`r$$, $CellContext`r$$}, \
{-$CellContext`r$$, $CellContext`r$$}}, Prolog -> {
          Opacity[0.5], 
          Arrow[{{0, 0}, {$CellContext`p$$, $CellContext`q$$}}], 
          
          Line[{{{-$CellContext`r$$, $CellContext`q$$}, {$CellContext`r$$, \
$CellContext`q$$}}, {{$CellContext`p$$, -$CellContext`r$$}, \
{$CellContext`p$$, $CellContext`r$$}}}]}], 
      "Specifications" :> {
       "Translation of the graph of \!\(\*SuperscriptBox[\(x\), \(2\)]\) by \
the vector {p,q}", {{$CellContext`p$$, 0}, -2, 2}, {{$CellContext`q$$, 0}, -2,
          2}, Delimiter, {{$CellContext`r$$, 1, "Range"}, 1, 10}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{505., {324., 329.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.455787517921875*^9, 3.455787742546875*^9, 3.455787874796875*^9, {
   3.4557879420625*^9, 3.45578795590625*^9}, 3.4557879896875*^9, 
   3.455788047875*^9, 3.455788248671875*^9, 3.455788363234375*^9, 
   3.4557887421875*^9, 3.455788888453125*^9, 3.455789048140625*^9, 
   3.45612799846875*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Use 2D slider", "Subsection",
 CellChangeTimes->{{3.455784190859375*^9, 3.45578419459375*^9}, {
  3.4557874448125*^9, 3.455787452359375*^9}, {3.4557877158125*^9, 
  3.4557877196875*^9}, {3.455788683859375*^9, 3.45578871090625*^9}, {
  3.455789092046875*^9, 3.45578910475*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SuperscriptBox["x", "2"], ",", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"x", "-", 
           RowBox[{
           "pq", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
          ")"}], "2"], "+", 
        RowBox[{
        "pq", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}]}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "r"}], ",", "r"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "r"}], ",", "r"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "r"}], ",", "r"}], "}"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Prolog", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Opacity", "[", "0.5", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", "pq"}], "}"}], "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "r"}], ",", 
               RowBox[{
               "pq", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}],
               "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"r", ",", 
               RowBox[{
               "pq", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}],
               "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{
               "pq", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
               ",", 
               RowBox[{"-", "r"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
               "pq", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
               ",", "r"}], "}"}]}], "}"}]}], "}"}], "]"}]}], "}"}]}]}], "]"}],
    ",", "\"\<Translation of the graph of \!\(\*SuperscriptBox[\(x\), \
\(2\)]\) by the vector {p,q}\>\"", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pq", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2"}], ",", 
       RowBox[{"-", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "2"}], "}"}]}], "}"}], ",", "Delimiter", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", "1", ",", "\"\<Range\>\""}], "}"}], ",", "1", ",", 
     "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4058329138632064`*^9, 3.405833120450264*^9}, {
   3.405833151795336*^9, 3.405833190891554*^9}, {3.405833312195981*^9, 
   3.4058333223906403`*^9}, {3.405833358322307*^9, 3.4058333595640926`*^9}, {
   3.4058341377731023`*^9, 3.4058342530388465`*^9}, {3.405834289541334*^9, 
   3.4058343801716547`*^9}, {3.4058344427316113`*^9, 3.405834663599203*^9}, {
   3.40583469811884*^9, 3.405834740489766*^9}, {3.405834795959528*^9, 
   3.4058347972013135`*^9}, {3.40583484032332*^9, 3.405834877596917*^9}, {
   3.405834930472949*^9, 3.405834938935117*^9}, {3.4300153917237635`*^9, 
   3.4300153924848576`*^9}, {3.4300154728804607`*^9, 
   3.4300155557696495`*^9}, {3.430015591100453*^9, 3.430015654401475*^9}, {
   3.4300156954104433`*^9, 3.4300157599632654`*^9}, {3.430015797977928*^9, 
   3.430015800771946*^9}, {3.4300158419511585`*^9, 3.430015844895392*^9}, {
   3.4300158874365635`*^9, 3.4300158938257504`*^9}, {3.430015927313904*^9, 
   3.4300159345643296`*^9}, {3.4300159775160913`*^9, 
   3.4300160504509664`*^9}, {3.430016146428976*^9, 3.4300161675994177`*^9}, {
   3.430016222758733*^9, 3.4300162247716274`*^9}, {3.430016255315547*^9, 
   3.430016291257229*^9}, {3.4300163818775344`*^9, 3.4300164099979696`*^9}, {
   3.430016524522648*^9, 3.4300165482367473`*^9}, {3.430016645396456*^9, 
   3.430016668579792*^9}, {3.4300167076860237`*^9, 3.4300167272141037`*^9}, {
   3.4300167982061853`*^9, 3.4300168499606047`*^9}, {3.4300169051299343`*^9, 
   3.4300169223647165`*^9}, {3.4300172301272573`*^9, 3.4300172826027136`*^9}, 
   3.4300173304214735`*^9, {3.4300174115982*^9, 3.43001743763564*^9}, {
   3.430018775909984*^9, 3.430018779284837*^9}, {3.430019399406528*^9, 
   3.430019407347947*^9}, {3.4300645534610543`*^9, 3.430064580810381*^9}, {
   3.430064615960925*^9, 3.430064619125475*^9}, {3.4300648507585473`*^9, 
   3.430064855355157*^9}, {3.4300648854884863`*^9, 3.4300650590280237`*^9}, {
   3.45578743425*^9, 3.455787435296875*^9}, {3.45578748309375*^9, 
   3.455787516375*^9}, {3.45578773971875*^9, 3.45578781753125*^9}, {
   3.45578786440625*^9, 3.4557880419375*^9}, {3.455788216109375*^9, 
   3.455788240828125*^9}, {3.4557883609375*^9, 3.45578836246875*^9}, {
   3.4557887398125*^9, 3.455788740546875*^9}, {3.4557888735625*^9, 
   3.455788885875*^9}, {3.455789019078125*^9, 3.455789046828125*^9}, {
   3.455789135265625*^9, 3.45578924753125*^9}, {3.45607823784375*^9, 
   3.456078240546875*^9}, {3.45607827921875*^9, 3.45607829315625*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`pq$$ = {-0.3899999999999999, 
    0.6200000000000001}, $CellContext`r$$ = 2.1799999999999997`, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[
      "Translation of the graph of \!\(\*SuperscriptBox[\(x\), \(2\)]\) by \
the vector {p,q}"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`pq$$], {0, 0}}, {-2, -2}, {2, 2}}, {{
       Hold[$CellContext`r$$], 1, "Range"}, 1, 10}}, Typeset`size$$ = {
    450., {222., 228.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`pq$11852$$ = {0, 
    0}, $CellContext`r$11853$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`pq$$ = {0, 0}, $CellContext`r$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`pq$$, $CellContext`pq$11852$$, {0, 0}], 
        Hold[$CellContext`r$$, $CellContext`r$11853$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[{$CellContext`x^2, ($CellContext`x - Part[$CellContext`pq$$, 1])^2 + 
         Part[$CellContext`pq$$, 
           2]}, {$CellContext`x, -$CellContext`r$$, $CellContext`r$$}, 
        AspectRatio -> Automatic, 
        PlotRange -> {{-$CellContext`r$$, $CellContext`r$$}, \
{-$CellContext`r$$, $CellContext`r$$}}, Prolog -> {
          Opacity[0.5], 
          Arrow[{{0, 0}, $CellContext`pq$$}], 
          Line[{{{-$CellContext`r$$, 
              Part[$CellContext`pq$$, 2]}, {$CellContext`r$$, 
              Part[$CellContext`pq$$, 2]}}, {{
              Part[$CellContext`pq$$, 1], -$CellContext`r$$}, {
              Part[$CellContext`pq$$, 1], $CellContext`r$$}}}]}], 
      "Specifications" :> {
       "Translation of the graph of \!\(\*SuperscriptBox[\(x\), \(2\)]\) by \
the vector {p,q}", {{$CellContext`pq$$, {0, 0}}, {-2, -2}, {2, 2}}, 
        Delimiter, {{$CellContext`r$$, 1, "Range"}, 1, 10}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{505., {352., 357.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.455787517921875*^9, 3.455787742546875*^9, 3.455787874796875*^9, {
   3.4557879420625*^9, 3.45578795590625*^9}, 3.4557879896875*^9, 
   3.455788047875*^9, 3.455788248671875*^9, 3.455788363234375*^9, 
   3.4557887421875*^9, 3.455788888453125*^9, 3.455789048140625*^9, 
   3.4557892494375*^9, 3.45612801309375*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Use 2D Locator and type the formula", "Subsection",
 CellChangeTimes->{{3.455784190859375*^9, 3.45578419459375*^9}, {
  3.4557874448125*^9, 3.455787452359375*^9}, {3.4557877158125*^9, 
  3.4557877196875*^9}, {3.455788683859375*^9, 3.45578871090625*^9}, {
  3.455789092046875*^9, 3.45578910475*^9}, {3.455789413671875*^9, 
  3.455789415078125*^9}, {3.45578956071875*^9, 3.455789571328125*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Column", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SuperscriptBox["x", "2"], ",", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"x", "-", 
             RowBox[{
             "pq", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
            ")"}], "2"], "+", 
          RowBox[{
          "pq", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}]}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           SuperscriptBox["x", "2"], ",", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"x", "-", 
               RowBox[{
               "pq", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}],
               ")"}], "2"], "+", 
            RowBox[{
            "pq", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}]}], 
          "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "r"}], ",", "r"}], "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "r"}], ",", "r"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "r"}], ",", "r"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"Prolog", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Opacity", "[", "0.5", "]"}], ",", 
            RowBox[{"Arrow", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0"}], "}"}], ",", "pq"}], "}"}], "]"}], 
            ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "r"}], ",", 
                   RowBox[{
                   "pq", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"r", ",", 
                   RowBox[{
                   "pq", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "}"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                   "pq", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                   RowBox[{"-", "r"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                   "pq", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", "r"}], "}"}]}], "}"}]}], 
              "}"}], "]"}]}], "}"}]}]}], "]"}]}], "}"}], ",", "Center"}], 
    "]"}], ",", "\[IndentingNewLine]", 
   "\"\<Translation of the graph of \!\(\*SuperscriptBox[\(x\), \(2\)]\) by \
the vector {p,q}\>\"", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pq", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "r"}], ",", 
       RowBox[{"-", "r"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", "r"}], "}"}], ",", "Locator"}], "}"}], ",", 
   "Delimiter", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", "1", ",", "\"\<Range\>\""}], "}"}], ",", "1", ",", 
     "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4058329138632064`*^9, 3.405833120450264*^9}, {
   3.405833151795336*^9, 3.405833190891554*^9}, {3.405833312195981*^9, 
   3.4058333223906403`*^9}, {3.405833358322307*^9, 3.4058333595640926`*^9}, {
   3.4058341377731023`*^9, 3.4058342530388465`*^9}, {3.405834289541334*^9, 
   3.4058343801716547`*^9}, {3.4058344427316113`*^9, 3.405834663599203*^9}, {
   3.40583469811884*^9, 3.405834740489766*^9}, {3.405834795959528*^9, 
   3.4058347972013135`*^9}, {3.40583484032332*^9, 3.405834877596917*^9}, {
   3.405834930472949*^9, 3.405834938935117*^9}, {3.4300153917237635`*^9, 
   3.4300153924848576`*^9}, {3.4300154728804607`*^9, 
   3.4300155557696495`*^9}, {3.430015591100453*^9, 3.430015654401475*^9}, {
   3.4300156954104433`*^9, 3.4300157599632654`*^9}, {3.430015797977928*^9, 
   3.430015800771946*^9}, {3.4300158419511585`*^9, 3.430015844895392*^9}, {
   3.4300158874365635`*^9, 3.4300158938257504`*^9}, {3.430015927313904*^9, 
   3.4300159345643296`*^9}, {3.4300159775160913`*^9, 
   3.4300160504509664`*^9}, {3.430016146428976*^9, 3.4300161675994177`*^9}, {
   3.430016222758733*^9, 3.4300162247716274`*^9}, {3.430016255315547*^9, 
   3.430016291257229*^9}, {3.4300163818775344`*^9, 3.4300164099979696`*^9}, {
   3.430016524522648*^9, 3.4300165482367473`*^9}, {3.430016645396456*^9, 
   3.430016668579792*^9}, {3.4300167076860237`*^9, 3.4300167272141037`*^9}, {
   3.4300167982061853`*^9, 3.4300168499606047`*^9}, {3.4300169051299343`*^9, 
   3.4300169223647165`*^9}, {3.4300172301272573`*^9, 3.4300172826027136`*^9}, 
   3.4300173304214735`*^9, {3.4300174115982*^9, 3.43001743763564*^9}, {
   3.430018775909984*^9, 3.430018779284837*^9}, {3.430019399406528*^9, 
   3.430019407347947*^9}, {3.4300645534610543`*^9, 3.430064580810381*^9}, {
   3.430064615960925*^9, 3.430064619125475*^9}, {3.4300648507585473`*^9, 
   3.430064855355157*^9}, {3.4300648854884863`*^9, 3.4300650590280237`*^9}, {
   3.45578743425*^9, 3.455787435296875*^9}, {3.45578748309375*^9, 
   3.455787516375*^9}, {3.45578773971875*^9, 3.45578781753125*^9}, {
   3.45578786440625*^9, 3.4557880419375*^9}, {3.455788216109375*^9, 
   3.455788240828125*^9}, {3.4557883609375*^9, 3.45578836246875*^9}, {
   3.4557887398125*^9, 3.455788740546875*^9}, {3.4557888735625*^9, 
   3.455788885875*^9}, {3.455789019078125*^9, 3.455789046828125*^9}, {
   3.455789135265625*^9, 3.45578924753125*^9}, {3.4557894244375*^9, 
   3.455789426109375*^9}, {3.455789515828125*^9, 3.455789558953125*^9}, {
   3.45578958990625*^9, 3.455789601609375*^9}, {3.45578967271875*^9, 
   3.455789697125*^9}, {3.45578972884375*^9, 3.455789762625*^9}, {
   3.456078348328125*^9, 3.45607839775*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`pq$$ = {0.5399999999999996, 
    1.81}, $CellContext`r$$ = 3.3000000000000003`, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[
      "Translation of the graph of \!\(\*SuperscriptBox[\(x\), \(2\)]\) by \
the vector {p,q}"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`pq$$], {0, 0}}, 
      Dynamic[{-$CellContext`r$$, -$CellContext`r$$}], 
      Dynamic[{$CellContext`r$$, $CellContext`r$$}]}, {{
       Hold[$CellContext`r$$], 1, "Range"}, 1, 10}}, Typeset`size$$ = {
    225., {122., 127.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`pq$12579$$ = 
    0, $CellContext`r$12580$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`pq$$ = {0, 0}, $CellContext`r$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`pq$$, $CellContext`pq$12579$$, 0], 
        Hold[$CellContext`r$$, $CellContext`r$12580$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Column[{{$CellContext`x^2, ($CellContext`x - 
            Part[$CellContext`pq$$, 1])^2 + Part[$CellContext`pq$$, 2]}, 
         Plot[{$CellContext`x^2, ($CellContext`x - 
             Part[$CellContext`pq$$, 1])^2 + 
           Part[$CellContext`pq$$, 
             2]}, {$CellContext`x, -$CellContext`r$$, $CellContext`r$$}, 
          AspectRatio -> Automatic, 
          PlotRange -> {{-$CellContext`r$$, $CellContext`r$$}, \
{-$CellContext`r$$, $CellContext`r$$}}, Prolog -> {
            Opacity[0.5], 
            Arrow[{{0, 0}, $CellContext`pq$$}], 
            Line[{{{-$CellContext`r$$, 
                Part[$CellContext`pq$$, 2]}, {$CellContext`r$$, 
                Part[$CellContext`pq$$, 2]}}, {{
                Part[$CellContext`pq$$, 1], -$CellContext`r$$}, {
                Part[$CellContext`pq$$, 1], $CellContext`r$$}}}]}]}, Center], 
      "Specifications" :> {
       "Translation of the graph of \!\(\*SuperscriptBox[\(x\), \(2\)]\) by \
the vector {p,q}", {{$CellContext`pq$$, {0, 0}}, 
         Dynamic[{-$CellContext`r$$, -$CellContext`r$$}], 
         Dynamic[{$CellContext`r$$, $CellContext`r$$}], ControlType -> 
         Locator}, Delimiter, {{$CellContext`r$$, 1, "Range"}, 1, 10}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{358., {190., 195.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.455787517921875*^9, 3.455787742546875*^9, 3.455787874796875*^9, {
   3.4557879420625*^9, 3.45578795590625*^9}, 3.4557879896875*^9, 
   3.455788047875*^9, 3.455788248671875*^9, 3.455788363234375*^9, 
   3.4557887421875*^9, 3.455788888453125*^9, 3.455789048140625*^9, 
   3.4557892494375*^9, 3.455789426984375*^9, 3.455789697921875*^9, 
   3.455789731796875*^9, 3.455789763328125*^9, 3.456128023984375*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Change the function", "Subsection",
 CellChangeTimes->{{3.455784190859375*^9, 3.45578419459375*^9}, {
  3.4557874448125*^9, 3.455787452359375*^9}, {3.4557877158125*^9, 
  3.4557877196875*^9}, {3.455788683859375*^9, 3.45578871090625*^9}, {
  3.455789092046875*^9, 3.45578910475*^9}, {3.455789413671875*^9, 
  3.455789415078125*^9}, {3.45578956071875*^9, 3.455789571328125*^9}, {
  3.45578999809375*^9, 3.455790002171875*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Column", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"expr", ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"expr", "/.", 
            RowBox[{"{", 
             RowBox[{"x", "->", 
              RowBox[{"(", 
               RowBox[{"x", "-", 
                RowBox[{"pq", "[", 
                 RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}], "}"}]}], ")"}], 
          "+", 
          RowBox[{"pq", "[", 
           RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{"Evaluate", "[", 
          RowBox[{"{", 
           RowBox[{"expr", ",", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"expr", "/.", 
               RowBox[{"{", 
                RowBox[{"x", "->", 
                 RowBox[{"(", 
                  RowBox[{"x", "-", 
                   RowBox[{"pq", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}], "}"}]}], ")"}],
              "+", 
             RowBox[{"pq", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "r"}], ",", "r"}], "}"}], ",", 
         RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "r"}], ",", "r"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "r"}], ",", "r"}], "}"}]}], "}"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"Prolog", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Opacity", "[", "0.5", "]"}], ",", 
            RowBox[{"Arrow", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0"}], "}"}], ",", "pq"}], "}"}], "]"}], 
            ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"-", "r"}], ",", 
                   RowBox[{"pq", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"r", ",", 
                   RowBox[{"pq", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"pq", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                   RowBox[{"-", "r"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"pq", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "r"}], "}"}]}], 
                "}"}]}], "}"}], "]"}]}], "}"}]}]}], "]"}]}], 
      "\[IndentingNewLine]", "}"}], ",", "Center"}], "\[IndentingNewLine]", 
    "]"}], ",", "\[IndentingNewLine]", 
   "\"\<Translation of the graph of f(x) by the vector {p,q}\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"expr", ",", 
       RowBox[{"x", "^", "2"}], ",", "\"\<f(x)\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SuperscriptBox["x", "2"], ",", 
       SuperscriptBox["x", "3"], ",", 
       RowBox[{"Sin", "[", "x", "]"}], ",", 
       RowBox[{"Cos", "[", "x", "]"}]}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pq", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "r"}], ",", 
       RowBox[{"-", "r"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", "r"}], "}"}], ",", "Locator"}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", "1", ",", "\"\<Range\>\""}], "}"}], ",", "1", ",", 
     "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4058329138632064`*^9, 3.405833120450264*^9}, {
   3.405833151795336*^9, 3.405833190891554*^9}, {3.405833312195981*^9, 
   3.4058333223906403`*^9}, {3.405833358322307*^9, 3.4058333595640926`*^9}, {
   3.4058341377731023`*^9, 3.4058342530388465`*^9}, {3.405834289541334*^9, 
   3.4058343801716547`*^9}, {3.4058344427316113`*^9, 3.405834663599203*^9}, {
   3.40583469811884*^9, 3.405834740489766*^9}, {3.405834795959528*^9, 
   3.4058347972013135`*^9}, {3.40583484032332*^9, 3.405834877596917*^9}, {
   3.405834930472949*^9, 3.405834938935117*^9}, {3.4300153917237635`*^9, 
   3.4300153924848576`*^9}, {3.4300154728804607`*^9, 
   3.4300155557696495`*^9}, {3.430015591100453*^9, 3.430015654401475*^9}, {
   3.4300156954104433`*^9, 3.4300157599632654`*^9}, {3.430015797977928*^9, 
   3.430015800771946*^9}, {3.4300158419511585`*^9, 3.430015844895392*^9}, {
   3.4300158874365635`*^9, 3.4300158938257504`*^9}, {3.430015927313904*^9, 
   3.4300159345643296`*^9}, {3.4300159775160913`*^9, 
   3.4300160504509664`*^9}, {3.430016146428976*^9, 3.4300161675994177`*^9}, {
   3.430016222758733*^9, 3.4300162247716274`*^9}, {3.430016255315547*^9, 
   3.430016291257229*^9}, {3.4300163818775344`*^9, 3.4300164099979696`*^9}, {
   3.430016524522648*^9, 3.4300165482367473`*^9}, {3.430016645396456*^9, 
   3.430016668579792*^9}, {3.4300167076860237`*^9, 3.4300167272141037`*^9}, {
   3.4300167982061853`*^9, 3.4300168499606047`*^9}, {3.4300169051299343`*^9, 
   3.4300169223647165`*^9}, {3.4300172301272573`*^9, 3.4300172826027136`*^9}, 
   3.4300173304214735`*^9, {3.4300174115982*^9, 3.43001743763564*^9}, {
   3.430018775909984*^9, 3.430018779284837*^9}, {3.430019399406528*^9, 
   3.430019407347947*^9}, {3.4300645534610543`*^9, 3.430064580810381*^9}, {
   3.430064615960925*^9, 3.430064619125475*^9}, {3.4300648507585473`*^9, 
   3.430064855355157*^9}, {3.4300648854884863`*^9, 3.4300650590280237`*^9}, {
   3.45578743425*^9, 3.455787435296875*^9}, {3.45578748309375*^9, 
   3.455787516375*^9}, {3.45578773971875*^9, 3.45578781753125*^9}, {
   3.45578786440625*^9, 3.4557880419375*^9}, {3.455788216109375*^9, 
   3.455788240828125*^9}, {3.4557883609375*^9, 3.45578836246875*^9}, {
   3.4557887398125*^9, 3.455788740546875*^9}, {3.4557888735625*^9, 
   3.455788885875*^9}, {3.455789019078125*^9, 3.455789046828125*^9}, {
   3.455789135265625*^9, 3.45578924753125*^9}, {3.4557894244375*^9, 
   3.455789426109375*^9}, {3.455789515828125*^9, 3.455789558953125*^9}, {
   3.45578958990625*^9, 3.455789601609375*^9}, {3.45578967271875*^9, 
   3.455789697125*^9}, {3.45578972884375*^9, 3.455789762625*^9}, {
   3.455790037765625*^9, 3.455790073671875*^9}, {3.455790164546875*^9, 
   3.4557901671875*^9}, 3.455790201171875*^9, {3.455790243984375*^9, 
   3.455790318328125*^9}, {3.455790412203125*^9, 3.455790418546875*^9}, {
   3.456038082484375*^9, 3.456038109265625*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`expr$$ = $CellContext`x^2, \
$CellContext`pq$$ = {0.44199999999999995`, 0.615}, $CellContext`r$$ = 1, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold["Translation of the graph of f(x) by the vector {p,q}"], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`expr$$], $CellContext`x^2, 
       "f(x)"}, {$CellContext`x^2, $CellContext`x^3, 
       Sin[$CellContext`x], 
       Cos[$CellContext`x]}}, {{
       Hold[$CellContext`pq$$], {0, 0}}, 
      Dynamic[{-$CellContext`r$$, -$CellContext`r$$}], 
      Dynamic[{$CellContext`r$$, $CellContext`r$$}]}, {{
       Hold[$CellContext`r$$], 1, "Range"}, 1, 10}}, Typeset`size$$ = {
    225., {116., 121.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`expr$15757$$ = 
    0, $CellContext`pq$15758$$ = 0, $CellContext`r$15759$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`expr$$ = $CellContext`x^2, \
$CellContext`pq$$ = {0, 0}, $CellContext`r$$ = 1}, "ControllerVariables" :> {
        Hold[$CellContext`expr$$, $CellContext`expr$15757$$, 0], 
        Hold[$CellContext`pq$$, $CellContext`pq$15758$$, 0], 
        Hold[$CellContext`r$$, $CellContext`r$15759$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Column[{{$CellContext`expr$$, 
          ReplaceAll[$CellContext`expr$$, {$CellContext`x -> $CellContext`x - 
              Part[$CellContext`pq$$, 1]}] + Part[$CellContext`pq$$, 2]}, 
         Plot[
          
          Evaluate[{$CellContext`expr$$, 
            ReplaceAll[$CellContext`expr$$, {$CellContext`x -> $CellContext`x - 
                Part[$CellContext`pq$$, 1]}] + 
            Part[$CellContext`pq$$, 
              2]}], {$CellContext`x, -$CellContext`r$$, $CellContext`r$$}, 
          AspectRatio -> Automatic, 
          PlotRange -> {{-$CellContext`r$$, $CellContext`r$$}, \
{-$CellContext`r$$, $CellContext`r$$}}, Prolog -> {
            Opacity[0.5], 
            Arrow[{{0, 0}, $CellContext`pq$$}], 
            Line[{{{-$CellContext`r$$, 
                Part[$CellContext`pq$$, 2]}, {$CellContext`r$$, 
                Part[$CellContext`pq$$, 2]}}, {{
                Part[$CellContext`pq$$, 1], -$CellContext`r$$}, {
                Part[$CellContext`pq$$, 1], $CellContext`r$$}}}]}]}, Center], 
      "Specifications" :> {
       "Translation of the graph of f(x) by the vector {p,q}", \
{{$CellContext`expr$$, $CellContext`x^2, 
          "f(x)"}, {$CellContext`x^2, $CellContext`x^3, 
          Sin[$CellContext`x], 
          Cos[$CellContext`x]}}, {{$CellContext`pq$$, {0, 0}}, 
         Dynamic[{-$CellContext`r$$, -$CellContext`r$$}], 
         Dynamic[{$CellContext`r$$, $CellContext`r$$}], ControlType -> 
         Locator}, Delimiter, {{$CellContext`r$$, 1, "Range"}, 1, 10}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{368., {200., 205.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.455790301171875*^9, 3.45579031909375*^9}, 
   3.45579041953125*^9, 3.456038110671875*^9, 3.45612805246875*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["A quite general version with InputField", "Subsection",
 CellChangeTimes->{{3.455784190859375*^9, 3.45578419459375*^9}, {
  3.4557874448125*^9, 3.455787452359375*^9}, {3.455790543953125*^9, 
  3.455790552546875*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{"{", 
       RowBox[{"expr", ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"expr", "/.", 
           RowBox[{"{", 
            RowBox[{"x", "->", 
             RowBox[{"(", 
              RowBox[{"x", "-", 
               RowBox[{"p", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}], "}"}]}], ")"}], 
         "+", 
         RowBox[{"p", "[", 
          RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "r"}], ",", "r"}], "}"}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "r"}], ",", "r"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "r"}], ",", "r"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"TraditionalForm", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"expr", "/.", 
          RowBox[{"{", 
           RowBox[{"x", "->", 
            RowBox[{"(", 
             RowBox[{"x", "-", 
              RowBox[{"p", "[", 
               RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}], "}"}]}], ")"}], "+", 
        RowBox[{"p", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Prolog", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Opacity", "[", "0.5", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", "p"}], "}"}], "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "r"}], ",", 
               RowBox[{"p", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"r", ",", 
               RowBox[{"p", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"p", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", 
               RowBox[{"-", "r"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"p", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", "r"}], "}"}]}], "}"}]}], 
          "}"}], "]"}]}], "}"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
   "\"\<f(x-p)+q: translation of the graph by the vector {p,q}\>\"", ",", 
   "\[IndentingNewLine]", "Delimiter", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"expr", ",", 
       RowBox[{"x", "^", "2"}], ",", "\"\<f(x)\>\""}], "}"}], ",", 
     "InputField"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", "1", ",", "\"\<Range\>\""}], "}"}], ",", "1", ",", 
     "10"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", "\"\<shifth vector\>\""}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "r"}], ",", 
       RowBox[{"-", "r"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", "r"}], "}"}], ",", "Slider2D"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.4058329138632064`*^9, 3.405833120450264*^9}, {
   3.405833151795336*^9, 3.405833190891554*^9}, {3.405833312195981*^9, 
   3.4058333223906403`*^9}, {3.405833358322307*^9, 3.4058333595640926`*^9}, {
   3.4058341377731023`*^9, 3.4058342530388465`*^9}, {3.405834289541334*^9, 
   3.4058343801716547`*^9}, {3.4058344427316113`*^9, 3.405834663599203*^9}, {
   3.40583469811884*^9, 3.405834740489766*^9}, {3.405834795959528*^9, 
   3.4058347972013135`*^9}, {3.40583484032332*^9, 3.405834877596917*^9}, {
   3.405834930472949*^9, 3.405834938935117*^9}, {3.4300153917237635`*^9, 
   3.4300153924848576`*^9}, {3.4300154728804607`*^9, 
   3.4300155557696495`*^9}, {3.430015591100453*^9, 3.430015654401475*^9}, {
   3.4300156954104433`*^9, 3.4300157599632654`*^9}, {3.430015797977928*^9, 
   3.430015800771946*^9}, {3.4300158419511585`*^9, 3.430015844895392*^9}, {
   3.4300158874365635`*^9, 3.4300158938257504`*^9}, {3.430015927313904*^9, 
   3.4300159345643296`*^9}, {3.4300159775160913`*^9, 
   3.4300160504509664`*^9}, {3.430016146428976*^9, 3.4300161675994177`*^9}, {
   3.430016222758733*^9, 3.4300162247716274`*^9}, {3.430016255315547*^9, 
   3.430016291257229*^9}, {3.4300163818775344`*^9, 3.4300164099979696`*^9}, {
   3.430016524522648*^9, 3.4300165482367473`*^9}, {3.430016645396456*^9, 
   3.430016668579792*^9}, {3.4300167076860237`*^9, 3.4300167272141037`*^9}, {
   3.4300167982061853`*^9, 3.4300168499606047`*^9}, {3.4300169051299343`*^9, 
   3.4300169223647165`*^9}, {3.4300172301272573`*^9, 3.4300172826027136`*^9}, 
   3.4300173304214735`*^9, {3.4300174115982*^9, 3.43001743763564*^9}, {
   3.430018775909984*^9, 3.430018779284837*^9}, {3.430019399406528*^9, 
   3.430019407347947*^9}, {3.4300645534610543`*^9, 3.430064580810381*^9}, {
   3.430064615960925*^9, 3.430064619125475*^9}, {3.4300648507585473`*^9, 
   3.430064855355157*^9}, {3.4300648854884863`*^9, 3.4300650590280237`*^9}, {
   3.45578743425*^9, 3.455787435296875*^9}, {3.45578748309375*^9, 
   3.455787516375*^9}, {3.456037800046875*^9, 3.456037809875*^9}, {
   3.456038021265625*^9, 3.4560380244375*^9}, 3.456078443046875*^9}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`expr$$ = $CellContext`x^2, $CellContext`p$$ \
= {-0.43999999999999995`, 0.74}, $CellContext`r$$ = 1., Typeset`show$$ = True,
     Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold["f(x-p)+q: translation of the graph by the vector {p,q}"], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`expr$$], $CellContext`x^2, "f(x)"}}, {{
       Hold[$CellContext`r$$], 1, "Range"}, 1, 10}, {{
       Hold[$CellContext`p$$], {0, 0}, "shifth vector"}, 
      Dynamic[{-$CellContext`r$$, -$CellContext`r$$}], 
      Dynamic[{$CellContext`r$$, $CellContext`r$$}]}}, Typeset`size$$ = {
    450., {228., 233.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`r$50779$$ = 
    0, $CellContext`p$50780$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`expr$$ = $CellContext`x^2, \
$CellContext`p$$ = {0, 0}, $CellContext`r$$ = 1}, "ControllerVariables" :> {
        Hold[$CellContext`r$$, $CellContext`r$50779$$, 0], 
        Hold[$CellContext`p$$, $CellContext`p$50780$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Plot[
        Evaluate[{$CellContext`expr$$, 
          ReplaceAll[$CellContext`expr$$, {$CellContext`x -> $CellContext`x - 
              Part[$CellContext`p$$, 1]}] + 
          Part[$CellContext`p$$, 
            2]}], {$CellContext`x, -$CellContext`r$$, $CellContext`r$$}, 
        AspectRatio -> Automatic, 
        PlotRange -> {{-$CellContext`r$$, $CellContext`r$$}, \
{-$CellContext`r$$, $CellContext`r$$}}, PlotLabel -> 
        TraditionalForm[
         ReplaceAll[$CellContext`expr$$, {$CellContext`x -> $CellContext`x - 
              Part[$CellContext`p$$, 1]}] + Part[$CellContext`p$$, 2]], 
        Prolog -> {
          Opacity[0.5], 
          Arrow[{{0, 0}, $CellContext`p$$}], 
          Line[{{{-$CellContext`r$$, 
              Part[$CellContext`p$$, 2]}, {$CellContext`r$$, 
              Part[$CellContext`p$$, 2]}}, {{
              Part[$CellContext`p$$, 1], -$CellContext`r$$}, {
              Part[$CellContext`p$$, 1], $CellContext`r$$}}}]}], 
      "Specifications" :> {
       "f(x-p)+q: translation of the graph by the vector {p,q}", 
        Delimiter, {{$CellContext`expr$$, $CellContext`x^2, "f(x)"}, 
         ControlType -> InputField}, {{$CellContext`r$$, 1, "Range"}, 1, 
         10}, {{$CellContext`p$$, {0, 0}, "shifth vector"}, 
         Dynamic[{-$CellContext`r$$, -$CellContext`r$$}], 
         Dynamic[{$CellContext`r$$, $CellContext`r$$}], ControlType -> 
         Slider2D}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{505., {374., 379.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.455787517921875*^9, 3.456037810609375*^9, 
  3.4560380259375*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["Another variation", "Subsection",
 CellChangeTimes->{{3.455784190859375*^9, 3.45578419459375*^9}, {
  3.4557874448125*^9, 3.455787452359375*^9}, {3.455787600515625*^9, 
  3.45578761415625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{"{", 
       RowBox[{"expr", ",", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"expr", "/.", 
           RowBox[{"{", 
            RowBox[{"x", "->", 
             RowBox[{"(", 
              RowBox[{"x", "-", 
               RowBox[{"p", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}], "}"}]}], ")"}], 
         "+", 
         RowBox[{"p", "[", 
          RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "r"}], ",", "r"}], "}"}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "r"}], ",", "r"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "r"}], ",", "r"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"TraditionalForm", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"expr", "/.", 
          RowBox[{"{", 
           RowBox[{"x", "->", 
            RowBox[{"(", 
             RowBox[{"x", "-", 
              RowBox[{"p", "[", 
               RowBox[{"[", "1", "]"}], "]"}]}], ")"}]}], "}"}]}], ")"}], "+", 
        RowBox[{"p", "[", 
         RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], ",", 
     RowBox[{"Prolog", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Opacity", "[", "0.5", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0"}], "}"}], ",", "p"}], "}"}], "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "r"}], ",", 
               RowBox[{"p", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"r", ",", 
               RowBox[{"p", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"p", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", 
               RowBox[{"-", "r"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"p", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", "r"}], "}"}]}], "}"}]}], 
          "}"}], "]"}]}], "}"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
   "\"\<f(x-p)+q: translation of the graph by the vector {p,q}\>\"", ",", 
   "\[IndentingNewLine]", "Delimiter", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"expr", ",", 
       RowBox[{"x", "^", "2"}], ",", "\"\<f(x)\>\""}], "}"}], ",", 
     "InputField"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", "1", ",", "\"\<Range\>\""}], "}"}], ",", "1", ",", 
     "10"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], ",", "\"\<shifth vector\>\""}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "r"}], ",", 
       RowBox[{"-", "r"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", "r"}], "}"}], ",", "Locator"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.4058329138632064`*^9, 3.405833120450264*^9}, {
   3.405833151795336*^9, 3.405833190891554*^9}, {3.405833312195981*^9, 
   3.4058333223906403`*^9}, {3.405833358322307*^9, 3.4058333595640926`*^9}, {
   3.4058341377731023`*^9, 3.4058342530388465`*^9}, {3.405834289541334*^9, 
   3.4058343801716547`*^9}, {3.4058344427316113`*^9, 3.405834663599203*^9}, {
   3.40583469811884*^9, 3.405834740489766*^9}, {3.405834795959528*^9, 
   3.4058347972013135`*^9}, {3.40583484032332*^9, 3.405834877596917*^9}, {
   3.405834930472949*^9, 3.405834938935117*^9}, {3.4300153917237635`*^9, 
   3.4300153924848576`*^9}, {3.4300154728804607`*^9, 
   3.4300155557696495`*^9}, {3.430015591100453*^9, 3.430015654401475*^9}, {
   3.4300156954104433`*^9, 3.4300157599632654`*^9}, {3.430015797977928*^9, 
   3.430015800771946*^9}, {3.4300158419511585`*^9, 3.430015844895392*^9}, {
   3.4300158874365635`*^9, 3.4300158938257504`*^9}, {3.430015927313904*^9, 
   3.4300159345643296`*^9}, {3.4300159775160913`*^9, 
   3.4300160504509664`*^9}, {3.430016146428976*^9, 3.4300161675994177`*^9}, {
   3.430016222758733*^9, 3.4300162247716274`*^9}, {3.430016255315547*^9, 
   3.430016291257229*^9}, {3.4300163818775344`*^9, 3.4300164099979696`*^9}, {
   3.430016524522648*^9, 3.4300165482367473`*^9}, {3.430016645396456*^9, 
   3.430016668579792*^9}, {3.4300167076860237`*^9, 3.4300167272141037`*^9}, {
   3.4300167982061853`*^9, 3.4300168499606047`*^9}, {3.4300169051299343`*^9, 
   3.4300169223647165`*^9}, {3.4300172301272573`*^9, 3.4300172826027136`*^9}, 
   3.4300173304214735`*^9, {3.4300174115982*^9, 3.43001743763564*^9}, {
   3.430018775909984*^9, 3.430018779284837*^9}, {3.430019399406528*^9, 
   3.430019407347947*^9}, {3.4300645534610543`*^9, 3.430064580810381*^9}, {
   3.430064615960925*^9, 3.430064619125475*^9}, {3.4300648507585473`*^9, 
   3.430064855355157*^9}, {3.4300648854884863`*^9, 3.4300650590280237`*^9}, {
   3.45578743425*^9, 3.455787435296875*^9}, {3.45578748309375*^9, 
   3.455787516375*^9}, {3.4557876186875*^9, 3.455787619953125*^9}, {
   3.456037730734375*^9, 3.456037736453125*^9}, {3.456037825375*^9, 
   3.456037830109375*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`expr$$ = $CellContext`x^2, $CellContext`p$$ \
= {-3.6900000000000004`, 4.09}, $CellContext`r$$ = 5.24, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold["f(x-p)+q: translation of the graph by the vector {p,q}"], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`expr$$], $CellContext`x^2, "f(x)"}}, {{
       Hold[$CellContext`r$$], 1, "Range"}, 1, 10}, {{
       Hold[$CellContext`p$$], {0, 0}, "shifth vector"}, 
      Dynamic[{-$CellContext`r$$, -$CellContext`r$$}], 
      Dynamic[{$CellContext`r$$, $CellContext`r$$}]}}, Typeset`size$$ = {
    450., {233., 239.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`r$37408$$ = 
    0, $CellContext`p$37409$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`expr$$ = $CellContext`x^2, \
$CellContext`p$$ = {0, 0}, $CellContext`r$$ = 1}, "ControllerVariables" :> {
        Hold[$CellContext`r$$, $CellContext`r$37408$$, 0], 
        Hold[$CellContext`p$$, $CellContext`p$37409$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Plot[
        Evaluate[{$CellContext`expr$$, 
          ReplaceAll[$CellContext`expr$$, {$CellContext`x -> $CellContext`x - 
              Part[$CellContext`p$$, 1]}] + 
          Part[$CellContext`p$$, 
            2]}], {$CellContext`x, -$CellContext`r$$, $CellContext`r$$}, 
        AspectRatio -> Automatic, 
        PlotRange -> {{-$CellContext`r$$, $CellContext`r$$}, \
{-$CellContext`r$$, $CellContext`r$$}}, PlotLabel -> 
        TraditionalForm[
         ReplaceAll[$CellContext`expr$$, {$CellContext`x -> $CellContext`x - 
              Part[$CellContext`p$$, 1]}] + Part[$CellContext`p$$, 2]], 
        Prolog -> {
          Opacity[0.5], 
          Arrow[{{0, 0}, $CellContext`p$$}], 
          Line[{{{-$CellContext`r$$, 
              Part[$CellContext`p$$, 2]}, {$CellContext`r$$, 
              Part[$CellContext`p$$, 2]}}, {{
              Part[$CellContext`p$$, 1], -$CellContext`r$$}, {
              Part[$CellContext`p$$, 1], $CellContext`r$$}}}]}], 
      "Specifications" :> {
       "f(x-p)+q: translation of the graph by the vector {p,q}", 
        Delimiter, {{$CellContext`expr$$, $CellContext`x^2, "f(x)"}, 
         ControlType -> InputField}, {{$CellContext`r$$, 1, "Range"}, 1, 
         10}, {{$CellContext`p$$, {0, 0}, "shifth vector"}, 
         Dynamic[{-$CellContext`r$$, -$CellContext`r$$}], 
         Dynamic[{$CellContext`r$$, $CellContext`r$$}], ControlType -> 
         Locator}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{513., {331., 336.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.455787517921875*^9, 3.455787621875*^9, 
  3.455790587765625*^9, 3.455790621421875*^9, 3.45603773715625*^9, 
  3.456037830578125*^9}]
}, Open  ]]
}, Closed]],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowPrevSlideText"]],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPageNext"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowNextSlideText"]]
}], "Subsection",
 TextAlignment->Right]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell["Now, develop something together", "Subtitle",
 CellChangeTimes->{{3.455772994921875*^9, 3.4557729988125*^9}, {
   3.45577335928125*^9, 3.455773368078125*^9}, 3.455879207*^9, {
   3.45603833809375*^9, 3.45603836671875*^9}, {3.456038420640625*^9, 
   3.456038448*^9}, 3.45603854653125*^9}],

Cell[CellGroupData[{

Cell["Choose a topic:", "MainSection",
 CellChangeTimes->{{3.455772994921875*^9, 3.4557729988125*^9}, {
   3.45577335928125*^9, 3.455773368078125*^9}, 3.455879207*^9, {
   3.45603833809375*^9, 3.45603836671875*^9}, {3.456038420640625*^9, 
   3.456038448*^9}, {3.45603854653125*^9, 3.456038556796875*^9}, {
   3.45612850178125*^9, 3.45612850740625*^9}}],

Cell["Elementary transformations", "Subsection",
 CellChangeTimes->{{3.455772994921875*^9, 3.4557729988125*^9}, {
   3.45577335928125*^9, 3.455773368078125*^9}, 3.455879207*^9, {
   3.45603833809375*^9, 3.45603836671875*^9}, {3.456038420640625*^9, 
   3.456038448*^9}}],

Cell["Definition or properties of functions", "Subsection",
 CellChangeTimes->{{3.456038454015625*^9, 3.4560384686875*^9}}],

Cell["Oscillations, superposition of oscillations", "Subsection",
 CellChangeTimes->{{3.45603847503125*^9, 3.456038492828125*^9}}],

Cell["Derivative", "Subsection",
 CellChangeTimes->{{3.456038504484375*^9, 3.456038506859375*^9}}],

Cell["Partial derivatives", "Subsection",
 CellChangeTimes->{{3.45603851725*^9, 3.456038522609375*^9}, {
  3.45603858115625*^9, 3.456038582328125*^9}}],

Cell["Anything of common interest", "Subsection",
 CellChangeTimes->{{3.45603858671875*^9, 3.456038599734375*^9}}],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowPrevSlideText"]],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPageNext"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowNextSlideText"]]
}], "Subsection",
 TextAlignment->Right]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Before doing anything :", "MainSection",
 CellChangeTimes->{{3.45612852609375*^9, 3.45612853815625*^9}}],

Cell[CellGroupData[{

Cell["Question: Decide what you want", "Section",
 CellChangeTimes->{{3.455773009109375*^9, 3.4557731291875*^9}, {
   3.455773166625*^9, 3.455773355640625*^9}, 3.455813914359375*^9, {
   3.455878449109375*^9, 3.455878456125*^9}, {3.455878882203125*^9, 
   3.455878884109375*^9}}],

Cell["Teaching material", "Subsection",
 CellChangeTimes->{{3.4558784905625*^9, 3.45587849478125*^9}}],

Cell["Research  material", "Subsection",
 CellChangeTimes->{{3.4558784905625*^9, 3.45587849478125*^9}, {
  3.4558785284375*^9, 3.455878534515625*^9}, {3.455879174984375*^9, 
  3.455879190421875*^9}}],

Cell["Programming exercise", "Subsection",
 CellChangeTimes->{{3.4558784905625*^9, 3.45587849478125*^9}, {
  3.4558785284375*^9, 3.455878534515625*^9}, {3.455879174984375*^9, 
  3.455879190421875*^9}}],

Cell[CellGroupData[{

Cell["Something for fun", "Subsection",
 CellChangeTimes->{{3.4558784905625*^9, 3.45587849478125*^9}, {
  3.455878543265625*^9, 3.4558785470625*^9}}],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowPrevSlideText"]],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPageNext"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowNextSlideText"]]
}], "PreviousNext"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Question: What is the target group?", "Section",
 CellChangeTimes->{{3.455773009109375*^9, 3.4557731291875*^9}, {
   3.455773166625*^9, 3.455773355640625*^9}, 3.455813914359375*^9, {
   3.455878449109375*^9, 3.455878456125*^9}, {3.455878882203125*^9, 
   3.455878884109375*^9}, {3.4558789329375*^9, 3.455878942125*^9}}],

Cell["Yourself", "Subsection",
 CellChangeTimes->{{3.4558784905625*^9, 3.45587849478125*^9}, {
  3.455878954609375*^9, 3.4558789566875*^9}}],

Cell["Researchers", "Subsection",
 CellChangeTimes->{{3.4558784905625*^9, 3.45587849478125*^9}, {
  3.4558785284375*^9, 3.455878534515625*^9}, {3.455878965953125*^9, 
  3.45587896915625*^9}}],

Cell["Teachers", "Subsection",
 CellChangeTimes->{{3.4558784905625*^9, 3.45587849478125*^9}, {
  3.455878543265625*^9, 3.4558785470625*^9}, {3.455878977390625*^9, 
  3.455878997859375*^9}}],

Cell["Students", "Subsection",
 CellChangeTimes->{{3.4558784905625*^9, 3.45587849478125*^9}, {
  3.455878543265625*^9, 3.4558785470625*^9}, {3.455878977390625*^9, 
  3.455879000921875*^9}}],

Cell[CellGroupData[{

Cell["Anybody", "Subsection",
 CellChangeTimes->{{3.4558784905625*^9, 3.45587849478125*^9}, {
  3.455878543265625*^9, 3.4558785470625*^9}, {3.455878977390625*^9, 
  3.455879000921875*^9}}],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowPrevSlideText"]],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPageNext"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowNextSlideText"]]
}], "PreviousNext"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["More questions:", "Section",
 CellChangeTimes->{{3.455773374515625*^9, 3.455773392140625*^9}, {
   3.45577342865625*^9, 3.455773480625*^9}, {3.455773547984375*^9, 
   3.455773585375*^9}, {3.455774135265625*^9, 3.45577413853125*^9}, 
   3.455813962359375*^9, {3.455878722765625*^9, 3.45587872459375*^9}, {
   3.455879090703125*^9, 3.45587910075*^9}}],

Cell["What is the target professional group (Math, Biology....)?", \
"Subsection",
 CellChangeTimes->{{3.455773374515625*^9, 3.455773392140625*^9}, {
   3.45577342865625*^9, 3.455773480625*^9}, {3.455773547984375*^9, 
   3.455773585375*^9}, {3.455774135265625*^9, 3.45577413853125*^9}, 
   3.455813962359375*^9, {3.45587870684375*^9, 3.455878717203125*^9}, {
   3.455878750265625*^9, 3.455878754875*^9}, {3.45587908528125*^9, 
   3.455879124015625*^9}}],

Cell[CellGroupData[{

Cell["\<\
Are the users assumed to have knowledge in typesetting, topics, examples \
considered?\
\>", "Subsection",
 CellChangeTimes->{{3.455773374515625*^9, 3.455773392140625*^9}, {
   3.45577342865625*^9, 3.455773480625*^9}, {3.455773547984375*^9, 
   3.455773585375*^9}, {3.455774135265625*^9, 3.45577413853125*^9}, 
   3.455813962359375*^9, {3.45587870684375*^9, 3.455878717203125*^9}, {
   3.455878750265625*^9, 3.455878754875*^9}, 3.45587908528125*^9, {
   3.456080882765625*^9, 3.456080906375*^9}}],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowPrevSlideText"]],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPageNext"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowNextSlideText"]]
}], "PreviousNext"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Purpose 1: Type of material", "Section",
 CellChangeTimes->{{3.4558784905625*^9, 3.45587849478125*^9}, {
  3.45587880934375*^9, 3.455878872484375*^9}}],

Cell["preliminary illustrations", "Subsection",
 CellChangeTimes->{{3.455773009109375*^9, 3.4557731291875*^9}, {
   3.455773166625*^9, 3.455773355640625*^9}, {3.455813914359375*^9, 
   3.455813939265625*^9}, 3.45587903409375*^9}],

Cell["illustrations for the understanding-learning phase", "Subsection",
 CellChangeTimes->{{3.455773009109375*^9, 3.4557731291875*^9}, {
  3.455773166625*^9, 3.455773355640625*^9}, {3.455813914359375*^9, 
  3.455813939265625*^9}, {3.45587903409375*^9, 3.455879036203125*^9}}],

Cell[CellGroupData[{

Cell["explorations to have deeper knowledge", "Subsection",
 CellChangeTimes->{{3.455773009109375*^9, 3.4557731291875*^9}, {
  3.455773166625*^9, 3.455773355640625*^9}, {3.455813914359375*^9, 
  3.455813939265625*^9}, {3.45587903409375*^9, 3.455879036203125*^9}}],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowPrevSlideText"]],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPageNext"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowNextSlideText"]]
}], "PreviousNext"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Purpose 2: Way of usage", "Section",
 CellChangeTimes->{{3.455773009109375*^9, 3.4557731291875*^9}, {
  3.455773166625*^9, 3.455773355640625*^9}, {3.455813914359375*^9, 
  3.455813935140625*^9}, {3.45587860621875*^9, 3.455878610125*^9}, {
  3.45587882203125*^9, 3.455878827109375*^9}}],

Cell["classroom illustrations", "Subsection",
 CellChangeTimes->{{3.455773009109375*^9, 3.4557731291875*^9}, {
   3.455773166625*^9, 3.455773355640625*^9}, {3.455813914359375*^9, 
   3.45581393034375*^9}, 3.455879048265625*^9}],

Cell["individual directed study", "Subsection",
 CellChangeTimes->{{3.455773009109375*^9, 3.4557731291875*^9}, {
  3.455773166625*^9, 3.455773355640625*^9}, {3.455813914359375*^9, 
  3.45581393034375*^9}, {3.455879048265625*^9, 3.455879051078125*^9}}],

Cell[CellGroupData[{

Cell["individual explorations", "Subsection",
 CellChangeTimes->{{3.455773009109375*^9, 3.4557731291875*^9}, {
  3.455773166625*^9, 3.455773355640625*^9}, {3.455813914359375*^9, 
  3.45581393034375*^9}, {3.455879048265625*^9, 3.455879051078125*^9}}],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowPrevSlideText"]],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPageNext"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowNextSlideText"]]
}], "PreviousNext"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Some Principles", "Section",
 CellChangeTimes->{{3.45577292890625*^9, 3.455772949140625*^9}, {
  3.456025245078125*^9, 3.456025245875*^9}}],

Cell["Do not forget the target professional group!", "Subsection",
 CellChangeTimes->{{3.455773603359375*^9, 3.455773809359375*^9}, {
  3.455773866609375*^9, 3.455773927265625*^9}, {3.4557739716875*^9, 
  3.455774029625*^9}, {3.4557741535*^9, 3.455774167453125*^9}, {
  3.455783218828125*^9, 3.45578328221875*^9}, {3.455879228546875*^9, 
  3.455879242984375*^9}, {3.456080414484375*^9, 3.456080420828125*^9}}],

Cell[CellGroupData[{

Cell["\<\
Pay attention to the levels of users:  \
\>", "Subsection",
 CellChangeTimes->{{3.456079017234375*^9, 3.456079021875*^9}, {
  3.456079191890625*^9, 3.45607920396875*^9}, {3.456079438359375*^9, 
  3.456079606140625*^9}, {3.45607970503125*^9, 3.456079720625*^9}, {
  3.456079834*^9, 3.456079878453125*^9}, {3.45607991675*^9, 
  3.456079919109375*^9}, {3.456079965125*^9, 3.456080013296875*^9}, {
  3.4560800821875*^9, 3.456080197390625*^9}, {3.456080229390625*^9, 
  3.4560802426875*^9}}],

Cell["\<\
Student's level: What is the main point, what parameters and how should be \
modified, what are the data, what is the conjecture..... \
\>", "I-Text",
 CellChangeTimes->{{3.456079017234375*^9, 3.456079021875*^9}, {
  3.456079191890625*^9, 3.45607920396875*^9}, {3.456079438359375*^9, 
  3.456079606140625*^9}, {3.45607970503125*^9, 3.456079720625*^9}, {
  3.456079834*^9, 3.456079878453125*^9}, {3.45607991675*^9, 
  3.456079919109375*^9}, {3.456079965125*^9, 3.456080013296875*^9}, {
  3.4560800821875*^9, 3.456080197390625*^9}, {3.456080229390625*^9, 
  3.45608024475*^9}}],

Cell["\<\
Teacher's (instructor's) level: deeper mathematical and didactic relations, \
possibilities for explorations, hidden features...\
\>", "I-Text",
 CellChangeTimes->{{3.456079017234375*^9, 3.456079021875*^9}, {
  3.456079191890625*^9, 3.45607920396875*^9}, {3.456079438359375*^9, 
  3.456079606140625*^9}, {3.45607970503125*^9, 3.456079720625*^9}, {
  3.456079834*^9, 3.456079878453125*^9}, {3.45607991675*^9, 
  3.456079919109375*^9}, {3.456079965125*^9, 3.456080013296875*^9}, {
  3.4560800821875*^9, 3.456080197390625*^9}, {3.456080229390625*^9, 
  3.45608024640625*^9}}],

Cell["\<\
Developer's level: nice, well-designed program to help work of other \
developers.\
\>", "I-Text",
 CellChangeTimes->{{3.456079017234375*^9, 3.456079021875*^9}, {
  3.456079191890625*^9, 3.45607920396875*^9}, {3.456079438359375*^9, 
  3.456079606140625*^9}, {3.45607970503125*^9, 3.456079720625*^9}, {
  3.456079834*^9, 3.456079878453125*^9}, {3.45607991675*^9, 
  3.456079919109375*^9}, {3.456079965125*^9, 3.456080013296875*^9}, {
  3.4560800821875*^9, 3.456080197390625*^9}, {3.456080229390625*^9, 
  3.45608024640625*^9}}]
}, Open  ]],

Cell["Remember the general principles for choosing the best media", \
"Subsection",
 CellChangeTimes->{{3.455773603359375*^9, 3.455773809359375*^9}, {
   3.455773866609375*^9, 3.455773927265625*^9}, {3.4557739716875*^9, 
   3.455774029625*^9}, {3.4557741535*^9, 3.455774167453125*^9}, {
   3.455783218828125*^9, 3.45578328221875*^9}, 3.455879228546875*^9}],

Cell["Find the most expressive examples", "Subsection",
 CellChangeTimes->{{3.455773603359375*^9, 3.455773809359375*^9}, {
  3.455773866609375*^9, 3.455773927265625*^9}, {3.4557739716875*^9, 
  3.455774029625*^9}, {3.4557741535*^9, 3.455774167453125*^9}, {
  3.455783218828125*^9, 3.45578328221875*^9}, {3.455879228546875*^9, 
  3.455879230359375*^9}}],

Cell[CellGroupData[{

Cell["Design the application according to the main point?", "Subsection",
 CellChangeTimes->{{3.455773603359375*^9, 3.455773809359375*^9}, {
  3.455773866609375*^9, 3.455773927265625*^9}, {3.4557739716875*^9, 
  3.455774029625*^9}, {3.4557741535*^9, 3.455774167453125*^9}, {
  3.455783218828125*^9, 3.45578328221875*^9}, {3.455879228546875*^9, 
  3.455879232921875*^9}, {3.45607908096875*^9, 3.45607908728125*^9}}],

Cell["Design the scene and the \"story\"", "I-Text",
 CellChangeTimes->{{3.455773603359375*^9, 3.455773809359375*^9}, {
   3.455773866609375*^9, 3.455773927265625*^9}, {3.4557739716875*^9, 
   3.455774029625*^9}, {3.4557741535*^9, 3.455774167453125*^9}, {
   3.455783218828125*^9, 3.45578328221875*^9}, {3.455879228546875*^9, 
   3.45587923521875*^9}, 3.456081041421875*^9}],

Cell["\<\
Fit the best interface, controllers to the problem and the target group\
\>", "I-Text",
 CellChangeTimes->{{3.455773603359375*^9, 3.455773809359375*^9}, {
   3.455773866609375*^9, 3.455773927265625*^9}, {3.4557739716875*^9, 
   3.455774029625*^9}, {3.4557741535*^9, 3.455774167453125*^9}, {
   3.455783218828125*^9, 3.45578328221875*^9}, {3.455879228546875*^9, 
   3.45587923734375*^9}, 3.45608104290625*^9}]
}, Open  ]],

Cell["Give enough information, hints", "Subsection",
 CellChangeTimes->{{3.455773603359375*^9, 3.455773809359375*^9}, {
  3.455773866609375*^9, 3.455773927265625*^9}, {3.4557739716875*^9, 
  3.455774029625*^9}, {3.4557741535*^9, 3.455774167453125*^9}, {
  3.455783218828125*^9, 3.45578328221875*^9}, {3.455879228546875*^9, 
  3.455879238546875*^9}}],

Cell[CellGroupData[{

Cell["Give instructions for interactive study", "Subsection",
 CellChangeTimes->{{3.455773603359375*^9, 3.455773809359375*^9}, {
  3.455773866609375*^9, 3.455773927265625*^9}, {3.4557739716875*^9, 
  3.455774029625*^9}, {3.4557741535*^9, 3.455774167453125*^9}, {
  3.455783218828125*^9, 3.45578328221875*^9}, {3.455879228546875*^9, 
  3.455879242984375*^9}}],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowPrevSlideText"]],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPageNext"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowNextSlideText"]]
}], "PreviousNext"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell["\<\
Technical tools : Some typical controllers and configurations\
\>", "Subtitle",
 CellChangeTimes->{{3.4558149253125*^9, 3.455814967671875*^9}, {
  3.45581786475*^9, 3.4558178723125*^9}, {3.4560386709375*^9, 
  3.45603870359375*^9}}],

Cell[CellGroupData[{

Cell["Control objects", "Section",
 CellChangeTimes->{{3.455853434859375*^9, 3.455853439484375*^9}, {
  3.455879298703125*^9, 3.45587930096875*^9}}],

Cell[CellGroupData[{

Cell["\<\
1D continuous change: Manipulator, Slider, VerticalSlider,Trigger\
\>", "Subsection",
 CellChangeTimes->{{3.455815024375*^9, 3.45581503575*^9}, {
  3.455815229890625*^9, 3.4558152391875*^9}, {3.4558158926875*^9, 
  3.45581589934375*^9}, {3.455816034203125*^9, 3.455816050125*^9}, {
  3.455879620515625*^9, 3.455879622421875*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{"x", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "1", ",", "Manipulator", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.455815046484375*^9, 3.45581512846875*^9}, {
  3.455815164109375*^9, 3.45581517459375*^9}, {3.455815219328125*^9, 
  3.4558152216875*^9}, {3.455815260296875*^9, 3.455815260484375*^9}, {
  3.455815650296875*^9, 3.455815661234375*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`x$$ = 0., Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`x$$], 0, 1}}, Typeset`size$$ = {16., {0., 9.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`x$264729$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`x$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`x$$, $CellContext`x$264729$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> $CellContext`x$$, 
      "Specifications" :> {{$CellContext`x$$, 0, 1, ControlType -> 
         Manipulator, Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{389., {59., 64.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.455815066125*^9, 3.45581517515625*^9}, 
   3.45581522240625*^9, 3.455815261046875*^9, 3.45581566265625*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{"x", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "1", ",", "Slider", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.455815046484375*^9, 3.45581512846875*^9}, {
  3.455815164109375*^9, 3.45581517459375*^9}, {3.455815219328125*^9, 
  3.4558152216875*^9}, {3.455815260296875*^9, 3.455815260484375*^9}, {
  3.455815650296875*^9, 3.455815687*^9}, {3.455815914421875*^9, 
  3.455815926203125*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`x$$ = 0., Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`x$$], 0, 1}}, Typeset`size$$ = {16., {0., 9.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`x$264967$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`x$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`x$$, $CellContext`x$264967$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> $CellContext`x$$, 
      "Specifications" :> {{$CellContext`x$$, 0, 1, ControlType -> Slider, 
         Appearance -> "Labeled"}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{385., {58., 63.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.455815687984375*^9, {3.455815916546875*^9, 3.455815927140625*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{"x", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", "0"}], "}"}], ",", "0", ",", "1", ",", "Slider", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Vertical\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.455815046484375*^9, 3.45581512846875*^9}, {
  3.455815164109375*^9, 3.45581517459375*^9}, {3.455815219328125*^9, 
  3.4558152216875*^9}, {3.455815260296875*^9, 3.455815260484375*^9}, {
  3.455815650296875*^9, 3.455815687*^9}, {3.455815914421875*^9, 
  3.455815951421875*^9}, {3.45612822840625*^9, 3.45612825521875*^9}, {
  3.456128288984375*^9, 3.456128337125*^9}, {3.45612841096875*^9, 
  3.45612846015625*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`x$$ = 1., Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`x$$], 0}, 0, 1}}, Typeset`size$$ = {16., {0., 9.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`x$20051$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`x$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`x$$, $CellContext`x$20051$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> $CellContext`x$$, 
      "Specifications" :> {{{$CellContext`x$$, 0}, 0, 1, ControlType -> 
         Slider, Appearance -> "Vertical"}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{73., {171., 176.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.4561283191875*^9, 3.456128338640625*^9}, {
  3.4561284120625*^9, 3.45612846046875*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[" Animation", "Subsection",
 CellChangeTimes->{{3.455879784640625*^9, 3.45587978890625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{"x", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "1", ",", "Manipulator", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.455815046484375*^9, 3.45581512846875*^9}, {
  3.455815164109375*^9, 3.45581517459375*^9}, {3.455815219328125*^9, 
  3.4558152216875*^9}, {3.455815260296875*^9, 3.455815260484375*^9}, {
  3.455815650296875*^9, 3.455815661234375*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`x$$ = 0., Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`x$$], 0, 1}}, Typeset`size$$ = {16., {0., 9.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`x$264729$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`x$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`x$$, $CellContext`x$264729$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> $CellContext`x$$, 
      "Specifications" :> {{$CellContext`x$$, 0, 1, ControlType -> 
         Manipulator, Appearance -> "Labeled"}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{389., {59., 64.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.455815066125*^9, 3.45581517515625*^9}, 
   3.45581522240625*^9, 3.455815261046875*^9, 3.45581566265625*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{"x", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "1", ",", "Trigger"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.455879634265625*^9, 3.455879645625*^9}, {
  3.455879802203125*^9, 3.455879817171875*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`x$$ = 1., Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`x$$], 0, 1, 0.2}}, Typeset`size$$ = {16., {0., 9.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`x$9668$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`x$$ = 0}, 
      "ControllerVariables" :> {
        Hold[$CellContext`x$$, $CellContext`x$9668$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> $CellContext`x$$, 
      "Specifications" :> {{$CellContext`x$$, 0, 1, 0.2, ControlType -> 
         Trigger}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{131., {58., 63.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.455879638609375*^9, 3.455879656203125*^9}, {
  3.455879805640625*^9, 3.455879807484375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Sin", "[", 
      RowBox[{"c", " ", "x"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", "1", ",", "2", ",", "Trigger"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.455879634265625*^9, 3.455879645625*^9}, {
  3.4558796953125*^9, 3.4558797369375*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`c$$ = 1.4125, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`c$$], 1, 2}}, Typeset`size$$ = {450., {139., 145.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`c$8398$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`c$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`c$$, $CellContext`c$8398$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Plot[
        Sin[$CellContext`c$$ $CellContext`x], {$CellContext`x, -Pi, Pi}], 
      "Specifications" :> {{$CellContext`c$$, 1, 2, ControlType -> Trigger}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{505., {191., 196.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.455879738703125*^9, 3.455879757015625*^9}, {
  3.4561281978125*^9, 3.456128202421875*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Sin", "[", 
      RowBox[{"c", " ", "x"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", "1", ",", "2", ",", "Animator"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.455879634265625*^9, 3.455879645625*^9}, {
  3.4558796953125*^9, 3.4558797369375*^9}, {3.455879931109375*^9, 
  3.455879933140625*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`c$$ = 1.45, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`c$$], 1, 2}}, Typeset`size$$ = {450., {139., 145.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`c$9901$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`c$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`c$$, $CellContext`c$9901$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Plot[
        Sin[$CellContext`c$$ $CellContext`x], {$CellContext`x, -Pi, Pi}], 
      "Specifications" :> {{$CellContext`c$$, 1, 2, ControlType -> Animator}},
       "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{505., {191., 196.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.455879738703125*^9, 3.455879757015625*^9}, {
   3.455879934765625*^9, 3.4558799574375*^9}, 3.456128133140625*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["1D discrete changes", "Subsection",
 CellChangeTimes->{{3.455815024375*^9, 3.45581503575*^9}, {
  3.455815229890625*^9, 3.4558152391875*^9}, {3.4558158926875*^9, 
  3.45581589934375*^9}, {3.455816034203125*^9, 3.45581607346875*^9}, {
  3.455879871703125*^9, 3.455879873484375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{"x", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "Opener"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.455816154*^9, 3.45581615515625*^9}, {3.4558164063125*^9,
   3.4558164255625*^9}, {3.4558165065*^9, 3.455816515796875*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`x$$ = True, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`x$$], {True, False}}}, Typeset`size$$ = {
    32., {0., 8.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`x$265182$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`x$$ = True}, 
      "ControllerVariables" :> {
        Hold[$CellContext`x$$, $CellContext`x$265182$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> $CellContext`x$$, 
      "Specifications" :> {{$CellContext`x$$, {True, False}, ControlType -> 
         Opener}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{87., {54., 59.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.45581615575*^9, 3.455816426390625*^9, {3.45581649871875*^9, 
   3.45581651675*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{"x", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "Checkbox"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.455816154*^9, 3.45581615515625*^9}, {
  3.455816196578125*^9, 3.455816204578125*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`x$$ = True, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`x$$], {True, False}}}, Typeset`size$$ = {
    32., {0., 8.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`x$265057$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`x$$ = True}, 
      "ControllerVariables" :> {
        Hold[$CellContext`x$$, $CellContext`x$265057$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> $CellContext`x$$, 
      "Specifications" :> {{$CellContext`x$$, {True, False}, ControlType -> 
         Checkbox}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{87., {55., 60.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.455816206*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{"x", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], ",", "Checkbox"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.455816154*^9, 3.45581615515625*^9}, {
  3.455816196578125*^9, 3.455816204578125*^9}, {3.45581636084375*^9, 
  3.455816365296875*^9}, {3.455816986078125*^9, 3.455817008265625*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`x$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`x$$], {1, 2}}}, Typeset`size$$ = {8., {0., 9.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`x$265622$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`x$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`x$$, $CellContext`x$265622$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> $CellContext`x$$, 
      "Specifications" :> {{$CellContext`x$$, {1, 2}, ControlType -> 
         Checkbox}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{66., {55., 60.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.455816366515625*^9, {3.455816987640625*^9, 3.455817000234375*^9}, 
   3.45581751928125*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{"z", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"z", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}], ",", 
     "CheckboxBar"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.455816154*^9, 3.45581615515625*^9}, {
  3.455816196578125*^9, 3.455816204578125*^9}, {3.45581636084375*^9, 
  3.455816365296875*^9}, {3.455816986078125*^9, 3.45581702334375*^9}, {
  3.45581715625*^9, 3.455817166546875*^9}, {3.455817202984375*^9, 
  3.455817206328125*^9}, {3.455817579421875*^9, 3.455817627921875*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`z$$ = {2}, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`z$$], {1, 2}}, {1, 2, 3, 4}}}, Typeset`size$$ = {
    24., {3., 9.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`z$265733$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`z$$ = {1, 2}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`z$$, $CellContext`z$265733$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> $CellContext`z$$, 
      "Specifications" :> {{{$CellContext`z$$, {1, 2}}, {1, 2, 3, 4}, 
         ControlType -> CheckboxBar}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{199., {55., 60.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.45581716746875*^9, 3.455817210734375*^9, 3.455817334671875*^9, {
   3.4558175820625*^9, 3.455817628890625*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{"x", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "RadioButton"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.455816154*^9, 3.45581615515625*^9}, {
  3.455816196578125*^9, 3.455816204578125*^9}, {3.45581636084375*^9, 
  3.455816365296875*^9}, {3.455816560109375*^9, 3.455816610453125*^9}, {
  3.455816921390625*^9, 3.455816921921875*^9}, {3.45581757315625*^9, 
  3.455817576*^9}, {3.455817665296875*^9, 3.455817669984375*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`x$$ = False, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`x$$], {True, False, Automatic}}}, Typeset`size$$ = {
    40., {0., 9.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`x$265754$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`x$$ = True}, 
      "ControllerVariables" :> {
        Hold[$CellContext`x$$, $CellContext`x$265754$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> $CellContext`x$$, 
      "Specifications" :> {{$CellContext`x$$, {True, False, Automatic}, 
         ControlType -> RadioButton}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{265., {55., 60.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.455817670859375*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{"x", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}], ",", 
     "RadioButtonBar"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.455816154*^9, 3.45581615515625*^9}, {
  3.455816196578125*^9, 3.455816204578125*^9}, {3.45581636084375*^9, 
  3.455816365296875*^9}, {3.455816560109375*^9, 3.455816610453125*^9}, {
  3.455816921390625*^9, 3.455816921921875*^9}, {3.45581757315625*^9, 
  3.455817576*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`x$$ = 2, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`x$$], {1, 2, 3, 4}}}, Typeset`size$$ = {8., {0., 9.}},
     Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`x$265388$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`x$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`x$$, $CellContext`x$265388$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> $CellContext`x$$, 
      "Specifications" :> {{$CellContext`x$$, {1, 2, 3, 4}, ControlType -> 
         RadioButtonBar}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{200., {55., 60.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.45581657040625*^9, 3.45581661103125*^9}, 
   3.455816922578125*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{"x", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}], ",", "SetterBar"}], 
    "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.455816154*^9, 3.45581615515625*^9}, {
  3.455816196578125*^9, 3.455816204578125*^9}, {3.45581636084375*^9, 
  3.455816365296875*^9}, {3.455816560109375*^9, 3.455816610453125*^9}, {
  3.4558166424375*^9, 3.45581664353125*^9}, {3.455816823328125*^9, 
  3.45581682790625*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`x$$ = 4, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`x$$], {1, 2, 3, 4}}}, Typeset`size$$ = {8., {0., 9.}},
     Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`x$265354$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`x$$ = 1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`x$$, $CellContext`x$265354$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> $CellContext`x$$, 
      "Specifications" :> {{$CellContext`x$$, {1, 2, 3, 4}, ControlType -> 
         SetterBar}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{121., {60., 65.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.455816644109375*^9, 3.45581682871875*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{"x", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"{", "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "}"}], ",", "TogglerBar"}],
     "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.455816154*^9, 3.45581615515625*^9}, {
  3.455816196578125*^9, 3.455816204578125*^9}, {3.45581636084375*^9, 
  3.455816365296875*^9}, {3.455816560109375*^9, 3.455816610453125*^9}, {
  3.4558166424375*^9, 3.45581664353125*^9}, {3.455816823328125*^9, 
  3.45581682790625*^9}, {3.455879481640625*^9, 3.45587952034375*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`x$$ = {}, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`x$$], {}}, {1, 2, 3, 4}}}, Typeset`size$$ = {
    16., {3., 9.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`x$8255$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`x$$ = {}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`x$$, $CellContext`x$8255$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> $CellContext`x$$, 
      "Specifications" :> {{{$CellContext`x$$, {}}, {1, 2, 3, 4}, ControlType -> 
         TogglerBar}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{121., {60., 65.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.455816644109375*^9, 3.45581682871875*^9, {3.455879484078125*^9, 
   3.455879491828125*^9}, 3.45587952203125*^9}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["2D  controllers", "Subsection",
 CellChangeTimes->{{3.455815024375*^9, 3.45581503575*^9}, {
  3.455815229890625*^9, 3.4558152391875*^9}, {3.4558158926875*^9, 
  3.45581589934375*^9}, {3.455816034203125*^9, 3.45581607346875*^9}, {
  3.455818021125*^9, 3.4558180279375*^9}, {3.4558798749375*^9, 
  3.455879875140625*^9}}],

Cell["Slider2D", "Subsubsection",
 CellChangeTimes->{{3.455850765*^9, 3.45585076740625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{"p", ",", 
   RowBox[{"{", 
    RowBox[{"p", ",", "Slider2D"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.455818036359375*^9, 3.45581805090625*^9}, {
  3.455818136671875*^9, 3.45581818553125*^9}, {3.455818250859375*^9, 
  3.45581825109375*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`p$$ = {0.202, 0.745}, Typeset`show$$ = True,
     Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`p$$], {0, 0}, {1, 1}}}, Typeset`size$$ = {
    109., {3., 9.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`p$266229$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`p$$ = {0, 0}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`p$$, $CellContext`p$266229$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> $CellContext`p$$, 
      "Specifications" :> {{$CellContext`p$$, {0, 0}, {1, 1}, ControlType -> 
         Slider2D}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{164., {96., 101.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.455818052109375*^9, {3.45581815575*^9, 3.455818186625*^9}, 
   3.4558182516875*^9}]
}, Open  ]],

Cell["Locator", "Subsubsection",
 CellChangeTimes->{{3.45585078575*^9, 3.455850787203125*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Column", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", ",", "\[IndentingNewLine]", 
       RowBox[{"Graphics", "[", 
        RowBox[{
         RowBox[{"Point", "[", "p", "]"}], ",", 
         RowBox[{"Frame", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}]}], "]"}]}], 
      "\[IndentingNewLine]", "}"}], ",", "Center"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"p", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], ",", 
     RowBox[{"ControlType", "->", "Locator"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.455818036359375*^9, 3.45581805090625*^9}, {
  3.455818136671875*^9, 3.45581818553125*^9}, {3.455818250859375*^9, 
  3.455818266234375*^9}, {3.455818307609375*^9, 3.45581843146875*^9}, {
  3.455818689125*^9, 3.455818722640625*^9}, {3.455850964984375*^9, 
  3.45585097078125*^9}, {3.455851016859375*^9, 3.455851018828125*^9}, {
  3.45585104965625*^9, 3.455851050515625*^9}, {3.45585112325*^9, 
  3.455851182546875*^9}, {3.455851247703125*^9, 3.45585127559375*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`p$$ = {0.17200000000000001`, 0.428}, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[$CellContext`p$$], {0, 0}, {1, 1}}}, Typeset`size$$ = {
    225., {114., 119.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`p$4555$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`p$$ = {0, 0}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`p$$, $CellContext`p$4555$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{$CellContext`p$$, 
         Graphics[
          Point[$CellContext`p$$], Frame -> True, 
          PlotRange -> {{0, 1}, {0, 1}}]}, Center], 
      "Specifications" :> {{$CellContext`p$$, {0, 0}, {1, 1}, ControlType -> 
         Locator}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{288., {154., 159.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.455818267015625*^9, {3.45581831978125*^9, 3.455818371875*^9}, {
   3.455818406*^9, 3.45581843221875*^9}, {3.455818707890625*^9, 
   3.45581872325*^9}, 3.45585097196875*^9, 3.4558510198125*^9, 
   3.455851051359375*^9, {3.45585113534375*^9, 3.45585118446875*^9}, {
   3.455851253375*^9, 3.455851276609375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Column", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"MatrixForm", "[", "p", "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Graphics", "[", 
        RowBox[{
         RowBox[{"Point", "[", "p", "]"}], ",", 
         RowBox[{"Frame", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}]}], "]"}]}], 
      "\[IndentingNewLine]", "}"}], ",", "Center"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", ",", 
       RowBox[{"{", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], ",", "Locator", ",", 
     RowBox[{"LocatorAutoCreate", "\[Rule]", "True"}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.455818036359375*^9, 3.45581805090625*^9}, {
  3.455818136671875*^9, 3.45581818553125*^9}, {3.455818250859375*^9, 
  3.455818266234375*^9}, {3.455818307609375*^9, 3.45581843146875*^9}, {
  3.455818500484375*^9, 3.455818541375*^9}, {3.4558185845*^9, 
  3.455818603546875*^9}, {3.455818742578125*^9, 3.4558187906875*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`p$$ = {{0.374, 0.764}, {0.08, 0.514}}, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`p$$], {{0, 0}}}, {0, 0}, {1, 1}}}, Typeset`size$$ = {
    225., {123.5, 128.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`p$266843$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`p$$ = {{0, 0}}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`p$$, $CellContext`p$266843$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         MatrixForm[$CellContext`p$$], 
         Graphics[
          Point[$CellContext`p$$], Frame -> True, 
          PlotRange -> {{0, 1}, {0, 1}}]}, Center], 
      "Specifications" :> {{{$CellContext`p$$, {{0, 0}}}, {0, 0}, {1, 1}, 
         ControlType -> Locator, LocatorAutoCreate -> True}}, "Options" :> {},
       "DefaultOptions" :> {}],
     ImageSizeCache->{288., {164., 169.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.455818510328125*^9, 3.455818604390625*^9, 3.45581874353125*^9, {
   3.455818775359375*^9, 3.455818791234375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Column", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"MatrixForm", "[", "p", "]"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Graphics", "[", 
        RowBox[{
         RowBox[{"Point", "[", "p", "]"}], ",", 
         RowBox[{"Frame", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}]}], "]"}]}], 
      "\[IndentingNewLine]", "}"}], ",", "Center"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", ",", 
       RowBox[{"{", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0"}], "}"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], ",", "Locator", ",", 
     RowBox[{"LocatorAutoCreate", "\[Rule]", "True"}]}], "}"}], ",", 
   RowBox[{"Button", "[", 
    RowBox[{"\"\<Reset\>\"", ",", 
     RowBox[{"p", "=", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}], "}"}]}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.455818036359375*^9, 3.45581805090625*^9}, {
  3.455818136671875*^9, 3.45581818553125*^9}, {3.455818250859375*^9, 
  3.455818266234375*^9}, {3.455818307609375*^9, 3.45581843146875*^9}, {
  3.455818500484375*^9, 3.455818541375*^9}, {3.4558185845*^9, 
  3.455818603546875*^9}, {3.455818742578125*^9, 3.4558187906875*^9}, {
  3.455850646890625*^9, 3.455850695921875*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`p$$ = {{0, 0}}, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`p$$], {{0, 0}}}, {0, 0}, {1, 1}}, {
      Hold[
       Button["Reset", $CellContext`p$$ = {{0, 0}}]], 
      Manipulate`Dump`ThisIsNotAControl}}, Typeset`size$$ = {
    225., {114.5, 119.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`p$3570$$ = {0, 0}}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`p$$ = {{0, 0}}}, 
      "ControllerVariables" :> {
        Hold[$CellContext`p$$, $CellContext`p$3570$$, {0, 0}]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         MatrixForm[$CellContext`p$$], 
         Graphics[
          Point[$CellContext`p$$], Frame -> True, 
          PlotRange -> {{0, 1}, {0, 1}}]}, Center], 
      "Specifications" :> {{{$CellContext`p$$, {{0, 0}}}, {0, 0}, {1, 1}, 
         ControlType -> Locator, LocatorAutoCreate -> True}, 
        Button["Reset", $CellContext`p$$ = {{0, 0}}]}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{288., {173., 178.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.455850697015625*^9}]
}, Open  ]],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowPrevSlideText"]],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPageNext"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowNextSlideText"]]
}], "PreviousNext"]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Some other controllers", "Section",
 CellChangeTimes->{{3.45585336334375*^9, 3.45585337821875*^9}}],

Cell[CellGroupData[{

Cell["Giving expressions: InputField, PopupMenu", "Subsection",
 CellChangeTimes->{{3.455853400625*^9, 3.455853405796875*^9}, {
  3.455878012078125*^9, 3.455878038734375*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{"expr", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"expr", ",", 
       RowBox[{"x", "^", "2"}]}], "}"}], ",", "InputField"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.45585347053125*^9, 3.4558535133125*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`expr$$ = $CellContext`x^3, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`expr$$], $CellContext`x^2}}}, Typeset`size$$ = {
    20., {0., 17.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`expr$$ = $CellContext`x^2},
       "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> $CellContext`expr$$, 
      "Specifications" :> {{{$CellContext`expr$$, $CellContext`x^2}, 
         ControlType -> InputField}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{512., {75., 82.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{"expr", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"expr", ",", 
       RowBox[{"x", "^", "2"}]}], "}"}], ",", "InputField"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.45585347053125*^9, 3.4558535133125*^9}, {
  3.45585356090625*^9, 3.455853591578125*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`expr$$ = $CellContext`x^2, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`expr$$], $CellContext`x^2}}}, Typeset`size$$ = {
    540., {169., 179.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {$CellContext`expr$$ = $CellContext`x^2},
       "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[$CellContext`expr$$, {$CellContext`x, -1, 1}], 
      "Specifications" :> {{{$CellContext`expr$$, $CellContext`x^2}, 
         ControlType -> InputField}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{604., {235., 242.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.45585358*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Problem : expressions containing parameter", "Subsection",
 CellChangeTimes->{{3.455878090109375*^9, 3.455878108265625*^9}}],

Cell["Wrong versions", "Subsubsection",
 CellChangeTimes->{{3.45587812409375*^9, 3.455878127125*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{"expr", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "c"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"expr", ",", 
       RowBox[{"c", " ", 
        RowBox[{"x", "^", "2"}]}]}], "}"}], ",", "InputField"}], "}"}], ",", 
   " ", 
   RowBox[{"{", 
    RowBox[{"c", ",", "1", ",", "4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.45585347053125*^9, 3.4558535133125*^9}, {
  3.45585356090625*^9, 3.455853609109375*^9}, {3.455853666703125*^9, 
  3.45585366959375*^9}, {3.455853705859375*^9, 3.455853721734375*^9}, {
  3.455853765875*^9, 3.455853775296875*^9}, {3.4558538470625*^9, 
  3.455853866734375*^9}, {3.4558710444375*^9, 3.455871096625*^9}, {
  3.455871130515625*^9, 3.45587116646875*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`c$$ = 1., $CellContext`expr$$ = 
    1. $CellContext`x^2, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`expr$$], 1. $CellContext`x^2}}, {
      Hold[$CellContext`c$$], 1, 4}}, Typeset`size$$ = {540., {179., 189.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`c$3919$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`c$$ = 1, $CellContext`expr$$ = 
        1. $CellContext`x^2}, "ControllerVariables" :> {
        Hold[$CellContext`c$$, $CellContext`c$3919$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[$CellContext`expr$$, {$CellContext`x, -1, 1}, 
        PlotLabel -> $CellContext`c$$], 
      "Specifications" :> {{{$CellContext`expr$$, 1. $CellContext`x^2}, 
         ControlType -> InputField}, {$CellContext`c$$, 1, 4}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{604., {266., 273.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.45587105753125*^9, 3.45587117584375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Dynamic", "[", 
    RowBox[{"Plot", "[", 
     RowBox[{"expr", ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
      RowBox[{"PlotLabel", "\[Rule]", "c"}]}], "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"expr", ",", 
       RowBox[{"c", " ", 
        RowBox[{"x", "^", "2"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Sin", "[", 
        RowBox[{"c", " ", "x"}], "]"}], ",", 
       RowBox[{"Cos", "[", 
        RowBox[{"c", " ", "x"}], "]"}], ",", 
       RowBox[{"c", " ", 
        RowBox[{"x", "^", "2"}]}]}], "}"}], ",", "PopupMenu"}], "}"}], ",", 
   " ", 
   RowBox[{"{", 
    RowBox[{"c", ",", "1", ",", "4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.45585347053125*^9, 3.4558535133125*^9}, {
  3.45585356090625*^9, 3.455853609109375*^9}, {3.455853666703125*^9, 
  3.45585366959375*^9}, {3.455853705859375*^9, 3.455853721734375*^9}, {
  3.455853765875*^9, 3.455853775296875*^9}, {3.4558538470625*^9, 
  3.455853866734375*^9}, {3.4558539253125*^9, 3.455853948703125*^9}, {
  3.4558539894375*^9, 3.4558540159375*^9}, {3.455878052375*^9, 
  3.455878063375*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`c$$ = 1., $CellContext`expr$$ = 
    Cos[$CellContext`x], Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`expr$$], $CellContext`c$$ $CellContext`x^2}, 
      Dynamic[{
        Sin[$CellContext`c$$ $CellContext`x], 
        Cos[$CellContext`c$$ $CellContext`x], $CellContext`c$$ \
$CellContext`x^2}]}, {
      Hold[$CellContext`c$$], 1, 4}}, Typeset`size$$ = {540., {172., 182.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`c$5188$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`c$$ = 
        1, $CellContext`expr$$ = $CellContext`c$$ $CellContext`x^2}, 
      "ControllerVariables" :> {
        Hold[$CellContext`c$$, $CellContext`c$5188$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Dynamic[
        Plot[$CellContext`expr$$, {$CellContext`x, -1, 1}, 
         PlotLabel -> $CellContext`c$$]], 
      "Specifications" :> {{{$CellContext`expr$$, $CellContext`c$$ \
$CellContext`x^2}, 
         Dynamic[{
           Sin[$CellContext`c$$ $CellContext`x], 
           
           Cos[$CellContext`c$$ $CellContext`x], $CellContext`c$$ \
$CellContext`x^2}], ControlType -> PopupMenu}, {$CellContext`c$$, 1, 4}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{604., {256., 263.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.455853950671875*^9, {3.45585401025*^9, 3.455854016796875*^9}, 
   3.455878064421875*^9}]
}, Open  ]],

Cell["Good versions", "Subsubsection",
 CellChangeTimes->{{3.45587812409375*^9, 3.455878146375*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Manipulate", "[", 
    RowBox[{
     RowBox[{"Dynamic", "[", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"expr", "/.", 
         RowBox[{"c", "\[Rule]", "cc"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", 
          RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
        RowBox[{"PlotLabel", "\[Rule]", "c"}]}], "]"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"cc", ",", "1", ",", "\"\<c\>\""}], "}"}], ",", "1", ",", 
       "4"}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"expr", ",", 
       RowBox[{"c", " ", 
        RowBox[{"x", "^", "2"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Sin", "[", 
        RowBox[{"c", " ", "x"}], "]"}], ",", 
       RowBox[{"Cos", "[", 
        RowBox[{"c", " ", "x"}], "]"}], ",", 
       RowBox[{"c", " ", 
        RowBox[{"x", "^", "2"}]}]}], "}"}], ",", "PopupMenu"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.45585347053125*^9, 3.4558535133125*^9}, {
  3.45585356090625*^9, 3.455853609109375*^9}, {3.455853666703125*^9, 
  3.45585366959375*^9}, {3.455853705859375*^9, 3.455853721734375*^9}, {
  3.455853765875*^9, 3.455853775296875*^9}, {3.4558538470625*^9, 
  3.455853866734375*^9}, {3.4558539253125*^9, 3.455853948703125*^9}, {
  3.4558539894375*^9, 3.4558540159375*^9}, {3.45585408646875*^9, 
  3.455854090328125*^9}, {3.455854127125*^9, 3.455854244953125*^9}, {
  3.45587816009375*^9, 3.45587816259375*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`expr$$ = Sin[$CellContext`c $CellContext`x],
     Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`expr$$], $CellContext`c $CellContext`x^2}, {
       Sin[$CellContext`c $CellContext`x], 
       Cos[$CellContext`c $CellContext`x], $CellContext`c $CellContext`x^2}}},
     Typeset`size$$ = {604., {234., 241.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`expr$5326$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`expr$$ = $CellContext`c $CellContext`x^2}, 
      "ControllerVariables" :> {
        Hold[$CellContext`expr$$, $CellContext`expr$5326$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Manipulate[
        Dynamic[
         Plot[
          
          ReplaceAll[$CellContext`expr$$, $CellContext`c -> $CellContext`cc], \
{$CellContext`x, -1, 1}, PlotLabel -> $CellContext`c]], {{$CellContext`cc, 1, 
          "c"}, 1, 4}], 
      "Specifications" :> {{{$CellContext`expr$$, $CellContext`c \
$CellContext`x^2}, {
          Sin[$CellContext`c $CellContext`x], 
          
          Cos[$CellContext`c $CellContext`x], $CellContext`c \
$CellContext`x^2}, ControlType -> PopupMenu}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{668., {298., 305.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.45585419390625*^9, 3.45585424753125*^9, {3.4558713823125*^9, 
   3.45587142825*^9}, {3.455871571984375*^9, 3.455871598*^9}, 
   3.455877905125*^9, 3.4558781643125*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Manipulate", "[", 
    RowBox[{
     RowBox[{"Dynamic", "[", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"expr", "/.", 
         RowBox[{"c", "\[Rule]", "cc"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", 
          RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
        RowBox[{"PlotLabel", "\[Rule]", "c"}]}], "]"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"cc", ",", "1", ",", "\"\<c\>\""}], "}"}], ",", "1", ",", 
       "4"}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"expr", ",", 
       RowBox[{"c", " ", 
        RowBox[{"x", "^", "2"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Sin", "[", 
        RowBox[{"c", " ", "x"}], "]"}], ",", 
       RowBox[{"Cos", "[", 
        RowBox[{"c", " ", "x"}], "]"}], ",", 
       RowBox[{"c", " ", 
        RowBox[{"x", "^", "2"}]}]}], "}"}], ",", "SetterBar"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.45585347053125*^9, 3.4558535133125*^9}, {
  3.45585356090625*^9, 3.455853609109375*^9}, {3.455853666703125*^9, 
  3.45585366959375*^9}, {3.455853705859375*^9, 3.455853721734375*^9}, {
  3.455853765875*^9, 3.455853775296875*^9}, {3.4558538470625*^9, 
  3.455853866734375*^9}, {3.4558539253125*^9, 3.455853948703125*^9}, {
  3.4558539894375*^9, 3.4558540159375*^9}, {3.45585408646875*^9, 
  3.455854090328125*^9}, {3.455854127125*^9, 3.455854244953125*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`expr$$ = $CellContext`c $CellContext`x^2, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`expr$$], $CellContext`c $CellContext`x^2}, {
       Sin[$CellContext`c $CellContext`x], 
       Cos[$CellContext`c $CellContext`x], $CellContext`c $CellContext`x^2}}},
     Typeset`size$$ = {604., {242., 249.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`expr$5844$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`expr$$ = $CellContext`c $CellContext`x^2}, 
      "ControllerVariables" :> {
        Hold[$CellContext`expr$$, $CellContext`expr$5844$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Manipulate[
        Dynamic[
         Plot[
          
          ReplaceAll[$CellContext`expr$$, $CellContext`c -> $CellContext`cc], \
{$CellContext`x, -1, 1}, PlotLabel -> $CellContext`c]], {{$CellContext`cc, 1, 
          "c"}, 1, 4}], 
      "Specifications" :> {{{$CellContext`expr$$, $CellContext`c \
$CellContext`x^2}, {
          Sin[$CellContext`c $CellContext`x], 
          
          Cos[$CellContext`c $CellContext`x], $CellContext`c \
$CellContext`x^2}, ControlType -> SetterBar}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{668., {305., 312.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.45587834390625*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Manipulate", "[", 
    RowBox[{
     RowBox[{"Dynamic", "[", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"expr", "/.", 
         RowBox[{"c", "\[Rule]", "cc"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", 
          RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
        RowBox[{"PlotLabel", "\[Rule]", "c"}]}], "]"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"cc", ",", "1", ",", "\"\<c\>\""}], "}"}], ",", "1", ",", 
       "4"}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"expr", ",", 
       RowBox[{"c", " ", 
        RowBox[{"x", "^", "2"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Sin", "[", 
        RowBox[{"c", " ", "x"}], "]"}], ",", 
       RowBox[{"Cos", "[", 
        RowBox[{"c", " ", "x"}], "]"}], ",", 
       RowBox[{"c", " ", 
        RowBox[{"x", "^", "2"}]}]}], "}"}], ",", "InputField"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.45585347053125*^9, 3.4558535133125*^9}, {
  3.45585356090625*^9, 3.455853609109375*^9}, {3.455853666703125*^9, 
  3.45585366959375*^9}, {3.455853705859375*^9, 3.455853721734375*^9}, {
  3.455853765875*^9, 3.455853775296875*^9}, {3.4558538470625*^9, 
  3.455853866734375*^9}, {3.4558539253125*^9, 3.455853948703125*^9}, {
  3.4558539894375*^9, 3.4558540159375*^9}, {3.45585408646875*^9, 
  3.455854090328125*^9}, {3.455854127125*^9, 3.455854244953125*^9}, {
  3.455878356203125*^9, 3.455878359359375*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`expr$$ = Tan[$CellContext`c $CellContext`x],
     Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`expr$$], 
       Tan[$CellContext`c $CellContext`x]}, {
       Sin[$CellContext`c $CellContext`x], 
       Cos[$CellContext`c $CellContext`x], $CellContext`c $CellContext`x^2}}},
     Typeset`size$$ = {604., {234., 241.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`expr$6561$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`expr$$ = 
        Tan[$CellContext`c $CellContext`x]}, "ControllerVariables" :> {
        Hold[$CellContext`expr$$, $CellContext`expr$6561$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Manipulate[
        Dynamic[
         Plot[
          
          ReplaceAll[$CellContext`expr$$, $CellContext`c -> $CellContext`cc], \
{$CellContext`x, -1, 1}, PlotLabel -> $CellContext`c]], {{$CellContext`cc, 1, 
          "c"}, 1, 4}], "Specifications" :> {{{$CellContext`expr$$, 
          Tan[$CellContext`c $CellContext`x]}, {
          Sin[$CellContext`c $CellContext`x], 
          
          Cos[$CellContext`c $CellContext`x], $CellContext`c \
$CellContext`x^2}, ControlType -> InputField}}, "Options" :> {}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{668., {301., 308.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{3.45587837878125*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["ColorSetter", "Subsection",
 CellChangeTimes->{{3.455880045203125*^9, 3.45588004765625*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{"expr", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", "colorset", "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"expr", ",", 
       RowBox[{"x", "^", "2"}]}], "}"}], ",", "InputField"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"colorset", ",", "Blue"}], "}"}], ",", "ColorSetter"}], "}"}]}],
   "]"}]], "Input",
 CellChangeTimes->{{3.45585347053125*^9, 3.4558535133125*^9}, {
  3.45585356090625*^9, 3.455853591578125*^9}, {3.455880081484375*^9, 
  3.455880148078125*^9}, {3.455880198875*^9, 3.45588021403125*^9}, {
  3.455880263765625*^9, 3.45588027403125*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`colorset$$ = RGBColor[
    0., 1., 0.], $CellContext`expr$$ = $CellContext`x^2, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`expr$$], $CellContext`x^2}}, {{
       Hold[$CellContext`colorset$$], 
       RGBColor[0, 0, 1]}, 
      GrayLevel[0.5]}}, Typeset`size$$ = {540., {169., 179.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`colorset$$ = 
        RGBColor[0, 0, 1], $CellContext`expr$$ = $CellContext`x^2}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[$CellContext`expr$$, {$CellContext`x, -1, 1}, 
        PlotStyle -> {$CellContext`colorset$$}], 
      "Specifications" :> {{{$CellContext`expr$$, $CellContext`x^2}, 
         ControlType -> InputField}, {{$CellContext`colorset$$, 
          RGBColor[0, 0, 1]}, Gray, ControlType -> ColorSetter}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{604., {264., 271.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.45588011396875*^9, 3.45588014909375*^9, {3.4558802039375*^9, 
   3.455880226265625*^9}, 3.455880275609375*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["ColorSlider", "Subsection",
 CellChangeTimes->{{3.455880045203125*^9, 3.45588004765625*^9}, {
  3.4558811031875*^9, 3.45588110421875*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{"expr", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", "colorset", "}"}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"expr", ",", 
       RowBox[{"x", "^", "2"}]}], "}"}], ",", "InputField"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"colorset", ",", "Blue"}], "}"}], ",", "ColorSlider"}], "}"}]}],
   "]"}]], "Input",
 CellChangeTimes->{{3.45585347053125*^9, 3.4558535133125*^9}, {
   3.45585356090625*^9, 3.455853591578125*^9}, {3.455880081484375*^9, 
   3.455880148078125*^9}, {3.455880198875*^9, 3.45588021403125*^9}, {
   3.455880263765625*^9, 3.45588027403125*^9}, 3.45588112159375*^9}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`colorset$$ = RGBColor[
    0.9473563744563973, 0.5253528648813611, 0.], $CellContext`expr$$ = 
    Sin[$CellContext`x], Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`expr$$], $CellContext`x^2}}, {{
       Hold[$CellContext`colorset$$], 
       RGBColor[0, 0, 1]}, 
      GrayLevel[0.5]}}, Typeset`size$$ = {540., {161., 171.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`colorset$$ = 
        RGBColor[0, 0, 1], $CellContext`expr$$ = $CellContext`x^2}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      Plot[$CellContext`expr$$, {$CellContext`x, -1, 1}, 
        PlotStyle -> {$CellContext`colorset$$}], 
      "Specifications" :> {{{$CellContext`expr$$, $CellContext`x^2}, 
         ControlType -> InputField}, {{$CellContext`colorset$$, 
          RGBColor[0, 0, 1]}, Gray, ControlType -> ColorSlider}}, 
      "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{604., {256., 263.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Input"],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowPrevSlideText"]],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPageNext"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowNextSlideText"]]
}], "PreviousNext"]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell["Some special options of Manipulate", "Section",
 CellChangeTimes->{{3.4558513755625*^9, 3.455851395203125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SaveDefinitions", "\[Rule]", 
   RowBox[{"True", " ", 
    RowBox[{"(", "False", ")"}]}]}], " "}], "\[IndentingNewLine]", 
 RowBox[{"Initialization", "\[RuleDelayed]", 
  RowBox[{"(", ")"}]}], "\[IndentingNewLine]", 
 RowBox[{"TrackedsSymbols", "\[Rule]", 
  RowBox[{"{", "symbols", "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"ContinuousAction", "\[Rule]", 
  RowBox[{"True", " ", 
   RowBox[{"(", "False", ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Deployed", "\[Rule]", 
   RowBox[{"True", " ", 
    RowBox[{"(", "False", ")"}]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.455871606953125*^9, 3.45587168246875*^9}, {
   3.455871811421875*^9, 3.4558718575*^9}, {3.455877918*^9, 
   3.455877934125*^9}, {3.45587798475*^9, 3.4558779894375*^9}, 
   3.455879371625*^9, 3.455881250578125*^9}],

Cell[TextData[{
 ButtonBox["\[FilledLeftTriangle]\[ThickSpace]\[ThickSpace]\[ThickSpace]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPagePrevious"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowPrevSlideText"]],
 "\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]",
 ButtonBox["\[ThickSpace]\[ThickSpace]\[ThickSpace]\[FilledRightTriangle]",
  BaseStyle->"SlidePreviousNextLink",
  Appearance->{Automatic, None},
  ButtonFunction:>FrontEndExecute[{
     FrontEndToken[
      FrontEnd`ButtonNotebook[], "ScrollPageNext"]}],
  ButtonNote->FEPrivate`FrontEndResource[
   "FEStrings", "SlideshowNextSlideText"]]
}], "PreviousNext"]
}, Open  ]]
}, Open  ]]
},
ScreenStyleEnvironment->"SlideShow",
WindowToolbars->"EditBar",
WindowSize->{1054, 979},
WindowMargins->{{35, Automatic}, {Automatic, 0}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.25, 1.25 Inherited],
TooltipBoxOptions->{TooltipDelay->Automatic},
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"SZTE-style.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "SlideShowHeader"->{
  Cell[567, 22, 64, 1, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[2399, 77, 64, 1, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[9007, 255, 64, 1, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[14175, 393, 64, 1, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[18675, 512, 64, 1, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[23943, 657, 64, 1, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[25003, 687, 64, 1, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[44243, 1153, 64, 1, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[111264, 2668, 64, 1, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[113758, 2733, 64, 1, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[115803, 2794, 64, 1, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[117996, 2856, 64, 1, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[120272, 2915, 64, 1, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[122162, 2966, 64, 1, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[124145, 3019, 64, 1, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[130579, 3166, 64, 1, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[177434, 4306, 64, 1, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[206537, 5042, 64, 1, 4, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"SlideShowHeader", 208954, 5109}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 64, 1, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[634, 25, 157, 3, 145, "Title"],
Cell[794, 30, 212, 5, 32, "Text"],
Cell[1009, 37, 569, 15, 115, "Text"],
Cell[1581, 54, 781, 18, 53, "PreviousNext"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2399, 77, 64, 1, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[2466, 80, 138, 1, 92, "Subtitle"],
Cell[CellGroupData[{
Cell[2629, 85, 95, 1, 53, "Section"],
Cell[2727, 88, 5447, 141, 255, "Text"],
Cell[8177, 231, 781, 18, 53, "PreviousNext"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[9007, 255, 64, 1, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[9096, 260, 152, 2, 53, "Section"],
Cell[9251, 264, 4091, 103, 252, "Text"],
Cell[13345, 369, 781, 18, 53, "PreviousNext"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[14175, 393, 64, 1, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[14264, 398, 304, 4, 53, "Section"],
Cell[14571, 404, 3271, 82, 180, "Text"],
Cell[17845, 488, 781, 18, 53, "PreviousNext"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[18675, 512, 64, 1, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[18764, 517, 117, 1, 53, "Section"],
Cell[18884, 520, 4226, 111, 252, "Text"],
Cell[23113, 633, 781, 18, 53, "PreviousNext"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[23943, 657, 64, 1, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[24010, 660, 172, 2, 92, "Subtitle"],
Cell[24185, 664, 781, 18, 53, "PreviousNext"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25003, 687, 64, 1, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[25092, 692, 277, 4, 53, "Section"],
Cell[25372, 698, 417, 12, 224, "Text"],
Cell[CellGroupData[{
Cell[25814, 714, 103, 1, 49, "Subsection"],
Cell[CellGroupData[{
Cell[25942, 719, 977, 22, 23, "Input"],
Cell[26922, 743, 1619, 33, 1720, "Output"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[28590, 782, 212, 3, 49, "Subsection"],
Cell[CellGroupData[{
Cell[28827, 789, 1397, 29, 26, "Input"],
Cell[30227, 820, 1976, 40, 850, "Output"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[32252, 866, 159, 2, 49, "Subsection"],
Cell[CellGroupData[{
Cell[32436, 872, 1584, 36, 51, "Input"],
Cell[34023, 910, 2027, 41, 24140, "Output"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[36099, 957, 196, 3, 49, "Subsection"],
Cell[CellGroupData[{
Cell[36320, 964, 1316, 29, 44, "Input"],
Cell[37639, 995, 1871, 37, 817, "Output"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[39559, 1038, 267, 4, 49, "Subsection"],
Cell[CellGroupData[{
Cell[39851, 1046, 1577, 37, 49, "Input"],
Cell[41431, 1085, 1955, 40, 817, "Output"]
}, Closed]],
Cell[43401, 1128, 781, 18, 28, "PreviousNext"]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[44243, 1153, 64, 1, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[44332, 1158, 152, 2, 53, "Section"],
Cell[44487, 1162, 877, 29, 115, "Text"],
Cell[45367, 1193, 154, 2, 49, "Subsection"],
Cell[CellGroupData[{
Cell[45546, 1199, 195, 3, 49, "Subsection"],
Cell[CellGroupData[{
Cell[45766, 1206, 3720, 76, 113, "Input"],
Cell[49489, 1284, 2737, 53, 528, "Output"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[52275, 1343, 269, 3, 49, "Subsection"],
Cell[CellGroupData[{
Cell[52569, 1350, 4733, 105, 166, "Input"],
Cell[57305, 1457, 3090, 61, 825, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[60444, 1524, 282, 4, 49, "Subsection"],
Cell[CellGroupData[{
Cell[60751, 1532, 5412, 122, 146, "Input"],
Cell[66166, 1656, 3074, 60, 895, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[69289, 1722, 398, 5, 49, "Subsection"],
Cell[CellGroupData[{
Cell[69712, 1731, 6493, 145, 203, "Input"],
Cell[76208, 1878, 3532, 68, 490, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[79789, 1952, 430, 6, 49, "Subsection"],
Cell[CellGroupData[{
Cell[80244, 1962, 7199, 162, 343, "Input"],
Cell[87446, 2126, 3824, 74, 515, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[91319, 2206, 222, 3, 49, "Subsection"],
Cell[CellGroupData[{
Cell[91566, 2213, 5753, 137, 180, "Input"],
Cell[97322, 2352, 3485, 67, 950, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[100856, 2425, 199, 3, 49, "Subsection"],
Cell[CellGroupData[{
Cell[101080, 2432, 5751, 137, 180, "Input"],
Cell[106834, 2571, 3552, 68, 842, "Output"]
}, Open  ]]
}, Closed]],
Cell[110413, 2643, 802, 19, 49, "Subsection"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[111264, 2668, 64, 1, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[111331, 2671, 293, 4, 92, "Subtitle"],
Cell[CellGroupData[{
Cell[111649, 2679, 352, 5, 53, "MainSection"],
Cell[112004, 2686, 269, 4, 49, "Subsection"],
Cell[112276, 2692, 123, 1, 49, "Subsection"],
Cell[112402, 2695, 130, 1, 49, "Subsection"],
Cell[112535, 2698, 98, 1, 49, "Subsection"],
Cell[112636, 2701, 151, 2, 49, "Subsection"],
Cell[112790, 2705, 114, 1, 49, "Subsection"],
Cell[112907, 2708, 802, 19, 49, "Subsection"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[113758, 2733, 64, 1, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[113847, 2738, 110, 1, 53, "MainSection"],
Cell[CellGroupData[{
Cell[113982, 2743, 279, 4, 53, "Section"],
Cell[114264, 2749, 102, 1, 49, "Subsection"],
Cell[114369, 2752, 199, 3, 49, "Subsection"],
Cell[114571, 2757, 201, 3, 49, "Subsection"],
Cell[CellGroupData[{
Cell[114797, 2764, 149, 2, 49, "Subsection"],
Cell[114949, 2768, 781, 18, 53, "PreviousNext"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[115803, 2794, 64, 1, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[115892, 2799, 325, 4, 53, "Section"],
Cell[116220, 2805, 140, 2, 49, "Subsection"],
Cell[116363, 2809, 191, 3, 49, "Subsection"],
Cell[116557, 2814, 189, 3, 49, "Subsection"],
Cell[116749, 2819, 189, 3, 49, "Subsection"],
Cell[CellGroupData[{
Cell[116963, 2826, 188, 3, 49, "Subsection"],
Cell[117154, 2831, 781, 18, 53, "PreviousNext"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[117996, 2856, 64, 1, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[118085, 2861, 355, 5, 53, "Section"],
Cell[118443, 2868, 453, 7, 49, "Subsection"],
Cell[CellGroupData[{
Cell[118921, 2879, 506, 9, 49, "Subsection"],
Cell[119430, 2890, 781, 18, 53, "PreviousNext"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[120272, 2915, 64, 1, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[120361, 2920, 157, 2, 53, "Section"],
Cell[120521, 2924, 229, 3, 49, "Subsection"],
Cell[120753, 2929, 276, 3, 49, "Subsection"],
Cell[CellGroupData[{
Cell[121054, 2936, 263, 3, 49, "Subsection"],
Cell[121320, 2941, 781, 18, 53, "PreviousNext"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[122162, 2966, 64, 1, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[122251, 2971, 291, 4, 53, "Section"],
Cell[122545, 2977, 227, 3, 49, "Subsection"],
Cell[122775, 2982, 251, 3, 49, "Subsection"],
Cell[CellGroupData[{
Cell[123051, 2989, 249, 3, 49, "Subsection"],
Cell[123303, 2994, 781, 18, 53, "PreviousNext"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[124145, 3019, 64, 1, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[124234, 3024, 145, 2, 53, "Section"],
Cell[124382, 3028, 409, 5, 49, "Subsection"],
Cell[CellGroupData[{
Cell[124816, 3037, 496, 9, 49, "Subsection"],
Cell[125315, 3048, 585, 10, 56, "I-Text"],
Cell[125903, 3060, 582, 10, 56, "I-Text"],
Cell[126488, 3072, 536, 10, 28, "I-Text"]
}, Open  ]],
Cell[127039, 3085, 356, 5, 49, "Subsection"],
Cell[127398, 3092, 352, 5, 49, "Subsection"],
Cell[CellGroupData[{
Cell[127775, 3101, 414, 5, 49, "Subsection"],
Cell[128192, 3108, 374, 5, 28, "I-Text"],
Cell[128569, 3115, 418, 7, 28, "I-Text"]
}, Open  ]],
Cell[129002, 3125, 349, 5, 49, "Subsection"],
Cell[CellGroupData[{
Cell[129376, 3134, 358, 5, 49, "Subsection"],
Cell[129737, 3141, 781, 18, 53, "PreviousNext"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[130579, 3166, 64, 1, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[130646, 3169, 242, 5, 92, "Subtitle"],
Cell[CellGroupData[{
Cell[130913, 3178, 148, 2, 53, "Section"],
Cell[CellGroupData[{
Cell[131086, 3184, 339, 6, 49, "Subsection"],
Cell[CellGroupData[{
Cell[131450, 3194, 488, 10, 23, "Input"],
Cell[131941, 3206, 1622, 33, 130, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[133600, 3244, 526, 11, 23, "Input"],
Cell[134129, 3257, 1571, 32, 128, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[135737, 3294, 717, 15, 23, "Input"],
Cell[136457, 3311, 1608, 33, 354, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[138114, 3350, 97, 1, 49, "Subsection"],
Cell[CellGroupData[{
Cell[138236, 3355, 488, 10, 23, "Input"],
Cell[138727, 3367, 1622, 33, 130, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[140386, 3405, 276, 7, 23, "Input"],
Cell[140665, 3414, 1577, 32, 128, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[142279, 3451, 477, 14, 23, "Input"],
Cell[142759, 3467, 1635, 33, 394, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[144431, 3505, 527, 15, 23, "Input"],
Cell[144961, 3522, 1657, 33, 394, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[146667, 3561, 287, 4, 49, "Subsection"],
Cell[CellGroupData[{
Cell[146979, 3569, 285, 6, 23, "Input"],
Cell[147267, 3577, 1593, 33, 120, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[148897, 3615, 250, 6, 23, "Input"],
Cell[149150, 3623, 1523, 31, 122, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[150710, 3659, 410, 10, 23, "Input"],
Cell[151123, 3671, 1582, 33, 122, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[152742, 3709, 685, 16, 23, "Input"],
Cell[153430, 3727, 1646, 34, 122, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[155113, 3766, 484, 9, 23, "Input"],
Cell[155600, 3777, 1555, 32, 122, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[157192, 3814, 530, 12, 23, "Input"],
Cell[157725, 3828, 1567, 32, 122, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[159329, 3865, 527, 12, 23, "Input"],
Cell[159859, 3879, 1535, 31, 132, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[161431, 3915, 649, 15, 23, "Input"],
Cell[162083, 3932, 1622, 33, 132, "Output"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[163754, 3971, 325, 5, 49, "Subsection"],
Cell[164082, 3978, 92, 1, 30, "Subsubsection"],
Cell[CellGroupData[{
Cell[164199, 3983, 303, 7, 23, "Input"],
Cell[164505, 3992, 1614, 33, 204, "Output"]
}, Open  ]],
Cell[166134, 4028, 94, 1, 30, "Subsubsection"],
Cell[CellGroupData[{
Cell[166253, 4033, 1361, 32, 64, "Input"],
Cell[167617, 4067, 1986, 39, 320, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[169640, 4111, 1426, 37, 64, "Input"],
Cell[171069, 4150, 1881, 38, 340, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[172987, 4193, 1663, 43, 80, "Input"],
Cell[174653, 4238, 1924, 40, 447, "Output"]
}, Open  ]],
Cell[176592, 4281, 781, 18, 41, "PreviousNext"]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[177434, 4306, 64, 1, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[177523, 4311, 105, 1, 53, "Section"],
Cell[CellGroupData[{
Cell[177653, 4316, 175, 2, 49, "Subsection"],
Cell[177831, 4320, 297, 9, 657, "Input"],
Cell[178131, 4331, 1444, 29, 2783, "Input"],
Cell[CellGroupData[{
Cell[179600, 4364, 488, 15, 657, "Input"],
Cell[180091, 4381, 1524, 31, 11590, "Output"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[181664, 4418, 130, 1, 49, "Subsection"],
Cell[181797, 4421, 101, 1, 577, "Subsubsection"],
Cell[CellGroupData[{
Cell[181923, 4426, 918, 23, 657, "Input"],
Cell[182844, 4451, 1815, 36, 8690, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[184696, 4492, 1259, 33, 1087, "Input"],
Cell[185958, 4527, 2235, 48, 8377, "Output"]
}, Open  ]],
Cell[188208, 4578, 100, 1, 408, "Subsubsection"],
Cell[CellGroupData[{
Cell[188333, 4583, 1599, 42, 1087, "Input"],
Cell[189935, 4627, 2291, 49, 9678, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[192263, 4681, 1552, 41, 921, "Input"],
Cell[193818, 4724, 2137, 46, 9887, "Output"]
}, Closed]],
Cell[CellGroupData[{
Cell[195992, 4775, 1602, 42, 921, "Input"],
Cell[197597, 4819, 2162, 46, 9766, "Output"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[199808, 4871, 98, 1, 49, "Subsection"],
Cell[CellGroupData[{
Cell[199931, 4876, 843, 23, 1087, "Input"],
Cell[200777, 4901, 1975, 41, 8625, "Output"]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[202801, 4948, 144, 2, 49, "Subsection"],
Cell[202948, 4952, 867, 23, 141, "Input"],
Cell[203818, 4977, 1874, 38, 1102, "Input"],
Cell[205695, 5017, 781, 18, 72, "PreviousNext"]
}, Closed]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[206537, 5042, 64, 1, 4, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[206626, 5047, 117, 1, 53, "Section"],
Cell[206746, 5050, 880, 20, 205, "Input"],
Cell[207629, 5072, 781, 18, 53, "PreviousNext"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
